2007-03-25 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* Makefile.am: remove the installation of WFUT.jar since it's not needed anymore

2007-03-25 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* configure.ac: remove maintainer mode

2007-03-25 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/environment/CaelumEnvironment.cpp: set some ambient light, though it still doesn't look good with the terrain at night

2007-03-25 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/widgets/IngameChatWidget.cpp, src/components/ogre/widgets/IngameChatWidget.h: fixed a crash caused by a character with an active chat window being destroyed

2007-03-25 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* configure.ac, ember.conf: update media to 0.4.3

2007-03-25 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/services/wfut/WfutService.cpp: write actions to log

2007-03-25 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/widgets/Performance.lua: use the slightly better name "sightqueue"

2007-03-25 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/widgets/ModelEdit.lua: handle missing submesh names

2007-03-25 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/model/XMLModelDefinitionSerializer.cpp, src/components/ogre/modeldefinitions/characters.modeldef.xml, src/components/ogre/modeldefinitions/creatures.modeldef.xml, src/components/ogre/modeldefinitions/modeldefinition.xsd, src/components/ogre/modeldefinitions/modelmappings.modelmap.xml, src/components/ogre/modeldefinitions/tools.modeldef: only use lowercase names

2007-03-25 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* Ember.nsi: update for 0.4.3

2007-03-25 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src\services\wfut\WfutService.cpp: return a valid value on start

2007-03-25 Erik Hjortsberg  <erik.hjortsberg@iteam.se>
	
	* src\services\EmberServices.h: fixed a bug where an object was deleted while still being used

2007-03-25 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src\components\ogre\EmberEntityFactory.cpp, src\main\Application.cpp, src\main\Ember.cpp: update with msvc includes

2007-03-25 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/framework/tinyxml/tinystr.cpp, src/framework/tinyxml/tinystr.h, src/framework/tinyxml/tinyxml.cpp, src/framework/tinyxml/tinyxml.h, src/framework/tinyxml/tinyxmlerror.cpp, src/framework/tinyxml/tinyxmlparser.cpp, src/framework/tinyxml/readme.txt: upgraded to newer version

2007-03-25 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/Makefile.am: include XMLHelper

2007-03-25 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/GUIManager.cpp: output error messages

2007-03-25 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/model/XMLModelDefinitionSerializer.cpp, src/components/ogre/model/mapping/EmberModelMappingManager.cpp: use the XMLHelper class

2007-03-25 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/XMLHelper.cpp, src/components/ogre/XMLHelper.h: added a simple helper class for loading tinyxml documents from Ogre resources, so that we don't need to alter the tinyxml core

2007-03-25 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* text/public/battleplan.txt, text/public/concept_doc.txt, text/public/features.txt, text/public/index.txt, text/public/news.txt, text/public/developer_doc/architecture.txt, text/public/developer_doc/components.txt, text/public/developer_doc/data_model.txt, text/public/developer_doc/data_model_fw.txt, text/public/developer_doc/design.txt, text/public/developer_doc/development_methodology.txt, text/public/developer_doc/index.txt, text/public/developer_doc/scripting.txt, text/public/developer_doc/services.txt, text/public/working_notes/index.txt, text/public/working_notes/theme_format.txt, text/public/working_notes/ui_story_acorn.txt: removed obsolete Dime documents

2007-03-21 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/services/wfut/WfutSession.cpp: fixed incorrectly renamed file names

2007-03-21 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/environment/CaelumEnvironment.cpp, src/components/ogre/environment/Sun.cpp: let caelum totally control the ambient light

2007-03-21 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/widgets/InspectWidget.cpp: clean up

2007-03-21 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/EmberEntityFactory.cpp: dump attributes to a file instead of stdout

2007-03-21 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/EmberEntity.cpp: better output of attributes, also delete the eris bounding box at deletion

2007-03-14 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/modeldefinitions/buildings.modeldef, src/components/ogre/modeldefinitions/outdoor_structures.modeldef: adjusted the gallows

2007-03-14 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/GUICEGUIAdapter.cpp: added mappings for control keys which fixes a bug where multiple selections in lists didn't work

2007-03-14 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/EmberOgre.cpp, src/components/ogre/EmberOgre.h, src/components/ogre/OgreSetup.cpp, src/components/ogre/OgreSetup.h: restructued for better shut down to avoid segfaults and exceptions at exit

2007-03-14 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/widgets/EntityPicker.lua: fixed a bug where the pick location would be lost due to the vector object being destroyed while still held by lua

2007-03-14 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/EntityWorldPickListener.cpp: fixed incorrect calculation of near picking distance

2007-03-14 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* configure.ac: added lua bindings for main

2007-03-14 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/widgets/Bootstrap.lua, src/components/ogre/widgets/Performance.lua: updated for changes in EmberOgre

2007-03-14 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/input/Input.cpp, src/components/ogre/ConsoleObjectImpl.cpp, src/components/ogre/EmberOgre.cpp, src/components/ogre/EmberOgre.h, src/components/ogre/widgets/Quit.cpp: moved more functionality to Application

2007-03-14 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/manipulation/EntityMoveManager.cpp, src/components/ogre/manipulation/EntityMover.cpp: fixed a crash when the world was being moved

2007-03-14 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/main/bindings/Makefile.am, src/main/bindings/lua/Application.pkg, src/main/bindings/lua/Makefile.am, src/main/bindings/lua/lua_Main.cpp, src/main/bindings/lua/required.h, src/components/ogre/scripting/LuaScriptingProvider.cpp, src/components/ogre/scripting/bindings/lua/EmberOgre.pkg, src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp: added lua bindings for the Application class

2007-03-14 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/main/Application.cpp, src/main/Application.h, src/main/Makefile.am, src/main/StateManager.cpp, src/main/StateManager.h, src/main/states.xml: removed some obsolete files and cleaned up the moving of code to Application

2007-03-12 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* ember.bat, ember.in: with libwfut there's no longer any need to use the java WFUT tool

2007-03-12 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/services/bindings/lua/ScriptingService.pkg, src/services/bindings/lua/lua_EmberServices.cpp, src/services/scripting/ScriptingService.cpp, src/services/scripting/ScriptingService.h: use a ConsoleCommandWrapper

2007-03-12 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/main/Application.cpp, src/main/Application.h, src/main/Ember.cpp, src/components/ogre/EmberOgre.cpp, src/components/ogre/EmberOgre.h: moved base functionality to the component neutral main directory

2007-03-12 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/OgreLogObserver.cpp, src/components/ogre/OgreLogObserver.h, src/main/LogObserver.cpp, src/main/LogObserver.h: moved the log writing mechanism to its own class and made the Ogre log observer only pass ogre log messages on

2007-03-12 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/Makefile.am, src/framework/Makefile.am, src/main/Makefile.am, src/services/Makefile.am, configure.ac: activate the main directory, make the sublibs more contained

2007-03-07 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/Makefile.am, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/Makefile.am, src/components/ogre/carpenter/Makefile.am, src/components/ogre/environment/Makefile.am, src/components/ogre/environment/meshtree/Makefile.am, src/components/ogre/input/Makefile.am, src/components/ogre/jesus/Makefile.am, src/components/ogre/manipulation/Makefile.am, src/components/ogre/model/Makefile.am, src/components/ogre/ogreopcode/Makefile.am, src/components/ogre/ogreopcode/opcode/Makefile.am, src/components/ogre/scripting/Makefile.am, src/components/ogre/scripting/bindings/lua/Makefile.am, src/components/ogre/scripting/bindings/lua/helpers/Makefile.am, src/components/ogre/scripting/bindings/lua/ogre/Makefile.am, src/components/ogre/sound/Makefile.am, src/components/ogre/terrain/Makefile.am, src/components/ogre/widgets/Makefile.am, src/extensions/Makefile.am, src/framework/Makefile.am, src/framework/bindings/lua/Makefile.am, src/framework/bindings/lua/eris/Makefile.am, src/services/Makefile.am, src/services/bindings/lua/Makefile.am, src/services/config/Makefile.am, src/services/logging/Makefile.am, src/services/metaserver/Makefile.am, src/services/scripting/Makefile.am, src/services/server/Makefile.am, src/services/sound/Makefile.am: better structure of the sublibs
	* src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2DManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOctree.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeSceneManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_InstantBaseTextureShadowed.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/filetutils.cpp: remove annoying warnings
		
2007-03-04 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/EmberOgre.cpp: use the MediaUpdater to get new media from wfut, also updated the loading bar usage
	
2007-03-04 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/Makefile.am: update for added files

2007-03-04 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/widgets/LoadingBar.cpp, src/components/ogre/widgets/LoadingBar.h: separated the gui code from the loading bar logic and allow for a more modular approach with different sections

2007-03-04 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/MediaUpdater.cpp, src/components/ogre/MediaUpdater.h: added new class responsible for initiating wfut updates

2007-03-04 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* ember.conf: added settings for wfut

2007-03-04 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* configure.ac: bump version and added dependency on libwfut

2007-03-04 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/services/wfut/Makefile.am, src/services/wfut/WfutService.cpp, src/services/wfut/WfutService.h, src/services/wfut/WfutSession.cpp, src/services/wfut/WfutSession.h, src/services/Makefile.am: added a service which interacts with the libwfut library, to allow for media updates

2007-03-04 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/OgreResourceLoader.cpp, src/components/ogre/OgreResourceLoader.h: added method for getting the number of sections

2007-03-04 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/services/EmberServices.cpp, src/services/EmberServices.h: refactored how the services were handled, removing the need to check for null all the time, and added automatic destruction

2007-03-03 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/services/server/IServerAdapter.h: removed inclusion of wfmath.h which always caused a compiler warning

2007-03-03 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/terrain/TerrainEditor.h: added more comments

2007-03-01 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/scripting/bindings/lua/ogre/Ogre.pkg, src/components/ogre/scripting/bindings/lua/ogre/OgreMesh.pkg, src/components/ogre/scripting/bindings/lua/ogre/OgreSubMesh.pkg: updated bindings

2007-03-01 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* NEWS: release of 0.4.2

2007-02-28 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* ember.in: fixes for compatability with freebsd

2007-02-15 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/input/Input.cpp: on windows we need to let the os have some time to do proper input event gathering. This will prevent random input lockups.

2007-02-15 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/ogre.cfg: default to full screen

2007-02-15 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/GUIManager.cpp, src/components/ogre/GUIManager.h: make it a vector to prevent msvc from crashing

2007-02-15 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/modeldefinitions/creatures.modeldef.xml: removed animation with zero length, even though we've now added checks in the code

2007-02-15 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/model/ModelDefinitionManager.cpp: fix for MSVC crashes

2007-02-15 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/environment/CaelumEnvironment.cpp: fix for black holes on ATI cards on windows

2007-02-11 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/environment/caelum/src/SkyDome.cpp: fixed excessive checking for vertex and fragment programs

2007-02-11 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/model/AnimationSet.cpp: Ogre throws an assert if an animation with zero length is activated, so don't allow that. 

2007-02-10 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/EmberOgre.cpp: added a little bit more informative exception message
	* src/components/ogre/environment/caelum/src/SkyDome.cpp, src/components/ogre/environment/CaelumEnvironment.cpp: added extra checks for fragment and vertex programs
	* src/components/ogre/terrain/TerrainEditor.cpp: use correct type
	* src/components/ogre/widgets/EntityCEGUITexture.cpp: write to log before trying to create texture
	* src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.h: fixed class/struct inconsistency
	* src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.cpp: use correct type
	* src/components/ogre/jesus/XMLJesusSerializer.cpp: return statement required
	* src/services/config/ConfigService.cpp: MSVC likes std::string better
	* Ember.nsi: added Nullsoft installer file for Win32
	* Ember.bat: updated batch file

2007-02-09 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/model/AnimationSet.cpp: make sure that we don't add time to an animation with zero length, since this will trigger an assert in ogre

2007-02-09 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/cegui/Makefile.am: removed some old files
	* src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeRenderable.cpp: We've changed the default height of invalid segments to -1, so we'll have to update the LOD calculation fix too

2007-02-08 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/modeldefinitions/Makefile.am: fixed uninstall problems

2007-02-08 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* configure.ac: added a more helpful message when wf libs aren't found

2007-02-06 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* WFUT.jar: update to 1.1
	* ember.in: various fixes to the script
	* make_dist_media.sh.in: various fixes to the script

2007-02-06 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/model/mapping/Definitions/CaseDefinition.cpp, src/components/ogre/model/mapping/Definitions/CaseDefinition.h, src/components/ogre/model/mapping/Definitions/DefinitionBase.cpp, src/components/ogre/model/mapping/Definitions/DefinitionBase.h, src/components/ogre/model/mapping/Definitions/MatchDefinition.cpp, src/components/ogre/model/mapping/Definitions/MatchDefinition.h, src/components/ogre/model/mapping/Definitions/ModelMappingDefinition.cpp, src/components/ogre/model/mapping/Definitions/ModelMappingDefinition.h: added const accessors
	* src/components/ogre/widgets/ServerWidget.cpp: use the model mapping framework to get the model to show

2007-02-06 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/modeldefinitions/modelmappings.modelmap.xml: updated definitions

2007-02-06 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/widgets/IngameChatWidget.cpp: fixed a bug which made talk windows flicker if they were too far away to be shown, but had text added to them

2007-02-06 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/EmberOgre.cpp, src/components/ogre/Makefile.am, src/components/ogre/OgreSetup.cpp, src/components/ogre/resources.cfg, configure.ac, ember.in, src/services/config/ConfigService.cpp, src/components/ogre/widgets/Makefile.am, src/components/ogre/modeldefinitions/Makefile.am, src/components/ogre/cegui/Makefile.am, media/packs/Makefile.am: changed a little how the media is handled. In the distribution, the media under prefix/share/ember/media/ is now divided into "user" and "shared". Upon start, if there is no ~/.ember/ember-media-0.4.2, the "user" media will be copied there. And then WFUT will be run. This media is only around 1MB. The "shared" media will be accessed as previous. The reason is that the media that is in "user" is such that due to Ogre it can't have any duplicate resources. So while we might have duplicate media in downloaded through WFUT for the "shared" media, we can't have it for the "user" media, and thus it needs to be available only from one location. 

2007-02-06 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/EmberEntity.cpp, src/components/ogre/EmberPhysicalEntity.cpp: remove the ogre representation from the Ogre scene graph when the visibility changes, instead of just hiding the ogre object. This in some instances doubles the fps.

2007-02-06 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* make_dist_media.sh.in: make it get _all_ media needed, and resize textures so that they're not too large

2007-02-06 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* ember.conf: updated terrain materials

2007-02-06 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* CodeGen.pl: removed obsolete file

2007-02-06 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/modeldefinitions/buildings.modeldef, src/components/ogre/modeldefinitions/characters.modeldef.xml, src/components/ogre/modeldefinitions/creatures.modeldef.xml, src/components/ogre/modeldefinitions/environment.modeldef.xml, src/components/ogre/modeldefinitions/furniture.modeldef, src/components/ogre/modeldefinitions/items.modeldef.xml, src/components/ogre/modeldefinitions/modelmappings.modelmap.xml, src/components/ogre/modeldefinitions/outdoor_structures.modeldef, src/components/ogre/modeldefinitions/tools.modeldef, src/components/ogre/modeldefinitions/trees.modeldef.xml, src/components/ogre/modeldefinitions/vehicles.modeldef: updated definitions

2007-02-05 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/resources.cfg

2007-02-05 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* autopackage/default.apspec.in: The description should be one line.

2007-02-05 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* media/README, media/materials/scripts/clothing.material, media/materials/scripts/environment.material, media/materials/scripts/vegetation.material: updated media

2007-02-04 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/EntityWorldPickListener.cpp, src/components/ogre/terrain/TerrainEditor.cpp, src/components/ogre/terrain/TerrainEditor.h: fixed some bugs with the mouse picking

2007-02-04 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* media/materials/base_scripts/base.material, media/materials/scripts/buildings.material, media/materials/scripts/clothing.material, media/materials/scripts/creatures.material, media/materials/scripts/environment.material, media/materials/scripts/malebuilder.material, media/materials/scripts/placeholder.material, media/materials/scripts/tools.material, media/materials/scripts/vegetation.material: update materials

2007-02-04 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOptions.cpp: never allow the scaling to be different from the page size

2007-02-04 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/terrain/TerrainPage.cpp: fixed some lingering bugs where the splatting surface wasn't correclty wiped clean upon updates, resulting in random garbage in the texture sometimes

2007-02-04 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/terrain/TerrainPage.cpp, src/components/ogre/terrain/TerrainShader.cpp: fixed a long standing bug which made the terrain texture be offset by one meter

2007-02-04 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/widgets/MeshPreview.cpp, src/components/ogre/AvatarCamera.cpp: use the more correct getDerived* methods.

2007-02-04 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/terrain/TerrainGenerator.cpp, src/components/ogre/terrain/TerrainGenerator.h, src/components/ogre/terrain/TerrainInfo.cpp, src/components/ogre/terrain/TerrainInfo.h, src/components/ogre/terrain/TerrainPage.cpp: fixed some long standing bugs which had made the terrain always be offset by 1 meter

2007-02-04 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeData2D_HeightField.cpp: clearer code
	
2007-02-04 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/environment/LensFlare.cpp: use the more correct getDerived* methods.

2007-02-03 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/model/mapping/EmberModelMappingManager.cpp, src/components/ogre/model/mapping/EmberModelMappingManager.h, src/components/ogre/model/mapping/IActionCreator.h, src/components/ogre/model/mapping/ModelMapping.cpp, src/components/ogre/model/mapping/ModelMapping.h, src/components/ogre/model/mapping/ModelMappingCreator.cpp, src/components/ogre/model/mapping/ModelMappingCreator.h, src/components/ogre/model/mapping/ModelMappingManager.cpp, src/components/ogre/model/mapping/ModelMappingManager.h, src/components/ogre/model/mapping/XMLModelMappingDefinitionSerializer.h, src/components/ogre/model/mapping/Actions/Action.h, src/components/ogre/model/mapping/Actions/DummyAction.cpp, src/components/ogre/model/mapping/Actions/DummyAction.h, src/components/ogre/model/mapping/Cases/AttributeCase.cpp, src/components/ogre/model/mapping/Cases/AttributeCase.h, src/components/ogre/model/mapping/Cases/Case.h, src/components/ogre/model/mapping/Cases/CaseBase.cpp, src/components/ogre/model/mapping/Cases/CaseBase.h, src/components/ogre/model/mapping/Cases/EntityBaseCase.cpp, src/components/ogre/model/mapping/Cases/EntityBaseCase.h, src/components/ogre/model/mapping/Cases/EntityTypeCase.h, src/components/ogre/model/mapping/Cases/OutfitCase.h, src/components/ogre/model/mapping/Cases/AttributeComparers/AttributeComparerWrapper.h, src/components/ogre/model/mapping/Cases/AttributeComparers/HeightComparerWrapper.h, src/components/ogre/model/mapping/Cases/AttributeComparers/NumericComparer.h, src/components/ogre/model/mapping/Cases/AttributeComparers/NumericComparerWrapper.h, src/components/ogre/model/mapping/Cases/AttributeComparers/NumericEqualsComparer.h, src/components/ogre/model/mapping/Cases/AttributeComparers/NumericEqualsOrGreaterComparer.h, src/components/ogre/model/mapping/Cases/AttributeComparers/NumericEqualsOrLesserComparer.h, src/components/ogre/model/mapping/Cases/AttributeComparers/NumericGreaterComparer.h, src/components/ogre/model/mapping/Cases/AttributeComparers/NumericLesserComparer.h, src/components/ogre/model/mapping/Cases/AttributeComparers/NumericRangeComparer.h, src/components/ogre/model/mapping/Cases/AttributeComparers/NumericValueHolder.h, src/components/ogre/model/mapping/Cases/AttributeComparers/StringComparer.h, src/components/ogre/model/mapping/Cases/AttributeComparers/StringComparerWrapper.h, src/components/ogre/model/mapping/Definitions/ActionDefinition.h, src/components/ogre/model/mapping/Definitions/CaseDefinition.h, src/components/ogre/model/mapping/Definitions/DefinitionBase.h, src/components/ogre/model/mapping/Definitions/MatchDefinition.h, src/components/ogre/model/mapping/Definitions/ModelMappingDefinition.h, src/components/ogre/model/mapping/Matches/AbstractMatch.h, src/components/ogre/model/mapping/Matches/AttributeDependentMatch.h, src/components/ogre/model/mapping/Matches/AttributeMatch.h, src/components/ogre/model/mapping/Matches/EntityTypeMatch.h, src/components/ogre/model/mapping/Matches/OutfitMatch.h, src/components/ogre/model/mapping/Matches/Observers/AttributeObserver.h, src/components/ogre/model/mapping/Matches/Observers/EntityCreationObserver.h: documentation galore

2007-02-03 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/modeldefinitions/characters.modeldef.xml, src/components/ogre/modeldefinitions/modelmappings.modelmap.xml: updated mappings

2007-02-03 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/model/mapping/ModelMapping.cpp, src/components/ogre/model/mapping/ModelMapping.h, src/components/ogre/model/mapping/ModelMappingCreator.cpp: removed obsolete way of keeping the Cases in a lookup map in the ModelMapping.

2007-02-03 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/widgets/EntityCEGUITexture.cpp: make the background black. It should preferrably have been transparent, but I couldn't get that to work with CEGUI (it always made it grey). 

2007-02-03 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/EmberOgre.cpp, src/components/ogre/EmberOgre.h: make sure that stuff is cleaned up correctly, also changed how the EmberEntityFactory is created.

2007-02-03 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/EmberEntityFactory.cpp, src/components/ogre/EmberEntityFactory.h: changed a little how it's created and handles the View. Since the Eris::Avatar is created before the Eris::View, we can get the Avatar from the View, instead of listening for different events. Also added more comments and cleaned up code.

2007-02-03 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/OgreLogObserver.h: better description

2007-02-03 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/framework/StreamLogObserver.cpp: disable the output of file name since it's of no use anyway and only makes the log file larger

2007-02-02 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/services/server/ServerService.cpp, src/services/server/ServerService.h: cleaned up code and made sure that the View is set before the signal for a new avatar is sent, so that listeners can be sure that they have access to the view too.

2007-02-02 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/EmberEntity.h: this is no longer a part of Ogre, we use EmberEntityUserObject for that, also cleaned up obsolete code
	
2007-02-02 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/AvatarController.cpp: properly delete camera 

2007-02-02 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/AvatarCamera.cpp, src/components/ogre/AvatarEmberEntity.cpp: clean up code

2007-02-01 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* configure.ac: require eris v. 1.3.12

2007-02-01 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/EmberEntityActionCreator.cpp, src/components/ogre/EmberEntityActionCreator.h, src/components/ogre/EmberEntityModelAction.cpp, src/components/ogre/EmberEntityModelAction.h, src/components/ogre/EmberEntityPartAction.cpp, src/components/ogre/EmberEntityPartAction.h: adapted to changes in Model::Mapping

2007-02-01 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/model/mapping/AttributeComparers.cpp, src/components/ogre/model/mapping/AttributeComparers.h, src/components/ogre/model/mapping/ChangeContext.cpp, src/components/ogre/model/mapping/ChangeContext.h, src/components/ogre/model/mapping/Makefile.am, src/components/ogre/model/mapping/ModelMapping.cpp, src/components/ogre/model/mapping/ModelMapping.h, src/components/ogre/model/mapping/ModelMappingCreator.cpp, src/components/ogre/model/mapping/ModelMappingDefinition.cpp, src/components/ogre/model/mapping/ModelMappingDefinition.h, src/components/ogre/model/mapping/Cases/CaseBase.cpp, src/components/ogre/model/mapping/Cases/CaseBase.h, src/components/ogre/model/mapping/Cases/AttributeComparers/HeightComparerWrapper.cpp, src/components/ogre/model/mapping/Cases/AttributeComparers/NumericComparerWrapper.cpp, src/components/ogre/model/mapping/Cases/AttributeComparers/StringComparerWrapper.cpp, src/components/ogre/model/mapping/Matches/AbstractMatch.h, src/components/ogre/model/mapping/Matches/AttributeDependentMatch.h, src/components/ogre/model/mapping/Matches/AttributeMatch.cpp, src/components/ogre/model/mapping/Matches/AttributeMatch.h, src/components/ogre/model/mapping/Matches/MatchBase.cpp, src/components/ogre/model/mapping/Matches/MatchBase.h, src/components/ogre/model/mapping/Matches/OutfitMatch.cpp, src/components/ogre/model/mapping/Matches/OutfitMatch.h, src/components/ogre/model/mapping/Matches/Observers/AttributeObserver.cpp, src/components/ogre/model/mapping/Matches/Observers/AttributeObserver.h, src/components/ogre/model/mapping/Matches/Observers/EntityCreationObserver.cpp, src/components/ogre/model/mapping/Matches/Observers/EntityCreationObserver.h: refactored how changes are evaluated. Instead of checking the whole mapping from the root, now only check nodes under the affected node. Also fixed various bugs.

2007-01-31 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/model/mapping/EmberModelMappingManager.cpp, src/components/ogre/model/mapping/EmberModelMappingManager.h, src/components/ogre/model/mapping/IActionCreator.h, src/components/ogre/model/mapping/Makefile.am, src/components/ogre/model/mapping/ModelMapping.cpp, src/components/ogre/model/mapping/ModelMapping.h, src/components/ogre/model/mapping/ModelMappingCreator.cpp, src/components/ogre/model/mapping/ModelMappingCreator.h, src/components/ogre/model/mapping/ModelMappingManager.cpp, src/components/ogre/model/mapping/ModelMappingManager.h, src/components/ogre/model/mapping/XMLModelMappingDefinitionSerializer.cpp, src/components/ogre/model/mapping/XMLModelMappingDefinitionSerializer.h, src/components/ogre/model/mapping/Actions/Action.cpp, src/components/ogre/model/mapping/Actions/Action.h, src/components/ogre/model/mapping/Actions/DummyAction.cpp, src/components/ogre/model/mapping/Actions/DummyAction.h, src/components/ogre/model/mapping/Cases/AttributeCase.cpp, src/components/ogre/model/mapping/Cases/AttributeCase.h, src/components/ogre/model/mapping/Cases/Case.cpp, src/components/ogre/model/mapping/Cases/Case.h, src/components/ogre/model/mapping/Cases/CaseBase.cpp, src/components/ogre/model/mapping/Cases/CaseBase.h, src/components/ogre/model/mapping/Cases/EntityBaseCase.cpp, src/components/ogre/model/mapping/Cases/EntityBaseCase.h, src/components/ogre/model/mapping/Cases/EntityTypeCase.cpp, src/components/ogre/model/mapping/Cases/EntityTypeCase.h, src/components/ogre/model/mapping/Cases/OutfitCase.cpp, src/components/ogre/model/mapping/Cases/OutfitCase.h, src/components/ogre/model/mapping/Cases/AttributeComparers/AttributeComparerWrapper.cpp, src/components/ogre/model/mapping/Cases/AttributeComparers/AttributeComparerWrapper.h, src/components/ogre/model/mapping/Cases/AttributeComparers/HeightComparerWrapper.cpp, src/components/ogre/model/mapping/Cases/AttributeComparers/HeightComparerWrapper.h, src/components/ogre/model/mapping/Cases/AttributeComparers/NumericComparer.cpp, src/components/ogre/model/mapping/Cases/AttributeComparers/NumericComparer.h, src/components/ogre/model/mapping/Cases/AttributeComparers/NumericComparerWrapper.cpp, src/components/ogre/model/mapping/Cases/AttributeComparers/NumericComparerWrapper.h, src/components/ogre/model/mapping/Cases/AttributeComparers/NumericEqualsComparer.cpp, src/components/ogre/model/mapping/Cases/AttributeComparers/NumericEqualsComparer.h, src/components/ogre/model/mapping/Cases/AttributeComparers/NumericEqualsOrGreaterComparer.cpp, src/components/ogre/model/mapping/Cases/AttributeComparers/NumericEqualsOrGreaterComparer.h, src/components/ogre/model/mapping/Cases/AttributeComparers/NumericEqualsOrLesserComparer.cpp, src/components/ogre/model/mapping/Cases/AttributeComparers/NumericEqualsOrLesserComparer.h, src/components/ogre/model/mapping/Cases/AttributeComparers/NumericGreaterComparer.cpp, src/components/ogre/model/mapping/Cases/AttributeComparers/NumericGreaterComparer.h, src/components/ogre/model/mapping/Cases/AttributeComparers/NumericLesserComparer.cpp, src/components/ogre/model/mapping/Cases/AttributeComparers/NumericLesserComparer.h,src/components/ogre/model/mapping/Cases/AttributeComparers/NumericRangeComparer.cpp, src/components/ogre/model/mapping/Cases/AttributeComparers/NumericRangeComparer.h, src/components/ogre/model/mapping/Cases/AttributeComparers/NumericValueHolder.cpp, src/components/ogre/model/mapping/Cases/AttributeComparers/NumericValueHolder.h, src/components/ogre/model/mapping/Cases/AttributeComparers/StringComparer.cpp, src/components/ogre/model/mapping/Cases/AttributeComparers/StringComparer.h, src/components/ogre/model/mapping/Cases/AttributeComparers/StringComparerWrapper.cpp, src/components/ogre/model/mapping/Cases/AttributeComparers/StringComparerWrapper.h, src/components/ogre/model/mapping/Definitions/ActionDefinition.cpp, src/components/ogre/model/mapping/Definitions/ActionDefinition.h, src/components/ogre/model/mapping/Definitions/CaseDefinition.cpp, src/components/ogre/model/mapping/Definitions/CaseDefinition.h, src/components/ogre/model/mapping/Definitions/DefinitionBase.cpp, src/components/ogre/model/mapping/Definitions/DefinitionBase.h, src/components/ogre/model/mapping/Definitions/MatchDefinition.cpp, src/components/ogre/model/mapping/Definitions/MatchDefinition.h, src/components/ogre/model/mapping/Definitions/ModelMappingDefinition.cpp, src/components/ogre/model/mapping/Definitions/ModelMappingDefinition.h, src/components/ogre/model/mapping/Matches/AbstractMatch.cpp, src/components/ogre/model/mapping/Matches/AbstractMatch.h, src/components/ogre/model/mapping/Matches/AttributeDependentMatch.cpp, src/components/ogre/model/mapping/Matches/AttributeDependentMatch.h, src/components/ogre/model/mapping/Matches/AttributeMatch.cpp, src/components/ogre/model/mapping/Matches/AttributeMatch.h, src/components/ogre/model/mapping/Matches/EntityTypeMatch.cpp, src/components/ogre/model/mapping/Matches/EntityTypeMatch.h, src/components/ogre/model/mapping/Matches/MatchBase.cpp, src/components/ogre/model/mapping/Matches/MatchBase.h, src/components/ogre/model/mapping/Matches/OutfitMatch.cpp, src/components/ogre/model/mapping/Matches/OutfitMatch.h, src/components/ogre/model/mapping/Matches/Observers/AttributeObserver.cpp, src/components/ogre/model/mapping/Matches/Observers/AttributeObserver.h, src/components/ogre/model/mapping/Matches/Observers/EntityCreationObserver.cpp, src/components/ogre/model/mapping/Matches/Observers/EntityCreationObserver.h: refactored it into different classes and namespaces

2007-01-28 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/modeldefinitions/items.modeldef.xml, src/components/ogre/modeldefinitions/modelmappings.modelmap.xml: updated definitions

2007-01-28 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* configure.ac: bumped the required media version

2007-01-28 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/EmberPhysicalEntity.cpp: fixed a bug caused by reference to old memory, resulting in Eris::Entity::hasChild(...) returning wrong results

2007-01-28 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/EmberEntityPartAction.cpp: fixes for signature change

2007-01-28 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/EmberEntityActionCreator.cpp: updated with changes to the format for actions

2007-01-28 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOcclusionCameraTraversal.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOcclusionTraversal.cpp: code cleanup

2007-01-28 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/model/mapping/ModelMapping.cpp, src/components/ogre/model/mapping/ModelMapping.h, src/components/ogre/model/mapping/ModelMappingCreator.cpp, src/components/ogre/model/mapping/ModelMappingCreator.h, src/components/ogre/model/mapping/ModelMappingDefinition.cpp, src/components/ogre/model/mapping/ModelMappingDefinition.h, src/components/ogre/model/mapping/ModelMappingManager.cpp, src/components/ogre/model/mapping/XMLModelMappingDefinitionSerializer.cpp: 
	* refined the xml format to allow for more generic actions
	* added outfit mapping, which allows for checking arbitrary properties on contained, outfitted entities
	* changed the activation phase so that all actions that are deactivated are triggered first, with all actions that will be activated triggering afterwards.  

2007-01-28 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/model/Model.cpp, src/components/ogre/model/Model.h, src/components/ogre/model/ModelDefinitionManager.cpp: restructured how grouping is handled. We now use a dedicated ModelPart class which holds the subentities of a part. In addition, when a part is hidden because another part in the same group is shown, the first part is later reactivated when the other part is hidden.

2007-01-27 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/AvatarCamera.cpp, src/components/ogre/EmberPhysicalEntity.cpp, src/components/ogre/EntityWorldPickListener.cpp, src/components/ogre/EntityWorldPickListener.h, src/components/ogre/IWorldPickListener.h, src/components/ogre/jesus/JesusMousePicker.cpp, src/components/ogre/jesus/JesusMousePicker.h: refactored the way picking is done in order to fix a bug where an entity with a large bounding box would make it impossible to pick smaller entities contained in it. Now, each picking process is done in three steps: first all adapters are initialized, then they are used to process the picking, and finally they are queried for picking results. This allows us to let the adapters better determine if a contained object is picked.

2007-01-27 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/modeldefinitions/characters.modeldef.xml, src/components/ogre/modeldefinitions/creatures.modeldef.xml, src/components/ogre/modeldefinitions/edibles.modeldef, src/components/ogre/modeldefinitions/outdoor_structures.modeldef, src/components/ogre/modeldefinitions/tools.modeldef, src/components/ogre/modeldefinitions/trees.modeldef.xml, src/components/ogre/modeldefinitions/vehicles.modeldef: updated model definitions

2007-01-27 Erik Hjortsberg  <erik.hjortsberg@iteam.se>

	* src/components/ogre/modeldefinitions/modeldefinition.xsd: updated schema 

2007-01-27 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/modeldefinitions/modelmappings.modelmap.xml: added a model mappings file

2007-01-27 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/model/mapping/ModelMapping.cpp, src/components/ogre/model/mapping/ModelMappingCreator.cpp: fixed a bug with string attributes not getting a ComparerWrapper created, also added a check for a valid ComparerWrapper in the AttributeCase::testMatch method

2007-01-24 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberPhysicalEntity.cpp: allow for the changing of model

2007-01-24 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/model/mapping/AttributeComparers.cpp, src/components/ogre/model/mapping/AttributeComparers.h, src/components/ogre/model/mapping/Makefile.am, src/components/ogre/model/mapping/ModelMapping.cpp, src/components/ogre/model/mapping/ModelMapping.h, src/components/ogre/model/mapping/ModelMappingCreator.cpp, src/components/ogre/model/mapping/ModelMappingCreator.h: updated and revised

2007-01-22 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/Makefile.am, src/components/ogre/manipulation/Makefile.am, configure.ac: added new files and upped the required varconf lib version

2007-01-22 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberOgre.cpp, src/components/ogre/EmberOgre.h: added both the EmberModelMappingManager and the MaterialEditor

2007-01-22 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/Avatar.h: removed obsolete code

2007-01-22 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/AvatarEmberEntity.cpp, src/components/ogre/AvatarEmberEntity.h, src/components/ogre/EmberEntityFactory.cpp, src/components/ogre/EmberPhysicalEntity.cpp, src/components/ogre/EmberPhysicalEntity.h: refactored how entities are created and bound to model. It's now fully using the modelmapping framework.

2007-01-22 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/manipulation/Makefile.am, src/components/ogre/manipulation/MaterialEditor.cpp, src/components/ogre/manipulation/MaterialEditor.h: added material editor which for now allows for some basic material editing

2007-01-22 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberEntity.cpp: push a message to the console when an action is performed. This might need to better formatted, right now it's "<something> performa a <action>" which isn't that great really. 

2007-01-22 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberEntityActionCreator.cpp, src/components/ogre/EmberEntityActionCreator.h, src/components/ogre/EmberEntityModelAction.cpp, src/components/ogre/EmberEntityModelAction.h, src/components/ogre/EmberEntityPartAction.cpp, src/components/ogre/EmberEntityPartAction.h: added Ember specific model mapping action classes, which shows and hides models and parts of those models


2007-01-22 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/model/mapping/EmberModelMappingManager.cpp, src/components/ogre/model/mapping/EmberModelMappingManager.h, src/components/ogre/model/mapping/Makefile.am, src/components/ogre/model/mapping/ModelMapping.cpp, src/components/ogre/model/mapping/ModelMapping.h, src/components/ogre/model/mapping/ModelMappingCreator.cpp, src/components/ogre/model/mapping/ModelMappingCreator.h, src/components/ogre/model/mapping/ModelMappingDefinition.cpp, src/components/ogre/model/mapping/ModelMappingDefinition.h, src/components/ogre/model/mapping/ModelMappingManager.cpp, src/components/ogre/model/mapping/ModelMappingManager.h, src/components/ogre/model/mapping/XMLModelMappingDefinitionSerializer.cpp, src/components/ogre/model/mapping/XMLModelMappingDefinitionSerializer.h: added an intial version of a rule based model mapping framework which maps entity types and entity attributes to different models and parts. Except for the EmberModelMappingManager, this is all separate from Ember. The idea is to move this into a separate lib (Eris? Ares?) once it's more stable.

2007-01-15 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberOgre.cpp: delete the GUIManager at destruction

2007-01-15 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/GUIManager.cpp, src/components/ogre/GUIManager.h: properly clean up at destruction

2007-01-15 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/InspectWidget.cpp, src/components/ogre/widgets/ModelEdit.lua: code cleanup and added support for setting the scale of models

2007-01-15 Erik Hjortsberg  <erik@katastrof.nu>

	* src/framework/IScriptingProvider.h: added destructor

2007-01-14 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberOgre.cpp: make sure the Models are destroyed before the other movable objects are

2007-01-14 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberPhysicalEntity.cpp, src/components/ogre/EmberPhysicalEntity.h: streamlined the animation system, so that the normal movment anim (which includes "idle") will be put on hold whenever an action is performed. Added support for a fallback action if no specific can be found (for the male it's some fiddling of the hands). Also randomize the starting position of the idle anim as to prevent all settler doing the exact same motions in synchronization. Added empty method for outfit processing. Also fixed some segfaults caused by held model being reset.

2007-01-14 Erik Hjortsberg  <erik@katastrof.nu>
	
	* src/components/ogre/model/XMLModelDefinitionSerializer.cpp, src/components/ogre/model/XMLModelDefinitionSerializer.h: added support for the new anim system and grouping of parts

2007-01-14 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/model/Action.h: return animations by ref

2007-01-14 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/model/SubModel.cpp, src/components/ogre/model/SubModel.h: use the correct scene manager when deleting the held entity

2007-01-14 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/model/ModelDefinitionManager.cpp, src/components/ogre/model/ModelDefinitionManager.h: removed the setting of a default scene manager, since that isn't compatible with the concept of multiple scene managers. Also make sure that at deletion time, all models are removed from all scene managers in the system. It's important that this happens before all Entities are deleted, since else we'll get nasty segfaults when Model's destructor tries to delete non-existing Entities.

2007-01-14 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/model/Model.cpp, src/components/ogre/model/Model.h: added support for groups in parts. With a group, only one part at a single time can be visible. This is useful for stuff like showing a certain shirt, and automatically hiding all other shirt parts. Also added support for the new animations definition system. Also, wait with creating the model until after we've gotten a valid scenemanager, thus making sure that we use the correct scene manager for creating our contained objects, such as the entities.

2007-01-14 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/model/AnimationSet.cpp, src/components/ogre/model/AnimationSet.h: refactored how animations are played, now with support for iterations of animation sets in a sequence

2007-01-14 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/model/ModelDefinition.cpp, src/components/ogre/model/ModelDefinition.h: refactored how animations are defined. It's now possible to string together a sequence of animations sets after each other, with how many iterations each animation should run.

2007-01-14 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberEntityFactory.cpp, src/components/ogre/EmberEntityFactory.h: added console command for dumoing the attributes of an entity to std::cout

2007-01-14 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberEntity.cpp, src/components/ogre/EmberEntity.h: added a method for dumping entity attributes to a std::ostream, taken from Sear

2007-01-14 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/Performance.layout: adjusted layout

2007-01-14 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/ModelEdit.lua: use submesh names instead of only submesh indices

2007-01-14 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/ModelRenderer.cpp: use the correct scene manager for destruction

2007-01-14 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/terrain/TerrainInfo.cpp: proper casting

2007-01-14 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/scripting/bindings/lua/helpers/Helpers.pkg, src/components/ogre/scripting/bindings/lua/helpers/Makefile.am, src/components/ogre/scripting/bindings/lua/helpers/OgreUtils.cpp, src/components/ogre/scripting/bindings/lua/helpers/OgreUtils.h, src/components/ogre/scripting/bindings/lua/helpers/OgreUtils.pkg, src/components/ogre/scripting/bindings/lua/helpers/lua_Helpers.cpp, src/components/ogre/scripting/bindings/lua/helpers/required.h: Added an ogre utility class which provides some useful methods for easier access to Ogre functionality from Lua.

2007-01-09 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/modeldefinitions/creatures.modeldef.xml, src/components/ogre/modeldefinitions/items.modeldef.xml: updated models

2007-01-09 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/Chat.layout, src/components/ogre/widgets/Quit.widget: fixed layout and alpha values

2007-01-09 Erik Hjortsberg  <erik@katastrof.nu>

	* media/materials/scripts/clothing.material, media/materials/scripts/creatures.material, media/materials/scripts/malebuilder.material: put clothing materials in their own file

2007-01-08 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/scripting/bindings/lua/MotionManager.pkg, src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp: updated bindings

2007-01-08 Erik Hjortsberg  <erik@katastrof.nu>

	* media/materials/scripts/malebuilder.material: added burlap material

2007-01-08 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/GUIManager.cpp: initialize data to sane values

2007-01-08 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/modeldefinitions/characters.modeldef.xml, src/components/ogre/modeldefinitions/items.modeldef.xml, src/components/ogre/modeldefinitions/vehicles.modeldef: updated model definitions

2007-01-08 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/Chat.layout, src/components/ogre/widgets/Debug.layout, src/components/ogre/widgets/InspectWidget.xml, src/components/ogre/widgets/InventoryWidget.xml, src/components/ogre/widgets/JesusEdit.widget, src/components/ogre/widgets/JesusEditFile.widget, src/components/ogre/widgets/JesusEditPreview.widget, src/components/ogre/widgets/ModelEdit.layout, src/components/ogre/widgets/Performance.layout, src/components/ogre/widgets/Performance.lua, src/components/ogre/widgets/Quit.widget, src/components/ogre/widgets/ServerBrowser.layout, src/components/ogre/widgets/Tasks.layout: adjust the layouts, mainly by adjusting the inner window to more properly use the unified coord system

2007-01-08 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/Performance.lua: also show some data from the motion manager

2007-01-08 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberOgre.cpp: properly clean up Ogre at closing

2007-01-08 Erik Hjortsberg  <erik@katastrof.nu>

	* ember.conf: bump version and set the scaling of the alpha texture to 2 as default 

2007-01-08 Erik Hjortsberg  <erik@katastrof.nu>

	* src/framework/tinyxml/tinyxml.cpp: streamlined the code a bit, pleasing valgrind

2007-01-08 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/terrain.cfg: tweaked the terrain configuration to work much, much better with the world, removing many of the previous bottlenecks

2007-01-08 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/MotionManager.cpp, src/components/ogre/MotionManager.h: added some intrastructure to get information about the motion manager state (should the size variables perhaps instead be by ref, so that they are "automatically" updated?)

2007-01-08 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberPhysicalEntity.cpp: properly clean up resources at destruction, primarily the Model through the SceneManager

2007-01-08 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/AvatarController.cpp: initialize to sane values (mainly to please valgrind, but you never know)

2007-01-08 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/StatusIconBar.cpp, src/components/ogre/widgets/StatusIconBar.h: better clean up

2007-01-08 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/ConsoleWidget.cpp: remove debug output

2007-01-08 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/terrain/TerrainPage.cpp: properly cast values

2007-01-08 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/terrain/TerrainGenerator.cpp: log the size of the world in pages

2007-01-08 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOcclusionVisibilityData.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOcclusion.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOcclusionCHCTraversal.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOcclusionDebugTraversal.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOcclusionSWTraversal.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOcclusionVFTraversal.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOctreeSceneManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOptions.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeRenderable.cpp: code cleanup, fixed a bug which was caused by an uninitialized bool value randomly causing an assert exception (ah, asserts are only triggered in debug mode, however msvc will in debug mode initialize all variables to 0, whereas gcc won't do any such thing, so this was only happening on gcc debug builds, and in msvc release builds it will appear, but not to cause the assert failure, but to screw up the flow (probably just making it slower)), removed some MapSplitter code since we very much don't use that

2006-12-17 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/OgreSetup.cpp: better handling of fullscreen and some SDL cleanup at exit

2006-12-17 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/terrain/ISceneManagerAdapter.h: correctly updated interface

2006-12-17 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/SceneManagers/EmberPagingSceneManager/include/EmberPagingSceneManager.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/EmberPagingSceneManagerAdapter.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/Makefile.am, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingSceneManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingSceneManagerAdapter.cpp: fixed some erronous signatures, include all needed headers

2006-12-17 Erik Hjortsberg  <erik@katastrof.nu>

	* acinclude.m4: more GL fixes

2006-12-17 Erik Hjortsberg  <erik@katastrof.nu>

	* acinclude.m4: fixed GL includes

2006-12-16 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/environment/caelum/include/SunPositionModel.h: added forgotten file

2006-12-16 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/environment/CaelumEnvironment.cpp, src/components/ogre/environment/caelum/Makefile.am, src/components/ogre/environment/caelum/include/Caelum.h, src/components/ogre/environment/caelum/include/CaelumPrerequisites.h, src/components/ogre/environment/caelum/include/CaelumSystem.h, src/components/ogre/environment/caelum/include/SkyColourModel.h, src/components/ogre/environment/caelum/include/SkyDome.h, src/components/ogre/environment/caelum/include/Starfield.h, src/components/ogre/environment/caelum/include/StoredImageElvBasedSkyColourModel.h, src/components/ogre/environment/caelum/include/StoredImageSkyColourModel.h, src/components/ogre/environment/caelum/include/Sun.h, src/components/ogre/environment/caelum/src/CaelumSystem.cpp, src/components/ogre/environment/caelum/src/SkyDome.cpp, src/components/ogre/environment/caelum/src/Starfield.cpp, src/components/ogre/environment/caelum/src/Sun.cpp, src/components/ogre/environment/caelum/include/CameraBoundElement.h, src/components/ogre/environment/caelum/include/SimpleSunPositionModel.h, src/components/ogre/environment/caelum/src/SimpleSunPositionModel.cpp: updated caelum
	
2006-12-16 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/scripting/bindings/lua/EmberOgre.pkg, src/components/ogre/scripting/bindings/lua/OgreInfo.pkg, src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp, src/components/ogre/scripting/bindings/lua/required.h: updated bindings

2006-12-16 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/Bootstrap.lua, src/components/ogre/widgets/IndirectRenderingChecker.layout, src/components/ogre/widgets/IndirectRenderingChecker.lua: if the user is using indirect rendering, for example if Mesa is used, show a warning about this

2006-12-16 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/Makefile.am, src/components/ogre/OgreInfo.cpp, src/components/ogre/OgreInfo.h: Added class for providing some Ogre information, such as if we're using indirect rendering.

2006-12-16 Erik Hjortsberg  <erik@katastrof.nu>

	* configure.ac: add checks for GL

2006-12-12 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/Quit.cpp: switch to gui mode when quitting

2006-12-12 Erik Hjortsberg  <erik@katastrof.nu>

	* media/materials/scripts/buildings.material, media/materials/scripts/cylinder.material, media/materials/scripts/edibles.material, media/materials/scripts/environment.material, media/materials/scripts/vegetation.material: updated materials

2006-12-03 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/environment/CaelumEnvironment.cpp: activate the cloudlayer

2006-12-03 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/environment/CaelumSky.cpp, src/components/ogre/environment/caelum/Makefile.am, src/components/ogre/environment/caelum/include/Caelum.h, src/components/ogre/environment/caelum/include/CaelumPrerequisites.h, src/components/ogre/environment/caelum/include/CaelumSystem.h, src/components/ogre/environment/caelum/include/SkyColourModel.h, src/components/ogre/environment/caelum/include/SkyDome.h, src/components/ogre/environment/caelum/include/Starfield.h, src/components/ogre/environment/caelum/include/StoredImageElvBasedSkyColourModel.h, src/components/ogre/environment/caelum/include/StoredImageSkyColourModel.h, src/components/ogre/environment/caelum/include/Sun.h, src/components/ogre/environment/caelum/src/CaelumSystem.cpp, src/components/ogre/environment/caelum/src/GeometryFactory.cpp, src/components/ogre/environment/caelum/src/StoredImageElvBasedSkyColourModel.cpp, src/components/ogre/environment/caelum/src/StoredImageSkyColourModel.cpp, src/components/ogre/environment/caelum/src/Sun.cpp: updated caelum

2006-12-03 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/model/XMLModelDefinitionSerializer.cpp: don't write errors to std::cerr

2006-12-03 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/jesus/XMLJesusSerializer.cpp, src/components/ogre/jesus/XMLJesusSerializer.h: try not to load invalid files

2006-12-03 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/AvatarCamera.cpp: make the far clip plane really big so that they full sky is shown

2006-12-03 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/OgreResourceLoader.cpp src/components/ogre/OgreResourceLoader.h: make it so that all resource groups also are initialized after they've been loaded

2006-12-02 Erik Hjortsberg  <erik@katastrof.nu>

	* src/framework/bindings/lua/ConsoleBackend.pkg, src/framework/bindings/lua/lua_Framework.cpp: updated bindings

2006-12-02 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/environment/CaelumEnvironment.cpp, src/components/ogre/environment/caelum/include/CaelumPrerequisites.h, src/components/ogre/environment/caelum/include/CaelumSystem.h, src/components/ogre/environment/caelum/include/SkyDome.h, src/components/ogre/environment/caelum/include/Starfield.h, src/components/ogre/environment/caelum/include/Sun.h, src/components/ogre/environment/caelum/src/CaelumSystem.cpp, src/components/ogre/environment/caelum/src/SkyDome.cpp, src/components/ogre/environment/caelum/src/Starfield.cpp, src/components/ogre/environment/caelum/src/StoredImageSkyColourModel.cpp, src/components/ogre/environment/caelum/src/Sun.cpp: updated caleum to latest version

2006-11-27 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/environment/caelum/src/Sun.cpp: reposition the sun at every frame so that it will look ok in the camera, use a sphere.mesh that sits in the common media

2006-11-27 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberOgre.cpp, src/components/ogre/EmberOgre.h: use the MEDIA_VERSION variable, moved the input polling to after the frame has been drawn, in the hope that it would lead to less jerky movement 

2006-11-27 Erik Hjortsberg  <erik@katastrof.nu>

	* src/services/config/ConfigService.cpp: use the MEDIA_VERSION variable

2006-11-27 Erik Hjortsberg  <erik@katastrof.nu>

	* acinclude.m4: cleaned up
	* ember.in: use the MEDIA_VERSION variable

2006-11-27 Erik Hjortsberg  <erik@katastrof.nu>

	* configure.ac: added definitons for the media version to use

2006-11-23 Erik Hjortsberg  <erik@katastrof.nu>

	* configure.ac: bump version

2006-11-23 Erik Hjortsberg  <erik@katastrof.nu>

	* src/services/logging/LoggingService.cpp, src/services/logging/LoggingService.h: overload the << op with both unsigned int and unsigned long, but remove t_size, since this will make it not compile on either 32 or 64 bit systems

2006-11-20 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/ModelEdit.layout: fixed a problem with the caption

2006-11-20 Erik Hjortsberg  <erik@katastrof.nu>

	* src/services/logging/LoggingService.cpp, src/services/logging/LoggingService.h: added logging of unsigned ints

2006-11-20 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/terrain/TerrainEditor.cpp: update only affected pages

2006-11-20 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/terrain/TerrainPage.cpp: use the adapter for updating the underlying page

2006-11-20 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/terrain/TerrainGenerator.cpp, src/components/ogre/terrain/TerrainGenerator.h: fixed the method for getting pages from world positions, also added a accessor for the pages

2006-11-20 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeData2D_HeightField.cpp: cleaned up some code and added more logging

2006-11-20 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/SceneManagers/EmberPagingSceneManager/include/EmberPagingLandScapeTexture.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeTexture.cpp: cleaned up the code, fixed some wrong initialization values

2006-11-20 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/SceneManagers/EmberPagingSceneManager/include/EmberPagingSceneManagerAdapter.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingSceneManagerAdapter.cpp: implement method for updating a single page

2006-11-20 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/terrain/ISceneManagerAdapter.h: added method for updating a single page

2006-11-19 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberEntity.cpp, src/components/ogre/EmberEntity.h: show the eris bbox with a yellowish material

2006-11-19 Erik Hjortsberg  <erik@katastrof.nu>

	* src/services/server/ConnectedAdapter.cpp, src/services/server/ConnectedAdapter.h, src/services/server/IServerAdapter.h, src/services/server/NonConnectedAdapter.cpp, src/services/server/NonConnectedAdapter.h, src/services/server/ServerService.cpp, src/services/server/ServerService.h: added a delete command which will delete entities from the world

2006-11-18 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/Bootstrap.lua: added loading of the admin control

2006-11-18 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/Admin.layout, src/components/ogre/widgets/Admin.lua: added a widget to be shown when the user logs in as an admin

2006-11-18 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/TerrainEditor.lua: hide the overlay when the window is hidden

2006-11-18 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/scripting/bindings/lua/MovableObjectRenderer.pkg, src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp: updated bindings

2006-11-18 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/ModelEdit.layout, src/components/ogre/widgets/ModelEdit.lua: added buttons for rotating the preview model in discrete steps, making it easier to better align it to the entity representation

2006-11-18 Erik Hjortsberg  <erik@katastrof.nu>

	* media/materials/scripts/buildings.material: updated materials
	* src/components/ogre/modeldefinitions/buildings.modeldef: updated model definitions

2006-11-18 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/MovableObjectRenderer.cpp, src/components/ogre/widgets/MovableObjectRenderer.h: expose the camera orientation methods, don't rotate the contained object by default

2006-11-18 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/EntityCEGUITexture.cpp: don't rotate the camera from the start, allowing for us to get a more correct entity rotation from the view

2006-11-18 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberEntityFactory.cpp: if we've loaded a model that has no valid defintion, put a placeholder mesh in it so and mark it as valid so that we'll at least see the model in the world (just like previous behaviour before changes to Model)

2006-11-18 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/InventoryWidget.cpp: don't show the inventory if we're logged in as an admin

2006-11-18 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/scripting/bindings/lua/Model.pkg, src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp: updated bindings

2006-11-18 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/input/Input.h, src/components/ogre/input/InputCommandMapper.h, src/components/ogre/model/ModelDefinitionManager.h, src/components/ogre/model/ParticleSystem.h, src/components/ogre/model/XMLModelDefinitionSerializer.h: mark destructors as virtual

2006-11-18 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/EntityCEGUITexture.h: added accessor for the scene manager

2006-11-18 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/jesus/Jesus.cpp, src/components/ogre/widgets/ModelRenderer.cpp, src/components/ogre/EmberEntityFactory.cpp: adapt to changes in Model creation

2006-11-18 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberPhysicalEntity.cpp: update the original bounding box upon model reload, avoid some string copying by comparing by ref

2006-11-18 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberEntity.cpp: get by ref

2006-11-18 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/AvatarCamera.cpp, src/components/ogre/AvatarCamera.h: Use the locally stored scene manager, increased the near clip distance

2006-11-18 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/model/Model.cpp, src/components/ogre/model/Model.h: changed how models are created. Instead of creating models though "new Model", we now integrate the models into the MovableObject framwork of Ogre. This means that all models are managed by Ogre, through the use of the ModelFactory. A new Model is now created by the static method Model::createModel(...)

2006-11-18 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/environment/caelum/src/Sun.cpp: disable the sun if it's below the horizon 

2006-11-08 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/WorldEmberEntity.cpp: cleaned up includes

2006-11-08 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberEntityUserObject.cpp, src/components/ogre/EmberEntityUserObject.h, src/components/ogre/EmberPhysicalEntity.cpp, src/components/ogre/EmberPhysicalEntity.h, src/components/ogre/EntityWorldPickListener.cpp, src/components/ogre/Makefile.am, src/components/ogre/OpcodeCollisionDetector.cpp, src/components/ogre/OpcodeCollisionDetector.h: refactored the collision detection code to use an interface instead of EmberPhysicalEntity depending on Opcode directly

2006-11-08 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/model/Model.cpp, src/components/ogre/model/Model.h: no need to redeclare name from MovableObject

2006-11-06 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/modeldefinitions/buildings.modeldef, src/components/ogre/modeldefinitions/creatures.modeldef.xml: updated model definitions

2006-11-06 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/model/XMLModelDefinitionSerializer.cpp: fixed a bug where Vector3 weren't exported correctly

2006-11-06 Erik Hjortsberg  <erik@katastrof.nu>
	
	* src/components/ogre/manipulation/EntityMoveAdapter.cpp: pressing shift while rotating will rotate in smaller steps
	
2006-11-06 Erik Hjortsberg  <erik@katastrof.nu>
	
	* src/components/ogre/environment/caelum/include/CaelumPrerequisites.h: removed debug code
	
2006-11-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/scripting/bindings/lua/EntityCEGUITexture.pkg, src/components/ogre/scripting/bindings/lua/MovableObjectRenderer.pkg, src/components/ogre/scripting/bindings/lua/QuaternionAdapter.pkg, src/components/ogre/scripting/bindings/lua/Vector3Adapter.pkg, src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp: updated bindings

2006-11-05 Erik Hjortsberg  <erik@katastrof.nu>

	* media/materials/scripts/creatures.material, media/materials/scripts/environment.material: updated materials

2006-11-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/model/XMLModelDefinitionSerializer.cpp: don't reload duplicate resources, also fixed some problems with osdir

2006-11-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/model/Model.cpp, src/components/ogre/model/Model.h, src/components/ogre/model/ModelDefinition.h, src/components/ogre/model/ModelDefinitionManager.cpp: when the model defintion is reloaded, also emit a Reloaded signal from all of the models that uses that definition

2006-11-05 Erik Hjortsberg  <erik@katastrof.nu>


	* src/components/ogre/environment/CaelumEnvironment.cpp, src/components/ogre/environment/CaelumEnvironment.h: added console commands for setting the time

2006-11-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/InventoryWidget.cpp: cleaned up includes

2006-11-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/GUICEGUIAdapter.cpp: removed debug logging
	
2006-11-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberEntityFactory.cpp, src/components/ogre/EmberPhysicalEntity.cpp, src/components/ogre/EmberPhysicalEntity.h: when the model defintion is reloaded, make sure that all entities' rotation and scaling also are updated

2006-11-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/Avatar.cpp, src/components/ogre/EmberEntity.cpp, src/components/ogre/EmberEntity.h: cleaned up includes, deactivated the sound test code

2006-11-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/ModelEdit.layout, src/components/ogre/widgets/ModelEdit.lua: fixed a bug with the rotation code, added button which sets the rotation from the preview texture

2006-11-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/MovableObjectRenderer.cpp, src/components/ogre/widgets/MovableObjectRenderer.h: Added support for rolling. Pressing and holding Ctrl will roll instead of yawing and pitching.

2006-11-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/EntityCEGUITexture.cpp, src/components/ogre/widgets/EntityCEGUITexture.h: added methods for getting the rotation of the contained entity (not completely correct yet though). Also added a roll method.

2006-11-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/QuaternionAdapter.cpp, src/components/ogre/widgets/QuaternionAdapter.h, src/components/ogre/widgets/Vector3Adapter.cpp, src/components/ogre/widgets/Vector3Adapter.h: added a setValue method for setting the value through code

2006-11-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/modeldefinitions/buildings.modeldef, src/components/ogre/modeldefinitions/characters.modeldef.xml: updated model definitions

2006-11-04 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/Makefile.am: removed reference to unused Time class

2006-11-04 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/resources.cfg: added caelum pack 

2006-11-03 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/environment/caelum/src/CaelumSystem.cpp: wait with attaching as a frame listener until we've been completely created

2006-11-02 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/Makefile.am, configure.ac: added new libraries

2006-11-02 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/WorldEmberEntity.cpp, src/components/ogre/WorldEmberEntity.h: use the new Environment class

2006-11-02 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberOgre.cpp, src/components/ogre/EmberOgre.h:
		* cleaned up code
		* updated to changed environment namespace
		* write some info about the version of ogre compiled against

2006-11-02 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/modeldefinitions/characters.modeldef.xml: hide far away characters, since if they're animated they will kill the frame rate (we really need hardware animation)

2006-11-02 Erik Hjortsberg  <erik@katastrof.nu>
	
	* src/components/ogre/terrain/TerrainGenerator.cpp, src/components/ogre/terrain/TerrainPage.cpp, src/components/ogre/terrain/TerrainPage.h:
		* cleaned up code
		* removed stupid debug code
		* updated to changed environment namespace

2006-11-02 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/environment/LensFlare.cpp, src/components/ogre/environment/LensFlare.h, src/components/ogre/environment/Sky.cpp, src/components/ogre/environment/Sky.h: changed the namespace to EmberOgre::Environment
	* src/components/ogre/environment/Makefile.am: added new files

2006-11-02 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/environment/Foliage.cpp, src/components/ogre/environment/Foliage.h, src/components/ogre/environment/FoliageArea.cpp, src/components/ogre/environment/FoliageArea.h, src/components/ogre/environment/Sun.cpp, src/components/ogre/environment/Sun.h, src/components/ogre/environment/Tree.cpp, src/components/ogre/environment/Tree.h, src/components/ogre/environment/Water.cpp, src/components/ogre/environment/Water.h: changed the namespace to EmberOgre::Environment
	
2006-11-02 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/environment/CaelumEnvironment.cpp, src/components/ogre/environment/CaelumEnvironment.h, src/components/ogre/environment/CaelumSky.cpp, src/components/ogre/environment/CaelumSky.h, src/components/ogre/environment/CaelumSun.cpp, src/components/ogre/environment/CaelumSun.h: added wrapper classes for the caelum system

2006-11-02 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/environment/Environment.cpp, src/components/ogre/environment/Environment.h: added a class which provides an entry point into the environment, though the actual environment implementation is delegated to implementations of the IEnvironmentProvider interface

2006-11-02 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/environment/caelum/Contributors.txt, src/components/ogre/environment/caelum/Makefile.am, src/components/ogre/environment/caelum/ReleaseNotes.txt, src/components/ogre/environment/caelum/WhatsNew.txt, src/components/ogre/environment/caelum/lgpl.txt, src/components/ogre/environment/caelum/include/Caelum.h, src/components/ogre/environment/caelum/include/CaelumListener.h, src/components/ogre/environment/caelum/include/CaelumPrerequisites.h, src/components/ogre/environment/caelum/include/CaelumSystem.h, src/components/ogre/environment/caelum/include/GeometryFactory.h, src/components/ogre/environment/caelum/include/SkyColourModel.h, src/components/ogre/environment/caelum/include/SkyDome.h, src/components/ogre/environment/caelum/include/Starfield.h, src/components/ogre/environment/caelum/include/StoredImageSkyColourModel.h, src/components/ogre/environment/caelum/include/Sun.h, src/components/ogre/environment/caelum/src/CaelumSystem.cpp, src/components/ogre/environment/caelum/src/GeometryFactory.cpp, src/components/ogre/environment/caelum/src/SkyDome.cpp, src/components/ogre/environment/caelum/src/Starfield.cpp, src/components/ogre/environment/caelum/src/StoredImageSkyColourModel.cpp, src/components/ogre/environment/caelum/src/Sun.cpp: added Caleum, an Ogre system for providing a sky

2006-11-02 Erik Hjortsberg  <erik@katastrof.nu>

	* src/services/Makefile.am, src/services/time/Makefile.am, src/services/time/TimeService.cpp, src/services/time/TimeService.h: added a time service, intended to provide time and calendar services

2006-11-01 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/OgreResourceLoader.cpp, src/components/ogre/OgreResourceLoader.h: make sure that all resource groups are loaded

2006-11-01 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/AvatarCamera.cpp: export as jpeg instead of png

2006-10-24 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/MathConverter.h: added conversion between WFMath::Vector<2> and Ogre::Vector2

2006-10-24 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberOgre.cpp: create and register an adapter when creating the terrain generator

2006-10-24 Erik Hjortsberg  <erik@katastrof.nu>
	
	* src/components/ogre/EmberEntity.cpp: set the node to null at initialization

2006-10-24 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/SceneManagers/EmberPagingSceneManager/include/EmberPagingSceneManagerAdapter.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/Makefile.am, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingSceneManagerAdapter.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/Makefile.am: added adapter for this scene manager

2006-10-24 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/terrain/TerrainEditor.cpp: we should use the setOption method of updating the pages, though right now it just crashes

2006-10-24 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/terrain/TerrainGenerator.cpp, src/components/ogre/terrain/TerrainGenerator.h, src/components/ogre/terrain/TerrainPage.cpp, src/components/ogre/terrain/TerrainPage.h: changed the way the terrain is created. We now always create four pages around point 0,0. 

2006-10-24 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/terrain/TerrainInfo.cpp, src/components/ogre/terrain/TerrainInfo.h: added class for holding terrain information and calculating page sizes etc.

2006-10-24 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/terrain/ISceneManagerAdapter.h,src/components/ogre/terrain/Makefile.am : added interface for an adapter for a scene manager

2006-10-09 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/Give.lua,src/components/ogre/widgets/Tasks.lua: removed some debug output

2006-10-09 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/environment/Water.cpp: handle missing resources
	
2006-10-08 Erik Hjortsberg  <erik@katastrof.nu>
	
	* src/components/ogre/environment/LensFlare.cpp, src/components/ogre/environment/LensFlare.h: handle missing material

2006-10-07 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightField.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeRenderableManager.h: conform to correct C++

2006-10-03 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/InspectWidget.cpp, src/components/ogre/widgets/InspectWidget.h: more efficient handling of updates

2006-10-03 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/EntityPicker.layout: updated layout to tigthen it a bit

2006-10-03 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/InspectWidget.cpp, src/components/ogre/widgets/InspectWidget.h, src/components/ogre/widgets/InspectWidget.xml: extended the inspect widget to handle the attributes better

2006-10-03 Erik Hjortsberg  <erik@katastrof.nu>

	* ember.bat: updated batch with changes from Elendrim

2006-09-24 Erik Hjortsberg  <erik@katastrof.nu>

	* TODO: updated list

2006-09-24 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/modeldefinitions/characters.modeldef.xml: added definition for the creator

2006-09-24 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/terrain/TerrainPage.cpp: fixed bug which always returned 1
	
2006-09-24 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/Avatar.cpp, src/components/ogre/EmberEntityFactory.cpp, src/components/ogre/EmberOgre.cpp, src/components/ogre/terrain/TerrainEditor.cpp, src/components/ogre/widgets/InspectWidget.cpp: adapted to changes to ServerService.h

2006-09-24 Erik Hjortsberg  <erik@katastrof.nu>

	* src/services/server/ConnectedAdapter.cpp, src/services/server/ConnectedAdapter.h, src/services/server/IServerAdapter.cpp, src/services/server/IServerAdapter.h, src/services/server/Makefile.am, src/services/server/NonConnectedAdapter.cpp, src/services/server/NonConnectedAdapter.h, src/services/server/ServerService.cpp, src/services/server/ServerService.h: refactored the server service to use a state pattern

2006-09-21 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/terrain/Makefile.am: added missing files

2006-09-21 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/scripting/bindings/lua/Avatar.pkg, src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp, src/components/ogre/scripting/bindings/lua/required.h: updated bindings

2006-09-21 Erik Hjortsberg  <erik@katastrof.nu>

	* configure.ac: updated for terrain files being moved to separate directory

2006-09-21 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberEntity.cpp, src/components/ogre/EmberEntity.h, src/components/ogre/EmberEntityFactory.cpp, src/components/ogre/EmberEntityFactory.h, src/components/ogre/EmberOgre.cpp, src/components/ogre/Makefile.am, src/components/ogre/MotionManager.cpp, src/components/ogre/MotionManager.h, src/components/ogre/WorldEmberEntity.cpp: updated for terrain files being moved to separate directory

2006-09-21 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/MakeEntityWidget.cpp: updated for terrain files being moved to separate directory, also check if the user is a creator when creating new entities

2006-09-21 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/environment/Foliage.cpp, src/components/ogre/environment/FoliageArea.cpp, src/components/ogre/environment/Sky.cpp: updated for terrain files being moved to separate directory

2006-09-21 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeData2D_HeightField.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeTexture.cpp: updated for terrain files being moved to separate directory

2006-09-21 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/terrain/TerrainArea.cpp, src/components/ogre/terrain/TerrainGenerator.cpp, src/components/ogre/terrain/TerrainGenerator.h, src/components/ogre/terrain/TerrainPage.cpp, src/components/ogre/terrain/TerrainPage.h, src/components/ogre/terrain/TerrainShader.h: moved to separate directory

2006-09-21 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/terrain/TerrainEditor.cpp, src/components/ogre/terrain/TerrainEditor.h: moved to separate directory, update entity positions on entities that are on the page

2006-09-21 Erik Hjortsberg  <erik@katastrof.nu>

	* src/services/server/ServerService.cpp: cleaned up the code and added a check for if the user is a creator, at what point the TO attribute will be forced

2006-09-21 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/environment/LensFlare.cpp: catch errors when getting material

2006-09-21 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/modeldefinitions/edibles.modeldef, src/components/ogre/modeldefinitions/environment.modeldef.xml, src/components/ogre/modeldefinitions/tools.modeldef: updated definitions

2006-09-21 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/Avatar.cpp, src/components/ogre/Avatar.h: added flag for if the avatar is a creator

2006-09-21 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/ServerWidget.cpp, src/components/ogre/widgets/ServerWidget.h, src/components/ogre/widgets/ServerWidget.xml: if the user is an admin, show a button for quick admin login
	
2006-09-12 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTile.h: fixed error in include

2006-09-12 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeRenderable.h: fixed error in include

2006-09-10 Erik Hjortsberg  <erik@katastrof.nu>

	* media/materials/scripts/buildings.material, media/materials/scripts/creatures.material, media/materials/scripts/environment.material, media/materials/textures/lensflare5.jpg, media/materials/textures/lensflare6.jpg: updated media

2006-09-10 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/modeldefinitions/buildings.modeldef, src/components/ogre/modeldefinitions/trees.modeldef.xml: updated media

2006-09-10 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/AvatarController.cpp, src/components/ogre/AvatarController.h: better clean up

2006-09-10 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberEntity.h: added click mask for renderables that we don't want to be clickable

2006-09-10 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberOgre.h: added accessor for the EntityMovementManager

2006-09-10 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/OgreResourceLoader.cpp: check for both a directory and a file for those instances where we're trying to load a zip file

2006-09-10 Erik Hjortsberg  <erik@katastrof.nu>

	* src/framework/StreamLogObserver.cpp: don't write file name unless in verbose mode; this will help to keep log file size down

2006-09-10 Erik Hjortsberg  <erik@katastrof.nu>

	* src/framework/osdir.h: added a more sane way of checking whether a directory exists than just to check for null pointer

2006-09-10 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/Widget.cpp, src/components/ogre/widgets/Widget.h: to prevent the tabbable windows functioanlity from clashing with other mappings of the tab key, suppress further input event processing when tab i pressed

2006-09-10 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/InspectWidget.cpp, src/components/ogre/widgets/InspectWidget.xml: provide better output

2006-09-10 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/ModelEdit.layout: fixed typo

2006-09-10 Erik Hjortsberg  <erik@katastrof.nu>
	
	* src/components/ogre/widgets/MakeEntityWidget.cpp, src/components/ogre/widgets/MakeEntityWidget.h, src/components/ogre/widgets/MakeEntityWidget.xml: added preview texture

2006-09-10 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/ModelRenderer.cpp: added extra null checks

2006-09-10 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/ServerWidget.cpp, src/components/ogre/widgets/ServerWidget.h: added extra null checks

2006-09-10 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/EntityPicker.layout, src/components/ogre/widgets/EntityPicker.lua: added "move" to the meny

2006-09-10 Erik Hjortsberg  <erik@katastrof.nu>
	
	* src/components/ogre/widgets/Mover.layout, src/components/ogre/widgets/Mover.lua, src/components/ogre/widgets/Bootstrap.lua: added a simple help text for movement operations

2006-09-10 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/ConsoleWidget.cpp, src/components/ogre/widgets/ConsoleWidget.h, ember.conf: added command for getting focus, and bind it to tab when in GUI mode

2006-09-10 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/scripting/bindings/lua/EmberOgre.pkg, src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp, src/components/ogre/scripting/bindings/lua/required.h, src/components/ogre/scripting/bindings/lua/EntityMoveManager.pkg: updated bindings

2006-09-10 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/model/Model.cpp, src/components/ogre/model/Model.h: reimplement setRenderingDistance to make it work with the SubModels

2006-09-10 Erik Hjortsberg  <erik@katastrof.nu>
	
	* src/components/ogre/manipulation/EntityMoveAdapter.cpp, src/components/ogre/manipulation/EntityMoveAdapter.h, src/components/ogre/manipulation/EntityMoveAdjuster.cpp, src/components/ogre/manipulation/EntityMoveAdjuster.h, src/components/ogre/manipulation/EntityMoveManager.cpp, src/components/ogre/manipulation/EntityMoveManager.h, src/components/ogre/manipulation/EntityMover.cpp, src/components/ogre/manipulation/EntityMover.h, src/components/ogre/manipulation/Makefile.am: 
		* added some signals for movement events
		* added EntityMoveAdapter which adjusts moved entities which the server didn't allow movement for, so that they snap back to their original position

2006-09-10 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/input/Input.cpp, src/components/ogre/input/Input.h: added method for suppressing further processing of a current event. This is useful for letting event handling code cancel out further event handling which might be disruptive (for example the tab-support in Widget versus the tab-leads-to-console-focus functionality)

2006-09-10 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/environment/LensFlare.cpp, src/components/ogre/environment/LensFlare.h, src/components/ogre/environment/Makefile.am, src/components/ogre/environment/Sun.cpp, src/components/ogre/environment/Sun.h: added lens flare effect

2006-09-09 Erik Hjortsberg  <erik@katastrof.nu>

	* ember.conf: esc doesn't quit; it's too useful to reserve for cancelling game operations
	* TODO: updates
	* src/components/ogre/widgets/InspectWidget.cpp, src/components/ogre/widgets/InspectWidget.h: added ability to move entities

2006-09-09 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberOgre.cpp, src/components/ogre/EmberOgre.h: use the EntityMovementManager which allows for entity to be moved

2006-09-09 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeRaySceneQuery.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeRenderable.cpp: reapply ember tweaks
	
2006-09-09 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/GUICEGUIAdapter.cpp: after sending input data to the cegui system, exit the input system, else if another adapter would be added in the same loop this adapter would recieve duplicate input events
	
2006-09-09 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberEntity.cpp, src/components/ogre/EmberEntity.h, src/components/ogre/WorldEmberEntity.cpp, src/components/ogre/WorldEmberEntity.h: added ability to adjust the entity to an arbitrary position, not just the position of the eris entity

2006-09-09 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/AvatarCamera.cpp, src/components/ogre/AvatarController.cpp: code cleanup

2006-09-08 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/manipulation/EntityMoveAdapter.cpp, src/components/ogre/manipulation/EntityMoveAdapter.h, src/components/ogre/manipulation/EntityMoveManager.cpp, src/components/ogre/manipulation/EntityMoveManager.h, src/components/ogre/manipulation/EntityMover.cpp, src/components/ogre/manipulation/EntityMover.h, src/components/ogre/manipulation/IEntityMoveBridge.h, src/components/ogre/manipulation/Makefile.am, configure.ac, src/components/ogre/Makefile.am: added functionality for moving entities

2006-09-08 Erik Hjortsberg  <erik@katastrof.nu>

	* src/services/server/ServerService.cpp, src/services/server/ServerService.h: added the option of setting the orientation of an entity when placing it. Since Eris doesn't allow for this yet in its place method we have to use low level Atlas here instead.

2006-09-08 Erik Hjortsberg  <erik@katastrof.nu>

	* src/framework/ConsoleBackend.cpp, src/framework/ConsoleBackend.h: added option to not add command to the history
	* src/components/ogre/input/InputCommandMapper.cpp: don't add input mapped commands to the history (for example all movement commands)

2006-09-08 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/Chat.layout, src/components/ogre/widgets/ConsoleWidget.xml, src/components/ogre/widgets/Debug.layout, src/components/ogre/widgets/EntityPicker.layout, src/components/ogre/widgets/Give.layout, src/components/ogre/widgets/HelpWidget.xml, src/components/ogre/widgets/IngameChatWidget.xml, src/components/ogre/widgets/InspectWidget.xml, src/components/ogre/widgets/InventoryWidget.xml, src/components/ogre/widgets/JesusEdit.widget, src/components/ogre/widgets/JesusEditFile.widget, src/components/ogre/widgets/JesusEditPreview.widget, src/components/ogre/widgets/MakeEntityWidget.xml, src/components/ogre/widgets/MeshPreview.widget, src/components/ogre/widgets/ModelEdit.layout, src/components/ogre/widgets/Performance.layout, src/components/ogre/widgets/Quit.widget, src/components/ogre/widgets/ScriptEdit.layout, src/components/ogre/widgets/ServerBrowser.layout, src/components/ogre/widgets/ServerWidget.xml, src/components/ogre/widgets/Tasks.layout, src/components/ogre/widgets/TerrainEditor.layout: use only the unified coordinate system, in preparation for CEGUI 0.5.0

2006-09-08 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/scripting/bindings/lua/EmberOgre.pkg, src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp: updated bindings

2006-09-08 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeRenderable.cpp: reactivate hack for uninitialized Mercator pages
	* src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOgreOctree.cpp: removed obsolete file
	* TODO: updated
	* src/components/ogre/MotionManager.cpp, src/components/ogre/MotionManager.h: cleaned up code and added an info struct to be used in the future (perhaps)
	
2006-09-08 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/SceneManagers/EmberPagingSceneManager/include/DRGNURBSSurface.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/EmberPagingLandScapeData2D_HeightField.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/EmberPagingLandScapeTexture.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/Makefile.am, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgreDebugRectangle2D.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgreOcclusionBoundingBox.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeCallBackEvent.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeCallback.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeCamera.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2DManager.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightField.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightFieldBlendNeighbor.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightFieldN.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightFieldNTC.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightFieldRaw.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightFieldRawTC.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightFieldTC.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_Spline.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeHorizon.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeIndexBuffer.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeIntersectionSceneQuery.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeListener.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeListenerManager.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOcclusion.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOcclusionCHCTraversal.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOcclusionCameraTraversal.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOcclusionDebugTraversal.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOcclusionElement.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOcclusionQuerySet.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOcclusionSWTraversal.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOcclusionSorter.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOcclusionTraversal.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOcclusionVFTraversal.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOcclusionVisibilityData.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOctree.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOctreeAxisAlignedBoxSceneQuery.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOctreeCamera.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOctreeIntersectionSceneQuery.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOctreeNode.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOctreePlaneBoundedVolumeListSceneQuery.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOctreeRaySceneQuery.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOctreeSceneManager.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOctreeSphereSceneQuery.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOptions.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapePage.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapePageManager.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapePageRenderable.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapePoolSet.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapePrecompiledHeaders.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapePrerequisites.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeQueue.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeRaySceneQuery.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeRenderable.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeRenderableManager.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeSceneManager.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTextureCoordinatesManager.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTextureManager.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_BaseTexture.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_BaseTexture2.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Image.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_InstantBaseTexture.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_InstantBaseTextureEdit.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_InstantBaseTextureShadowed.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_None.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting2.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting2Edit.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting3.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting4.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting5.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting6.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting7.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting7Edit.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_SplattingShader.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_SplattingShaderEdit.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTile.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTileInfo.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTileManager.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/fileutils.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/DRGNURBSSurface.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeTexture.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/Makefile.am, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgreDebugRectangle2D.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgreOcclusionBoundingBox.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeCamera.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2DManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_HeightField.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_HeightFieldBlendNeighbor.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_HeightFieldN.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_HeightFieldNTC.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_HeightFieldRaw.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_HeightFieldRawTC.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_HeightFieldTC.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_Spline.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeHorizon.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeIndexBuffer.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeIntersectionSceneQuery.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeListenerManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOcclusion.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOcclusionCHCTraversal.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOcclusionCameraTraversal.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOcclusionDebugTraversal.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOcclusionElement.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOcclusionQuerySet.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOcclusionSWTraversal.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOcclusionTraversal.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOcclusionVFTraversal.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOctree.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOctreeAxisAlignedBoxSceneQuery.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOctreeCamera.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOctreeIntersectionSceneQuery.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOctreeNode.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOctreePlaneBoundedVolumeListSceneQuery.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOctreeRaySceneQuery.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOctreeSceneManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOctreeSphereSceneQuery.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOgreOctree.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOptions.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapePage.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapePageManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapePageRenderable.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapePrecompiledHeaders.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeRaySceneQuery.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeRenderable.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeRenderableManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeSceneManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeSceneManagerDll.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTextureCoordinatesManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTextureManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_BaseTexture.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_BaseTexture2.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Image.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_InstantBaseTexture.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_InstantBaseTextureEdit.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_InstantBaseTextureShadowed.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting2.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting2Edit.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting3.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting4.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting5.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting6.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting7.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting7Edit.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_SplattingShader.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_SplattingShaderEdit.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTile.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTileManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/filetutils.cpp: updated to newer version

2006-08-30 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/AvatarCamera.cpp, src/components/ogre/AvatarCamera.h, src/components/ogre/OgreSetup.cpp: fixed win32-fixes
	* ember.conf: updated bindings
	
2006-08-30 Erik Hjortsberg  <erik@katastrof.nu>

	* src/services/config/ConfigService.cpp: fixes for win32

2006-08-30 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/Widget.cpp, src/components/ogre/widgets/ServerWidget.cpp: added more logging

2006-08-30 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTextureManager.cpp: removed technique not used

2006-08-30 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/model/XMLModelDefinitionSerializer.cpp: use the osdir class to check for existance of directories
	* src/components/ogre/model/ModelDefinition.h: fixed struct signature
	* src/components/ogre/model/SubModel.cpp: check for entity existance before removing

2006-08-30 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/XMLJesusSerializer.cpp: use the osdir class to check for existance of directories

2006-08-30 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberOgre.cpp, src/components/ogre/AvatarCamera.h, src/components/ogre/AvatarCamera.cpp: use the osdir class to check for existance of directories, make it work on win32

2006-08-30 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/OgreResourceLoader.cpp: use the osdir class to check for existance of directories

2006-08-30 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/OgreSetup.cpp: make it work on win32

>>>>>>> 1.543
2006-08-14 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/OgreResourceLoader.cpp: don't increase the iterator until needed

2006-08-10 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/scripting/bindings/lua/MovableObjectRenderer.pkg, src/components/ogre/widgets/EntityCEGUITexture.cpp, src/components/ogre/widgets/EntityCEGUITexture.h, src/components/ogre/widgets/MovableObjectRenderer.cpp, src/components/ogre/widgets/MovableObjectRenderer.h, src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp: the mouse wheel controls zooming on object rendering textures

2006-08-08 Erik Hjortsberg  <erik@katastrof.nu>

	* configure.ac: fixed typo

2006-08-08 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/OgreSetup.cpp: removed include directive for SDL_image
	* src/components/ogre/modeldefinitions/trees.modeldef.xml: don't render tree farther away than 200 meters, perhaps this will improve the performance a bit.
	
2006-08-08 Erik Hjortsberg  <erik@katastrof.nu>

	* configure.ac, src/components/ogre/OgreSetup.cpp: removed the dependency on SDL_image, instead store the icon in compiled form
	* ember.desktop: added Application to the categories
	* src/components/ogre/CONTROLS: updated with a reference to ember.conf
	* src/components/ogre/OgreResourceLoader.cpp: Catch errors when initializing groups.

2006-08-07 Erik Hjortsberg  <erik@katastrof.nu>

	* ember.in: If an old version already has been installed, move the config files out of the way. 
	
2006-08-06 Erik Hjortsberg  <erik@katastrof.nu>

	* src/services/server/ServerService.cpp: Completely disable the OOG functionality since it wasn't used anyway. And more importantly, it triggered an assertion crash in eris when creating a new character. And since (at least 1.3.11) doesn't compile away assertions in release builds this will always trigger for new players.
	
2006-08-06 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/TerrainGenerator.cpp, src/components/ogre/TerrainShader.cpp, src/components/ogre/TerrainShader.h: Try to optimize the terrain material a bit more, though it's still too inefficient.

2006-08-06 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/model/Model.cpp, src/components/ogre/model/Model.h, src/components/ogre/model/ModelDefinition.cpp, src/components/ogre/model/ModelDefinition.h, src/components/ogre/model/XMLModelDefinitionSerializer.cpp, src/components/ogre/modeldefinitions/modeldefinition.xsd: support the renderDistance functionality on Ogre.

2006-08-06 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/AvatarCamera.cpp, src/components/ogre/AvatarCamera.h, src/components/ogre/GUIManager.cpp, src/components/ogre/GUIManager.h: moved the screenshot functionality from the GUIManager to AvatarCamera where it belongs.
	* src/components/ogre/scripting/bindings/lua/AvatarCamera.pkg, src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp: updated bindings
	
2006-08-06 Erik Hjortsberg  <erik@katastrof.nu>

	* src/services/logging/LoggingService.cpp: use stringstreams for conversions

2006-08-06 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/scripting/bindings/lua/AvatarCamera.pkg, src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp, src/components/ogre/scripting/bindings/lua/helpers/LuaConsoleObject.cpp, src/components/ogre/scripting/bindings/lua/helpers/LuaConsoleObject.h, src/components/ogre/scripting/bindings/lua/helpers/LuaConsoleObject.pkg, src/components/ogre/scripting/bindings/lua/helpers/lua_Helpers.cpp, src/framework/bindings/lua/lua_Framework.cpp: updated bindings

2006-08-06 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/AvatarCamera.cpp, src/components/ogre/AvatarCamera.h, src/components/ogre/AvatarController.cpp, src/components/ogre/AvatarController.h, src/components/ogre/ConsoleObjectImpl.cpp, src/components/ogre/ConsoleObjectImpl.h, src/components/ogre/GUIManager.cpp, src/components/ogre/widgets/Widget.cpp, src/services/config/ConfigService.cpp, src/services/server/OOGChat.cpp, src/services/server/ServerService.cpp, src/services/server/ServerService.h, ember.conf: removed all hard coded input mappings and replaced them with console commands

2006-08-06 Erik Hjortsberg  <erik@katastrof.nu>

	* src/framework/ConsoleBackend.cpp, src/framework/ConsoleBackend.h, src/framework/ConsoleCommandWrapper.cpp: better use of the console command descriptions.

2006-08-06 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/input/Input.cpp: correctly handle mouse wheel events

2006-08-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/AvatarController.cpp, src/components/ogre/AvatarController.h: Added support for "+run".

2006-08-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/framework/ConsoleCommandWrapper.cpp, src/framework/ConsoleCommandWrapper.h: Added support for "+" commands.

2006-08-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/AvatarCamera.cpp, src/components/ogre/AvatarCamera.h, src/components/ogre/ConsoleObjectImpl.cpp, src/components/ogre/ConsoleObjectImpl.h, src/components/ogre/EmberEntityFactory.cpp, src/components/ogre/EmberEntityFactory.h, src/components/ogre/GUIManager.cpp, src/components/ogre/GUIManager.h, src/components/ogre/environment/Sun.cpp, src/components/ogre/environment/Sun.h, src/components/ogre/widgets/Help.cpp, src/components/ogre/widgets/Help.h, src/components/ogre/widgets/InspectWidget.cpp, src/components/ogre/widgets/InspectWidget.h, src/components/ogre/widgets/MakeEntityWidget.cpp, src/components/ogre/widgets/MakeEntityWidget.h, src/components/ogre/widgets/MeshPreview.cpp, src/components/ogre/widgets/MeshPreview.h, src/components/ogre/widgets/Quit.cpp, src/components/ogre/widgets/Quit.h, src/framework/ConsoleCommandWrapper.h, src/framework/ConsoleObject.h, src/services/metaserver/MetaserverService.cpp, src/services/metaserver/MetaserverService.h, src/components/ogre/scripting/bindings/lua/helpers/LuaConsoleObject.cpp, src/components/ogre/scripting/bindings/lua/helpers/LuaConsoleObject.h: use the wrapper where possible
	* src/components/ogre/scripting/bindings/lua/AvatarCamera.pkg, src/components/ogre/scripting/bindings/lua/GUIManager.pkg, src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp: Update bindings.
	* src/components/ogre/TerrainEditor.cpp: Input is now passed by reference

2006-08-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/ConsoleWidget.cpp, src/components/ogre/widgets/ConsoleWidget.h: use the wrapper

2006-08-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/AvatarController.cpp, src/components/ogre/GUIManager.cpp: fixed names of the config section

2006-08-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberOgre.h: restructured initialization of objects to avoid segfaults

2006-08-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/framework/ConsoleBackend.h, src/framework/ConsoleCommandWrapper.cpp, src/framework/ConsoleCommandWrapper.h, src/framework/Makefile.am: added utility class for registering and deregistering console commands.

2006-08-05 Erik Hjortsberg  <erik@katastrof.nu>

	* ember.conf: added key bindings

2006-08-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberOgre.cpp: call the correct initialize method
	* src/components/ogre/AvatarCamera.cpp: cleaned up code

2006-08-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/GUIManager.cpp, src/components/ogre/AvatarController.cpp: restrict it to certain InputModes
	
2006-08-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/ConsoleWidget.cpp, src/components/ogre/widgets/ConsoleWidget.h: added command for toggling the console

2006-08-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/framework/ConsoleBackend.cpp: Better logging.

2006-08-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/input/Input.cpp, src/components/ogre/input/Input.h, src/components/ogre/input/InputCommandMapper.cpp, src/components/ogre/input/InputCommandMapper.h: added support for binding commands through the console

2006-08-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/scripting/bindings/lua/EmberOgre.pkg, src/components/ogre/scripting/bindings/lua/GUIManager.pkg, src/components/ogre/scripting/bindings/lua/Widget.pkg, src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp: updated bindings

2006-08-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/services/config/ConfigService.cpp, src/services/config/ConfigService.h: Added method for getting a whole section.

2006-08-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberEntity.cpp: use the methods for default ops found in Eris and clean up code and comments

2006-08-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/AvatarCamera.cpp, src/components/ogre/AvatarController.cpp, src/components/ogre/AvatarController.h,  src/components/ogre/EmberOgre.cpp, src/components/ogre/EmberOgre.h, src/components/ogre/GUIManager.cpp, src/components/ogre/GUIManager.h, src/components/ogre/widgets/ConsoleWidget.cpp, src/components/ogre/widgets/ConsoleWidget.h, src/components/ogre/widgets/MovableObjectRenderer.cpp, src/components/ogre/widgets/StatusIconBar.cpp: moved the Input object to be handled by EmberOgre instead of GUIManager, since input is a central function that is independant of a GUI.

2006-08-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/input/Input.cpp, src/components/ogre/input/Input.h, src/components/ogre/input/InputCommandMapper.cpp, src/components/ogre/input/InputCommandMapper.h, src/components/ogre/input/Makefile.am: added support for binding commands to keys. Thanks to Simon for input on how to best do it as well as code from Sear.

2006-08-02 Erik Hjortsberg  <erik@katastrof.nu>

	* ember.in: added comments

2006-08-02 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/GUIManager.cpp: better error logging

2006-08-02 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberOgre.cpp: Don't use ~ for the home directory, instead use getenv().

2006-08-02 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/model/SubModelPart.cpp: Fixed issue with no material defined in the modeldef.

2006-08-01 Erik Hjortsberg  <erik@katastrof.nu>

	* ember.in: 
		* Add support for gcj-compiled wfut.
		* Write the version number to a file, so that we might use if for something useful in the future
	* .cvsignore: added "var" to ignored dirs
	* ember.dox.in: fixed name
	* Ember.kdevelop: updated project file

2006-07-28 Erik Hjortsberg  <erik@katastrof.nu>

	* src/services/logging/LoggingService.cpp, src/services/logging/LoggingService.h: added logging of doubles and size_t values
	* src/components/ogre/TerrainGenerator.cpp, src/components/ogre/TerrainGenerator.h: make more sure the world is initialized to more sane values
	* src/components/ogre/TerrainShader.cpp: more correct logging

2006-07-26 Erik Hjortsberg  <erik@katastrof.nu>
	
	* src/framework/IGameView.h: added missing file
	* ember.in: removed "games"
	
2006-07-24 Erik Hjortsberg  <erik@katastrof.nu>

	* ember.conf: default to showing more fog

2006-07-24 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/OgreSetup.cpp: try to catch an error if the Cg plugin can't be loaded, and then just continue (since it not being there won't break anything)
	
2006-07-24 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/modeldefinitions/vehicles.modeldef: fixed non-parseable characters (though I never found out exactly what it was)
	
2006-07-24 Erik Hjortsberg  <erik@katastrof.nu>

	* media/materials/scripts/creatures.material: added male materials
	* src/components/ogre/model/Model.cpp, src/components/ogre/model/SubModelPart.cpp, src/components/ogre/model/SubModelPart.h, src/components/ogre/model/XMLModelDefinitionSerializer.cpp: changed the way submodel parts are stored so that it's now possible to define many parts using the same submesh but with different materials (such as "pants/green" and "pants/yellow"). This was intended in the original design, but was never fully implemented. Also added some better debug output. Next thing to do is to add support for "groups", so that parts that are mutually exclusive can be grouped together.
	* src/components/ogre/jesus/XMLJesusSerializer.cpp: better error output

2006-07-22 Erik Hjortsberg  <erik@katastrof.nu>

	* Makefile.am, media/packs/Makefile.am, src/components/ogre/carpenter/Makefile.am, src/components/ogre/cegui/Makefile.am, src/components/ogre/jesus/Makefile.am, src/components/ogre/modeldefinitions/Makefile.am, src/components/ogre/widgets/Makefile.am, src/framework/Makefile.am, src/services/config/ConfigService.cpp, src/services/config/ConfigService.h: instead of placing data in DATADIR/games, throw out the "games" part since this is something that each distribution would want to decide where to put the data, and by defining the --datadir at configure time they can

2006-07-15 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/SceneManagers/EmberPagingSceneManager/include/Makefile.am: added missing .h file

2006-07-15 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/modeldefinitions/items.modeldef.xml, src/components/ogre/modeldefinitions/outdoor_structures.modeldef: updated modeldefinitions, also now with experimental definitions with entity mappings.
	* src/components/ogre/widgets/InspectWidget.cpp: also show scalar velocity
	* make_dist_media.sh.in: updated to also include textures referenced by texture_alias

2006-07-15 Erik Hjortsberg  <erik@katastrof.nu>

	* media/materials/base_scripts/base.material, media/materials/programs/All_In_Wonder.cg, media/materials/scripts/buildings.material, media/materials/scripts/creatures.material, media/materials/scripts/furniture.material: updated material definitions

2006-07-15 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberOgre.cpp, src/components/ogre/EmberOgre.h: moved ogre setup functionality to OgreSetup
	* src/components/ogre/Makefile.am, src/components/ogre/OgreSetup.cpp, src/components/ogre/OgreSetup.h: On *NIX platforms, check if either the GLX or the SDL platform is active, and adapt so that Ember will work with either
	* src/components/ogre/OgreResourceLoader.cpp: add some information about the number of model definitions

2006-07-12 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/modeldefinitions/buildings.modeldef, src/components/ogre/modeldefinitions/characters.modeldef.xml, src/components/ogre/modeldefinitions/edibles.modeldef, src/components/ogre/modeldefinitions/furniture.modeldef, src/components/ogre/modeldefinitions/items.modeldef.xml, src/components/ogre/modeldefinitions/outdoor_structures.modeldef, src/components/ogre/modeldefinitions/tools.modeldef, src/components/ogre/modeldefinitions/trees.modeldef.xml, src/components/ogre/modeldefinitions/vehicles.modeldef: updated model definitions

2006-07-11 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/environment/Water.cpp: make the water plane a bit bigger
	* src/components/ogre/EmberOgre.cpp: check that SDL really has been initialized
	* src/components/ogre/input/Input.cpp: don't use NULL macros

2006-07-10 Erik Hjortsberg  <erik@katastrof.nu>

	* ember.in: updated media handling
	* TODO: updates

2006-07-10 Erik Hjortsberg  <erik@katastrof.nu>

	* media/materials/base_scripts/base.material, media/materials/programs/All_In_Wonder.cg, media/materials/programs/All_In_Wonder.program, media/materials/scripts/buildings.material, media/materials/scripts/malebuilder.material, media/materials/scripts/tools.material: updated materials to use inheritance in Ogre 1.2+

2006-07-10 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberOgre.cpp: Write version info to the log.
	* src/components/ogre/widgets/Bootstrap.lua, src/components/ogre/widgets/Chat.lua, src/components/ogre/widgets/EntityPicker.lua, src/components/ogre/widgets/Give.lua: added comments
	
2006-07-10 Erik Hjortsberg  <erik@katastrof.nu>

	* Makefile.am, WFUT.jar: Added a copy of WFUT.jar so that people don't need to go hunting for it.
	
2006-07-10 Erik Hjortsberg  <erik@katastrof.nu>
	
	* src/services/config/ConfigService.cpp: append the version info to the media directory
	* src/services/server/ServerService.cpp: send the version info when connecting

2006-07-10 Erik Hjortsberg  <erik@katastrof.nu>

	* ember.in, ember, configure.ac: 
		* remove the ember script and instead use the ember.in which will set the correct media path based on the version
		* cleaned up the script and adapted to a newer version of WFUT.jar
	* configfile: removed it since we now specify the server at the command line
	* ember.bat: updated for new version of WFUT.jar and new channel
	* ember.conf: added version info
	* ember.spec.in: updated, don't know if it will work though, we'll use autopackage mainly. I'll test it when i have time, if it doesn't work it's ok to yell at me for it.
	
2006-07-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/services/gui, src/services/image: removed obsolete code
	* src/components/ogre/EmberOgre.cpp: added more version info

2006-07-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberOgre.cpp: added some version info

2006-07-05 Erik Hjortsberg  <erik@katastrof.nu>

	* media/particle/sun.particle: fixed material
	
2006-07-05 Erik Hjortsberg  <erik@katastrof.nu>

	* media/materials/scripts/buildings.material, media/materials/scripts/environment.material, media/materials/scripts/vegetation.material, media/materials/splatting/alpha_splat.material, media/materials/splatting/shadersplat.material, media/materials/textures/smokecolors.png: updated media

2006-07-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/modeldefinitions/characters.modeldef.xml, src/components/ogre/modeldefinitions/creatures.modeldef.xml, src/components/ogre/modeldefinitions/items.modeldef.xml: updated model definitions

2006-07-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/TerrainEditor.cpp: we need to reload the pages after loading them
	* src/components/ogre/TerrainGenerator.cpp, src/components/ogre/TerrainShader.cpp: rearranged headers, mainly by using OgreIncludes.h so that we have better control of the inclusion of Ogre

2006-07-05 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/SceneManagers/EmberSceneManager: removed obsolete scene manager

2006-07-04 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/Avatar.cpp, src/components/ogre/AvatarController.cpp, src/components/ogre/AvatarController.h, src/components/ogre/EmberEntity.cpp, src/components/ogre/EmberEntityUserObject.cpp, src/components/ogre/EmberOgre.cpp, src/components/ogre/EmberOgrePrerequisites.h, src/components/ogre/EmberPhysicalEntity.h, src/components/ogre/GUICEGUIAdapter.h, src/components/ogre/GUIManager.cpp, src/components/ogre/jesus/XMLJesusSerializer.h, src/components/ogre/model/AnimationSet.h, src/components/ogre/model/ModelDefinitionManager.cpp, src/components/ogre/model/ModelDefinitionManager.h, src/components/ogre/model/ParticleSystem.h, src/components/ogre/model/ParticleSystemBinding.h, src/components/ogre/model/SubModel.cpp, src/components/ogre/model/SubModelPart.cpp, src/components/ogre/model/SubModelPart.h, src/components/ogre/model/XMLModelDefinitionSerializer.h, src/components/ogre/scripting/LuaScriptingProvider.cpp, src/components/ogre/scripting/bindings/lua/ogre/required.h, src/components/ogre/widgets/LoadingBar.cpp, src/components/ogre/widgets/LoadingBar.h: rearranged headers, mainly by using OgreIncludes.h so that we have better control of the inclusion of Ogre

2006-07-04 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/Makefile.am, src/components/ogre/OgreIncludes.h: added header for ogre include files, so that we better can control it
	
2006-07-04 Erik Hjortsberg  <erik@katastrof.nu>

	* configure.ac: 
		* bumped version
		* require eris 1.3.11
		* disable the ogre memory manager in config.h, removing the need to modify OgreConfig.h when compiling Ogre (at last!)
		* require Ogre 1.2.1; 1.2 would do, but has some problem with gcc 4+ optimizations in debug mode
		
2006-05-13 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/widgets/EntityPicker.lua: removed debug output
    * src/components/ogre/widgets/Tasks.lua: fixed an error where events from the Task weren't really picked up, the progress bar now works as it should

2006-05-07 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/scripting/bindings/lua/Widget.pkg, src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp, src/components/ogre/scripting/bindings/lua/stdlib.pkg: updated bindings

2006-05-07 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/widgets/Bootstrap.lua, src/components/ogre/widgets/Tasks.layout, src/components/ogre/widgets/Tasks.lua: added a task windows which shows the current task
    * src/components/ogre/widgets/ModelEdit.layout, src/components/ogre/widgets/ScriptEdit.layout, src/components/ogre/widgets/TerrainEditor.layout: small layout fixes
    * src/components/ogre/widgets/Widget.cpp, src/components/ogre/widgets/Widget.h: added frame started event

2006-05-07 Erik Hjortsberg  <erik@katastrof.nu>
	
    * src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.cpp, src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.h, src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.pkg, src/components/ogre/scripting/bindings/lua/helpers/lua_Helpers.cpp: added connection bindings for Eris::Task and updated comments

2006-05-07 Erik Hjortsberg  <erik@katastrof.nu>

    * src/framework/bindings/lua/eris/Entity.pkg, src/framework/bindings/lua/eris/Eris.pkg, src/framework/bindings/lua/eris/Task.pkg, src/framework/bindings/lua/eris/lua_Eris.cpp, src/framework/bindings/lua/eris/required.h: added bindings for Task and updated Entity definitions for Eris cvs

2006-05-07 Erik Hjortsberg  <erik@katastrof.nu>

    * src/services/server/ServerService.cpp, src/services/server/ServerService.h: added methods for attacking and stopping the current task
    * src/services/bindings/lua/ServerService.pkg, src/services/bindings/lua/lua_EmberServices.cpp: updated bindings

2006-05-07 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/widgets/ModelEdit.layout, src/components/ogre/widgets/ModelEdit.lua: added more edit options and a button for reloading existing models, though rotation and translation will only be updated for newly created entities currently

2006-05-07 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/scripting/bindings/lua/EmberOgre.pkg, src/components/ogre/scripting/bindings/lua/ModelDefinition.pkg, src/components/ogre/scripting/bindings/lua/QuaternionAdapter.pkg, src/components/ogre/scripting/bindings/lua/Vector3Adapter.pkg, src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp, src/components/ogre/scripting/bindings/lua/required.h, src/components/ogre/scripting/bindings/lua/ogre/Ogre.pkg, src/components/ogre/scripting/bindings/lua/ogre/OgreMath.pkg, src/components/ogre/scripting/bindings/lua/ogre/OgreQuaternion.pkg, src/components/ogre/scripting/bindings/lua/ogre/lua_Ogre.cpp: updated bindings

2006-05-07 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/resources.cfg: load the directory base_scripts first, which contains scripts that other scripts depend on (new in ogre 1.2)

2006-05-07 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/AvatarCamera.h, src/components/ogre/AvatarEmberEntity.h, src/components/ogre/EmberEntity.h: cleaned up headers

2006-05-07 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/EmberPhysicalEntity.cpp: adapt to rotation being changed from pointer to value

2006-05-07 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/widgets/Makefile.am: added files

2006-05-07 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/model/Model.cpp, src/components/ogre/model/ModelDefinition.cpp, src/components/ogre/model/ModelDefinition.h, src/components/ogre/model/ModelDefinitionManager.h:
        * activated the registering of model instances in the definition
        * make rotation a value instead of a pointer

2006-05-07 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/widgets/QuaternionAdapter.cpp, src/components/ogre/widgets/QuaternionAdapter.h, src/components/ogre/widgets/Vector3Adapter.cpp, src/components/ogre/widgets/Vector3Adapter.h: created adapters for vectors and quaternions which binds together gui elements and ogre values

2006-05-07 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.cpp, src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.h, src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.pkg, src/components/ogre/scripting/bindings/lua/helpers/lua_Helpers.cpp: Added connection to signals with zero arguments

2006-05-06 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/EmberPhysicalEntity.cpp: update to changes in rotations
    * src/components/ogre/scripting/bindings/lua/Model.pkg, src/components/ogre/scripting/bindings/lua/ModelDefinition.pkg, src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp: updated bindings

2006-05-06 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/model/Model.cpp, src/components/ogre/model/Model.h, src/components/ogre/model/ModelDefinition.cpp, src/components/ogre/model/ModelDefinition.h, src/components/ogre/model/XMLModelDefinitionSerializer.cpp, src/components/ogre/model/XMLModelDefinitionSerializer.h: allow models to be arbitrarily rotated, instead of just around the z-axis. The format allows for either radians or degrees to be specified.
    * src/components/ogre/modeldefinitions/buildingelements.modeldef.xml, src/components/ogre/modeldefinitions/creatures.modeldef.xml, src/components/ogre/modeldefinitions/items.modeldef.xml, src/components/ogre/modeldefinitions/modeldefinition.xsd, src/components/ogre/modeldefinitions/trees.modeldef.xml: modified the rotation specification

2006-05-02 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/TerrainEditor.cpp: added some nice casts, rearranged some exception catching

2006-05-02 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/ogre.cfg: update the config to work with Ogre 1.2

2006-05-02 Erik Hjortsberg  <erik@katastrof.nu>

	* ember.conf: use the ground texture from 3d_objects
	
2006-05-02 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/model/XMLModelDefinitionSerializer.cpp: make sure that paths are correctly separated
    
2006-04-25 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/EmberOgre.cpp, src/components/ogre/EmberOgre.h: allow the home directory of ember to be set on the command line

2006-04-25 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/widgets/Bootstrap.lua: added comments

2006-04-25 Erik Hjortsberg  <erik@katastrof.nu>

    * src/services/config/ConfigService.cpp, src/services/config/ConfigService.h: added ability to set a different home directory than the default

2006-04-11 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/GUIManager.cpp, src/components/ogre/GUIManager.h, src/components/ogre/Makefile.am, src/components/ogre/EmberEventProcessor.cpp, src/components/ogre/EmberEventProcessor.h: removed obsolete file

2006-04-11 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/widgets/TerrainEditor.lua, src/components/ogre/TerrainEditor.cpp, src/components/ogre/TerrainEditor.h: added undo and redo feature
    * src/components/ogre/scripting/bindings/lua/EntityWorldPickListener.pkg, src/components/ogre/scripting/bindings/lua/ListHolder.pkg, src/components/ogre/scripting/bindings/lua/TerrainEditor.pkg, src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp: updated bindings

2006-04-09 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/TerrainEditor.cpp, src/components/ogre/TerrainEditor.h: 
    	* mark moved base points
    	* use the updateTerrain method of the TerrainGenerator
    * src/components/ogre/TerrainGenerator.cpp, src/components/ogre/TerrainGenerator.h: refactored how the terrain is generated a bit, to better allow for updating the terrain
    * src/components/ogre/TerrainPage.cpp: force simple terrain material since the complex one doesn't really work yet
    * src/components/ogre/WorldEmberEntity.cpp, src/components/ogre/WorldEmberEntity.h: 
         * look for the "terrain" attribute being changed
         * refactored how the terrain is generated to better allow for updated terrain

2006-04-09 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/ogreopcode/opcode/Makefile.am: fixed bad commit

2006-04-09 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/scripting/bindings/lua/EmberOgre.pkg, src/components/ogre/scripting/bindings/lua/MathConverter.pkg, src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp, src/components/ogre/scripting/bindings/lua/required.h, src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.cpp, src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.h, src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.pkg, src/components/ogre/scripting/bindings/lua/helpers/lua_Helpers.cpp: updated bindings

2006-04-09 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/TerrainEditor.cpp, src/components/ogre/TerrainEditor.h: added more terrain editing functionality
    
2006-04-09 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/WorldEmberEntity.cpp, src/components/ogre/WorldEmberEntity.h: removed temporary references to TerrainEditor
    
2006-04-09 Erik Hjortsberg  <erik@katastrof.nu>

    * src/services/server/ServerService.h: cleaned up sigc includes

2006-04-09 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/model/Model.cpp, src/components/ogre/model/Model.h: override the MovableObject::IsVisible() method to take into account the system wide visibility flag for all Models

2006-04-09 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/SceneManagers/EmberPagingSceneManager/include/EmberPagingLandScapeTexture.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/Makefile.am, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeListenerManager.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOcclusion.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOcclusionQuerySet.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOctree.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOctreeCamera.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOctreeSceneManager.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOptions.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_InstantBaseTexture.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_InstantBaseTextureEdit.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_InstantBaseTextureShadowed.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting2.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting2Edit.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting4.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting6.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting7.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting7Edit.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeTexture.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/Makefile.am, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOcclusion.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOcclusionElement.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOcclusionQuerySet.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOctree.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOctreeCamera.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOctreeNode.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOctreeSceneManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOptions.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapePage.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapePageManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeRaySceneQuery.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeRenderable.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeRenderableManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeSceneManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeSceneManagerDll.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTextureManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Image.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_InstantBaseTexture.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_InstantBaseTextureEdit.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_InstantBaseTextureShadowed.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting2.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting2Edit.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting4.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting5.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting6.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting7.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting7Edit.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_SplattingShader.cpp: updated to a newer version


2006-04-09 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/Avatar.h, src/components/ogre/AvatarCamera.cpp, src/components/ogre/AvatarController.h, src/components/ogre/EmberEntity.cpp, src/components/ogre/EmberEntity.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/EmberPagingSceneManager.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightField.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeRenderable.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeRenderableManager.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTile.h, src/components/ogre/environment/Tree.h, src/components/ogre/model/ParticleSystem.h, src/framework/Tokeniser.h, src/services/logging/LoggingService.h, src/services/sound/SoundService.h: cleaned up method signatures, thanks to Vinicius Santos <vininim@gmail.com>

2006-04-09 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/widgets/TerrainEditor.layout, src/components/ogre/widgets/TerrainEditor.lua: added widgets for terrain editing
    
2006-04-09 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/TerrainPage.cpp, src/components/ogre/TerrainPage.h: 
         * added method for updating all shader textures
         * modified the alpha blitting method to better align with the world

2006-04-09 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/AvatarCamera.cpp: fixed a bug with the picking, also make sure that the result is sorted by distance

2006-04-09 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/EntityWorldPickListener.cpp: use the distance specified in the picking result instead of regenerating it

2006-04-09 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/TerrainGenerator.cpp, src/components/ogre/TerrainGenerator.h: modifications to better allow for regeneration of the terrain

2006-04-08 Erik Hjortsberg  <erik@katastrof.nu>

	*src/components/ogre/ogreopcode/include/IOgreCollisionShape.h, src/components/ogre/ogreopcode/include/OgreBoxCollisionShape.h, src/components/ogre/ogreopcode/include/OgreOpcodeUtils.h, src/components/ogre/ogreopcode/include/OgreOrientedBox.h, src/components/ogre/ogreopcode/include/OgrePtrCollisionShape.h, src/components/ogre/ogreopcode/include/OgreSphereMeshCollisionShape.h, src/components/ogre/ogreopcode/include/OgreTriangle.h, src/components/ogre/ogreopcode/opcode/OPC_RayCollider.cpp, src/components/ogre/ogreopcode/opcode/OPC_TriTriOverlapGilvan.h, src/components/ogre/ogreopcode/opcode/Ice/IceMatrix4x4.cpp, src/components/ogre/ogreopcode/opcode/Ice/IceMatrix4x4.h, src/components/ogre/ogreopcode/src/IOgreCollisionShape.cpp, src/components/ogre/ogreopcode/src/OgreBoxCollisionShape.cpp, src/components/ogre/ogreopcode/src/OgrePtrCollisionShape.cpp, src/components/ogre/ogreopcode/src/OgreSphereMeshCollisionShape.cpp: added missing files

2006-04-01 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeData2D_HeightField.cpp: allow for updates to the height data

2006-04-01 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeRaySceneQuery.cpp: include the distance in the result so it can be sorted

2006-03-20 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/AvatarCamera.cpp, src/components/ogre/AvatarCamera.h, src/components/ogre/EntityWorldPickListener.cpp, src/components/ogre/EntityWorldPickListener.h, src/components/ogre/GUIManager.cpp, src/components/ogre/GUIManager.h, src/components/ogre/IWorldPickListener.h, src/components/ogre/Makefile.am, src/components/ogre/MousePicker.cpp, src/components/ogre/MousePicker.h, src/components/ogre/jesus/JesusMousePicker.cpp, src/components/ogre/scripting/bindings/lua/AvatarCamera.pkg, src/components/ogre/scripting/bindings/lua/EmberOgre.pkg, src/components/ogre/scripting/bindings/lua/GUIManager.pkg, src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp, src/components/ogre/scripting/bindings/lua/required.h, src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.cpp, src/components/ogre/widgets/EntityPicker.lua, src/components/ogre/widgets/JesusEdit.cpp: reworked how entity picking works. They new way is that the AvatarCamera does picking and calls a number of registered IWorldPickListener objects. These check to see what kind of object got picked and reacts accordingly. This allows developers to add new picking behaviour, for example being able to pick Carpenter objects, or picking and dragging Mercator basepoints.
    * src/components/ogre/TerrainEditor.cpp, src/components/ogre/TerrainEditor.h, src/components/ogre/WorldEmberEntity.cpp, src/components/ogre/WorldEmberEntity.h: added functionality for editing Mercator basepoints, so that the terrain can be changed

2006-03-19 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/AvatarCamera.cpp, src/components/ogre/AvatarCamera.h, src/components/ogre/scripting/bindings/lua/AvatarCamera.pkg, src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp: added method for turning composite effects on and off

2006-03-19 Erik Hjortsberg  <erik@katastrof.nu>

    *  src/components/ogre/EmberEntityUserObject.cpp, src/components/ogre/EmberEntityUserObject.h: upon deletion, clean up the collision objects
    * src/components/ogre/AvatarCamera.cpp: use the distance property of the CollisionPair, which will make picking work again
    * src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeRenderable.cpp: reactivated the hack for uninitialized mercator terrain
    * src/components/ogre/ogreopcode/Makefile.am, src/components/ogre/ogreopcode/include/OgreCollisionContext.h, src/components/ogre/ogreopcode/include/OgreCollisionManager.h, src/components/ogre/ogreopcode/include/OgreCollisionObject.h,src/components/ogre/ogreopcode/include/OgreCollisionReporter.h,src/componentsogre/ogreopcode/include/OgreCollisionShape.h, src/components/ogre/ogreopcode/include/OgreCollisionTypes.hsrc/components/ogre/ogreopcode/include/OgreNodes.h,src/components/ogre/ogreopcoe/include/OgreOpcode.h, src/components/ogre/ogreopcode/include/OgreOpcodeDebugObject.h,src/components/ogre/ogreopcode/include/OgreOpcodeExports.h,src/components/ore/ogreopcode/include/OgreOpcodeMath.h, src/components/ogre/ogreopcode/opcode/Makefile.am,src/components/ogre/ogreopcode/opcode/OPC_BaseModel.cpp,src/components/ogre/ogreopcode/ocode/OPC_HybridModel.cpp, src/components/ogre/ogreopcode/opcode/OPC_IceHook.h, src/components/ogre/ogreopcode/opcode/OPC_LSSCollider.cpp,src/components/ogre/ogreopcode/opcode/OPC_LSSCollider.h,src/components/ogre/ogrepcode/opcode/OPC_MeshInterface.cpp, src/components/ogre/ogreopcode/opcode/OPC_MeshInterface.h,src/components/ogre/ogreopcode/opcode/OPC_Model.h,src/components/ogre/ogreopcodeopcode/OPC_OBBCollider.cpp, src/components/ogre/ogreopcode/opcode/OPC_PlanesCollider.cpp,src/components/ogre/ogreopcode/opcode/OPC_PlanesCollider.h,src/components/ogr/ogreopcode/opcode/OPC_RayAABBOverlap.h, src/components/ogre/ogreopcode/opcode/OPC_RayCollider.cpp,src/components/ogre/ogreopcode/opcode/OPC_RayCollider.h,src/components/ogre/ogrepcode/opcode/OPC_RayTriOverlap.h, src/components/ogre/ogreopcode/opcode/OPC_Settings.h, src/components/ogre/ogreopcode/opcode/OPC_SphereCollider.cpp, src/components/ogre/ogreopcode/opcode/OPC_TreeCollider.cpp, src/components/ogre/ogreopcode/opcode/OPC_TreeCollider.h, src/components/ogre/ogreopcode/opcode/OPC_VolumeCollider.cpp, src/components/ogre/ogreopcode/opcode/Opcode.cpp, src/components/ogre/ogreopcode/opcode/Ice/IcePreprocessor.h, src/components/ogre/ogreopcode/opcode/Ice/IceUtils.h, src/components/ogre/ogreopcode/src/OgreCollisionContext.cpp, src/components/ogre/ogreopcode/src/OgreCollisionManager.cpp, src/components/ogre/ogreopcode/src/OgreCollisionShape.cpp, src/components/ogre/ogreopcode/src/OgreOpcode.dox, src/components/ogre/ogreopcode/src/OgreOpcodeDebugObject.cpp: updated to newer version of OgreOpcode with better support for Ogre 1.2
    * src/components/ogre/EmberPhysicalEntity.cpp: adapt to new Opcode
    * src/components/ogre/widgets/InspectWidget.cpp: use the coloured list items
    * src/components/ogre/widgets/InspectWidget.xml, src/components/ogre/widgets/InventoryWidget.xml: modified the layout

2006-03-19 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/model/Model.cpp, src/components/ogre/model/Model.h: since attachObjectToBone now returns a TagPoint* we can discard our own implementation and use the Ogre one

2006-03-19 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/EmberOgre.cpp: reactivated setting of the window icon
    * src/components/ogre/widgets/EntityCEGUITexture.cpp, src/components/ogre/widgets/MovableObjectRenderer.cpp: fixed the implementation to work with Ogre 1.2, without causing segfaults
    
2006-03-19 Erik Hjortsberg  <erik@katastrof.nu>

    * configure.ac, src/components/ogre/AvatarCamera.cpp, src/components/ogre/EmberOgre.cpp, src/components/ogre/GUIManager.cpp, src/components/ogre/TerrainGenerator.cpp,src/components/ogre/TerrainGenerator.hsrc/components/ogre/SceneManagers/EmberPagingSceneManager/include/DRGNURBSSurface.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/EmberPagingLandScapeData2D_HeightField.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/EmberPagingLandScapeTexture.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/EmberPagingSceneManager.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/Makefile.am, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgreDebugRectangle2D.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgreOcclusionBoundingBox.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeCallBackEvent.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeCallback.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeCamera.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2DManager.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightField.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightFieldBlendNeighbor.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightFieldN.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightFieldNTC.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightFieldRaw.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightFieldRawTC.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightFieldTC.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_Spline.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeHorizon.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeIndexBuffer.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeIntersectionSceneQuery.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeListener.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeListenerManager.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOcclusion.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOcclusionCHCTraversal.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOcclusionCameraTraversal.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOcclusionDebugTraversal.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOcclusionElement.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOcclusionQuerySet.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOcclusionSWTraversal.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOcclusionSorter.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOcclusionTraversal.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOcclusionVFTraversal.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOcclusionVisibilityData.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOctree.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOctreeAxisAlignedBoxSceneQuery.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOctreeCamera.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOctreeIntersectionSceneQuery.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOctreeNode.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOctreePlaneBoundedVolumeListSceneQuer.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOctreeRaySceneQuery.h,  src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOctreeSceneManager.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOctreeSphereSceneQuery.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOptions.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapePage.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapePageManager.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapePageRenderable.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapePrerequisites.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeQueue.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeRaySceneQuery.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeRenderable.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeRenderableManager.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeSceneManager.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTextureCoordinatesManager.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTextureManager.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_BaseTexture.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_BaseTexture2.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Image.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_InstantBaseTexture.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_InstantBaseTextureEdit.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_InstantBaseTextureShadowed.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_None.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting2.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting2Edit.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting3.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting4.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting5.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting6.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting7.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting7Edit.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_SplattingShader.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTile.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTileInfo.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTileManager.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/fileutils.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/DRGNURBSSurface.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeData2D_HeightField.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeTexture.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingSceneManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/Makefile.am, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgreDebugRectangle2D.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgreOcclusionBoundingBox.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeCamera.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2DManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_HeightField.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_HeightFieldBlendNeighbor.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_HeightFieldN.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_HeightFieldNTC.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_HeightFieldRaw.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_HeightFieldRawTC.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_HeightFieldTC.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_Spline.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeHorizon.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeIndexBuffer.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeIntersectionSceneQuery.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeListenerManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOcclusion.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOcclusionCHCTraversal.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOcclusionCameraTraversal.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOcclusionDebugTraversal.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOcclusionElement.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOcclusionQuerySet.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOcclusionSWTraversal.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOcclusionTraversal.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOcclusionVFTraversal.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOctree.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOctreeAxisAlignedBoxSceneQuery.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOctreeCamera.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOctreeIntersectionSceneQuery.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOctreeNode.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOctreePlaneBoundedVolumeListSceneQuery.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOctreeRaySceneQuery.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOctreeSceneManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOctreeSphereSceneQuery.cppsrc/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOptions.cpp,  src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapePage.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapePageManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapePageRenderable.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeRaySceneQuery.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeRenderable.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeRenderableManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeSceneManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeSceneManagerDll.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTextureCoordinatesManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTextureManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_BaseTexture.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_BaseTexture2.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Image.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_InstantBaseTexture.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_InstantBaseTextureEdit.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_InstantBaseTextureShadowed.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting2.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting2Edit.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting3.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting4.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting5.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting6.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting7.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting7Edit.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_SplattingShader.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTile.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTileManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/filetutils.cpp, src/components/ogre/environment/FoliageArea.cpp, src/components/ogre/jesus/Jesus.cppsrc/components/ogre/model/Model.cpp, src/components/ogre/model/Model.h, src/components/ogre/model/ModelDefinitionManager.cpp, src/components/ogre/model/ParticleSystem.cpp, src/components/ogre/model/SubModel.cpp, src/components/ogre/ogreopcode/src/OgreCollisionShape.cppsrc/components/ogre/scripting/bindings/lua/ogre/OgreEntity.pkg, src/components/ogre/scripting/bindings/lua/ogre/lua_Ogre.cpp, src/components/ogre/widgets/EntityCEGUITexture.cpp, src/components/ogre/widgets/EntityCEGUITexture.h, src/components/ogre/widgets/MeshPreview.cpp, src/components/ogre/widgets/OgreEntityRenderer.cpp: updated to Ogre 1.2

2006-03-18 Erik Hjortsberg  <erik@katastrof.nu>

    * src/services/sound/SoundService.cpp: removed excessive logging
    * src/components/ogre/EmberOgre.cpp, src/components/ogre/OgreLogObserver.cpp, src/components/ogre/OgreLogObserver.h: fixed the logging
    * src/components/ogre/GUICEGUIAdapter.cpp, src/components/ogre/GUICEGUIAdapter.h: added more to the cutnpase functionality 

2006-03-17 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeData2D_HeightField.cpp: added some log output
    * src/components/ogre/scripting/bindings/lua/ModelDefinitionManager.pkg, src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp: updated bindings
    * src/components/ogre/widgets/Widget.cpp, src/components/ogre/AvatarCamera.cpp, src/components/ogre/EmberPhysicalEntity.cpp: cleaned code
    * src/components/ogre/EmberEntityFactory.cpp, src/components/ogre/EmberEntityFactory.h: added commend for turning the showing of modles on and off
    * src/components/ogre/TerrainPage.cpp: properly use std::max and std::min

2006-03-16 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/model/ParticleSystem.cpp, src/components/ogre/model/SubModelPart.cpp: cleaned up some old code

2006-03-15 Erik Hjortsberg  <erik@katastrof.nu>
	
    * src/components/ogre/model/ModelDefinitionManager.cpp, src/components/ogre/model/ModelDefinitionManager.h: added option to deactivate rendering of Models
    *src/components/ogre/model/Model.cpp, src/components/ogre/model/Model.h: 
       *added comments
       * check with ModelDefinitionManager if we should show ourselves

2006-03-13 Erik Hjortsberg  <erik@katastrof.nu>

   * src/components/ogre/widgets/EntityCEGUITexture.cpp: fixed a segfault bug

2006-03-07 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/scripting/bindings/lua/AvatarCamera.pkg, src/components/ogre/scripting/bindings/lua/EmberEntity.pkg, src/components/ogre/scripting/bindings/lua/EmberPhysicalEntity.pkg, src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp: updated bindings

2006-03-07 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/EmberEntity.cpp, src/components/ogre/EmberEntity.h, src/components/ogre/EmberPhysicalEntity.cpp, src/components/ogre/EmberPhysicalEntity.h, src/components/ogre/WorldEmberEntity.cpp, src/components/ogre/WorldEmberEntity.h, src/components/ogre/Avatar.cpp, src/components/ogre/AvatarCamera.cpp, src/components/ogre/AvatarCamera.h, src/components/ogre/model/Model.cpp, src/components/ogre/model/SubModelPart.cpp, src/components/ogre/model/SubModelPart.h, src/components/ogre/GUIManager.cpp: cleaned up value passing to in most places be by reference instead of by value

2006-03-07 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/EmberOgre.cpp, src/components/ogre/EmberOgre.h: 
        * cleaned up old coder
        * change the way logging is done. The default now is to log to the file ~/.ember/ember.log, with ogre log messages passing being sent to Ember, instead of the other way around. This means that we can do logging earlier and also have better control over it.

2006-03-07 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/OgreLogObserver.cpp, src/components/ogre/OgreLogObserver.h: added the ability to also filter from Ogre to Ember
    * src/components/ogre/ConsoleObjectImpl.cpp: removed obsolete reference to MediaDeployer
    
2006-03-07 Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/OgreResourceLoader.*: test for existance of direcotories before trying to load them
	
2006-03-07 Erik Hjortsberg  <erik@katastrof.nu>

    * src/services/logging/LoggingService.h: increase the size of the message buffer
    * src/services/sound/SoundService.cpp: 
        * moved tests from EmberOgre to here
        * use the logging service for logging
    * src/services/config/ConfigService.cpp: use the logging service for logging
    * src/framework/StreamLogObserver.cpp: cleaned up the log output

2006-03-05 Erik Hjortsberg  <erik@katastrof.nu>

    * configure.ac: corrected the usage of PKG_CHECK_MODULES for checking for CEGUI-OGRE
    * Makefile.am, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/Makefile.am, src/components/ogre/scripting/bindings/lua/Makefile.am, src/components/ogre/scripting/bindings/lua/helpers/Makefile.am, src/components/ogre/scripting/bindings/lua/ogre/Makefile.am, src/components/ogre/widgets/Makefile.am, src/framework/bindings/lua/Makefile.am, src/framework/bindings/lua/eris/Makefile.am, src/services/bindings/lua/Makefile.am,src/services/server/Makefile.am: distcheck fixes
    * media/Makefile.am, media/packs/Makefile.am, media/packs/EmberCore.zip, src/components/ogre/resources.cfg: include EmberCore.zip in the installed data
    * NEWS: updated

2006-03-04 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/CONTROLS: updated controls
    * src/components/ogre/MotionManager.cpp: don't send update methods to removed entities since they will often be deleted when this happens, resulting in segfaults

2006-02-28 Erik Hjortsberg  <erik@katastrof.nu>

    * configure.ac: updated the requirements
    * INSTALL.lyx: updated install instructions
    * run: removed obsolete file
    * src/components/ogre/EmberEntity.cpp, src/components/ogre/MotionManager.cpp: fixed a bug where a moving entity which got deleted caused a segfault
    * src/components/ogre/widgets/ModelEdit.lua: fixed a bug where the preview wasn't updated when adding new submodels

2006-02-27 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/WidgetInfo.h: removed obsolete file

2006-02-26 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/environment/Sun.cpp: disable the sun particle effect for now
    * src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeData2D_HeightField.cpp: make sure that the max height is never 0
    * src/components/ogre/EmberEntity.cpp, src/components/ogre/EmberPhysicalEntity.cpp: fixed the parsing of the name of the action
    * src/components/ogre/EmberOgre.cpp: don't try to clean up since it will apparently only result in tears and segfaults, instead let the application clean up itself
    * src/components/ogre/terrain.cfg: increase the number of shown renderables
    
2006-02-25 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/EmberOgre.cpp: fixed a problem where the loading bar didn't really show the correct progress
    * src/components/ogre/EmberPhysicalEntity.cpp: make sure nonrunning animations are not active

2006-02-25 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/TerrainPage.cpp, src/components/ogre/TerrainShader.cpp, src/components/ogre/TerrainShader.h:
        * added more debug output and more comments
        * changed the scaling a bit, though it's still only an interim solution
        * fiddled a bit with more efficient techniques, though they are not activated yet

2006-02-25 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/widgets/ServerWidget.cpp, src/components/ogre/widgets/ServerWidget.h, src/components/ogre/widgets/ServerWidget.xml: show server information

2006-02-25 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/widgets/Help.cpp: fixed a problem where the blurb might be displayed twice and thus crash

2006-02-24 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/EmberOgre.*: cleaned up binreloc loading

2006-02-23 Erik Hjortsberg  <erik@katastrof.nu>

    * src/services/config/ConfigService.cpp: added some more logging
    * src/components/ogre/EmberOgre.cpp: don't copy the ember.conf file to the user's home directory if it's not there

2006-02-22 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/EmberOgre.*:
         * activate binreloc here
         * allow disabling of Eris polling
    * src/components/ogre/ConsoleObjectImpl.cpp: added command for turning eris polling on and off
    * src/components/ogre/widgets/ModelEdit.lua: default to not showing the model editor
    * ember,conf: don't show help on startup

2006-02-22 Erik Hjortsberg  <erik@katastrof.nu>

    * src/services/sound/SoundService.cpp: removed reference to Ogre

2006-02-22 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/Avatar.cpp: only adjust the position for the avatar if it has moved, not if there's only been rotation

2006-02-22 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/EmberEntity.cpp: adjust the position from the Eris position, not the current ogre position, since this will for some entities with set offsets for contained items result in these items being constantly moved

2006-02-20 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/WorldEmberEntity.cpp: always put the world at the center of the world

2006-02-20 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/AvatarCamera.cpp: added some verbose logging output

2006-02-20 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/widgets/Help.cpp: only show the help if it's specified in the config file
    * src/components/ogre/widgets/HelpWidget.xml: default to hiding the help
    * src/components/ogre/widgets/ServerBrowser.layout: remove the scroll bars from the table

2006-02-20 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/modeldefinitions/creatures.modeldef.xml: added goblin and kobold

2006-02-20 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/model/XMLModelDefinitionSerializer.cpp: made sure all real values really are exported as real values

2006-02-20 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/SceneManagers/EmberPagingSceneManager/include/EmberPagingLandScapeData2D_HeightField.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/Makefile.am, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightField.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightFieldBlendNeighbor.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightFieldN.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightFieldNTC.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightFieldRaw.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightFieldRawTC.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightFieldTC.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_Spline.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOcclusionVisibilityData.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapePageManager.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeRenderable.h, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/DRGNURBSSurface.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeData2D_HeightField.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgreDebugRectangle2D.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2DManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_HeightField.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_HeightFieldBlendNeighbor.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_HeightFieldN.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_HeightFieldNTC.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_HeightFieldRaw.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_HeightFieldRawTC.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_HeightFieldTC.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_Spline.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOptions.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapePage.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapePageManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeRenderable.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeRenderableManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeSceneManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTextureManager.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_InstantBaseTextureShadowed.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting2Edit.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting7Edit.cpp, src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_SplattingShader.cpp  ,src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTile.cpp ,src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTileManager.cpp: updated to latest version of the PLSM

2006-02-20 Erik Hjortsberg  <erik@katastrof.nu>

    * src/services/config/ConfigService.cpp: moved the binreloc functionality out from here and into EmberOgre

2006-02-16 Erik Hjortsberg  <erik@katastrof.nu>

    * media/materials/scripts/creatures.material, media/materials/scripts/environment.material, media/materials/scripts/malebuilder.material, media/materials/scripts/goblin.material: updated materials and removed obsolete
    * ember: removed old cruft


2006-02-13 Erik Hjortsberg  <erik@katastrof.nu>

    * ember: removed unncessary copying of the WFUT executable and cleaned it up a bit

2006-02-07 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/widgets/ServerWidget.cpp, src/components/ogre/widgets/ServerWidget.h, src/components/ogre/widgets/ServerWidget.xml, src/services/server/ServerService.cpp, src/services/server/ServerService.h: added patch from Lennart Sauerbeck which shows a message if the login failed
    * src/services/bindings/lua/ServerService.pkg, src/services/bindings/lua/lua_EmberServices.cpp: updated bindings

2006-02-07 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/model/XMLModelDefinitionSerializer.cpp: changed info output to verbose output
    * src/components/ogre/EmberOgre.cpp: better catching of exception
    * src/components/ogre/GUIManager.cpp: added more error checks
    * src/components/ogre/resources.cfg: cleaned up the file a bit

2006-02-07 Miguel Guzman  <aglanor@gmail.com>
        * src/services/sound/SoundService.*: added the use of a sound provider for sound media management
        * src/framework/ISoundProvider.h,Makefile.am: added an interface for sound providers
        * configure.ac, src/components/ogre/sound/OgreSoundProvider.*,Makefile.am, src/components/ogre/Makefile.am: added ogre sound provider which will use ogre resources to load sound media
        * src/components/ogre/EmberOgre.cpp: initialize the SoundService to use the OgreSoundProvider

2006-02-07 Erik Hjortsberg  <erik@katastrof.nu>

    * src/services/config/ConfigService.cpp: load first from the shared config and then from user config
    * src/components/ogre/EmberOgre.cpp, src/components/ogre/OgreResourceLoader.cpp, src/components/ogre/TerrainGenerator.cpp: don't copy terrain.cfg and resource.cfg to the user directory, instead leave them in the installation dir
    * src/components/ogre/resources.cfg: fixed typo
    * src/components/ogre/widgets/LoadingBar.cpp: added extra check for null values

2006-02-06 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/scripting/bindings/lua/Widget.pkg,  src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp: updated bindings
    * src/components/ogre/widgets/Give.lua, src/components/ogre/widgets/ModelEdit.lua, src/components/ogre/widgets/ScriptEdit.lua, src/components/ogre/widgets/ServerBrowser.lua: update to use the static methods in ColoredListItem

2006-02-06 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/widgets/MovableObjectRenderer.cpp: fixed a bug where when pressing the middle mouse button while rotating the preview it wouldn't release the mouse
    * src/components/ogre/widgets/HelpWidget.xml: made the xml conform better to xml standards
    * src/components/ogre/widgets/Widget.*: 
        * added tab order feature
        * moved the createColoredListItem static methods from Widget to ColoredListItem
    * src/components/ogre/widgets/Help.cpp: updated the help text
    * src/components/ogre/widgets/ServerWidget.cpp: use the tab order


2006-02-06 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/input/Input.cpp:
        * fixed a problem with scroll wheel, though it doesn't seem to work anyway
        * changed so that a single right click switches between gui mode and movement mode, instead of double click as before

2006-02-05 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/EmberOgrePrerequisites.h: Added inclusion of Exception.h
    * src/components/ogre/EmberOgre.cpp, src/components/ogre/GUIManager.cpp: If the loading of the gui or the loading of the console fails, exit the app since that could lead to problems in shutting down ember if the user is running it full screen.

2006-02-05 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/cegui/Makefile.am: install Falagard.xsd to the gui root, as it's needed by xerces
    * src/components/ogre/cegui/datafiles/looknfeel/EmberLook.looknfeel: fixed some validation problems

2006-02-05 Erik Hjortsberg  <erik@katastrof.nu>

    * ember: fixed some problems with testing of java and xterm

2006-02-05 Erik Hjortsberg  <erik@katastrof.nu>

    * configure.ac: bump to version 0.4.0

2006-02-04 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/widgets/ChatWidget.cpp, src/components/ogre/widgets/ChatWidget.h, src/components/ogre/widgets/ChatWidget.xml, src/components/ogre/widgets/DebugWidget.cpp, src/components/ogre/widgets/DebugWidget.h, src/components/ogre/widgets/DebugWidget.xml, src/components/ogre/widgets/EntityPickerWidget.cpp, src/components/ogre/widgets/EntityPickerWidget.h, src/components/ogre/widgets/GiveWidget.cpp, src/components/ogre/widgets/GiveWidget.h, src/components/ogre/widgets/GiveWidget.xml, src/components/ogre/widgets/Performance.cpp, src/components/ogre/widgets/Performance.h, src/components/ogre/widgets/Performance.widget, src/components/ogre/widgets/ServerBrowserWidget.cpp, src/components/ogre/widgets/ServerBrowserWidget.h, src/components/ogre/widgets/ServerBrowserWidget.xml, src/components/ogre/widgets/Makefile.am, src/components/ogre/widgets/WidgetDefinitions.cpp: Removed obsolete files

2006-02-04 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/cegui/Makefile.am: added missing makefile

2006-02-04 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/widgets/Widget.*: added functionality for making the window opaque while it's active
    * src/components/ogre/widgets/Chat.layout, src/components/ogre/widgets/Chat.lua, src/components/ogre/widgets/ChatWidget.xml, src/components/ogre/widgets/ConsoleWidget.xml, src/components/ogre/widgets/Debug.layout, src/components/ogre/widgets/EntityPicker.layout, src/components/ogre/widgets/EntityPickerWidget.cpp, src/components/ogre/widgets/Give.layout, src/components/ogre/widgets/Help.cpp, src/components/ogre/widgets/HelpWidget.xml, src/components/ogre/widgets/IconBase.cpp, src/components/ogre/widgets/IngameChatWidget.cpp, src/components/ogre/widgets/IngameChatWidget.xml, src/components/ogre/widgets/InspectWidget.xml, src/components/ogre/widgets/InventoryWidget.xml, src/components/ogre/widgets/JesusEdit.widget, src/components/ogre/widgets/JesusEditFile.widget, src/components/ogre/widgets/JesusEditPreview.widget, src/components/ogre/widgets/MakeEntityWidget.cpp, src/components/ogre/widgets/MakeEntityWidget.xml, src/components/ogre/widgets/MeshPreview.widget, src/components/ogre/widgets/ModelEdit.layout, src/components/ogre/widgets/Performance.layout, src/components/ogre/widgets/Performance.widget, src/components/ogre/widgets/Quit.cpp, src/components/ogre/widgets/Quit.h, src/components/ogre/widgets/Quit.widget, src/components/ogre/widgets/ScriptEdit.layout, src/components/ogre/widgets/ServerBrowser.layout, src/components/ogre/widgets/ServerWidget.xml: use the EmberLook scheme
        

2006-02-04 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/input/Input.*: added support for scroll wheel
    * src/components/ogre/GUIManager.*:
        * added console command for reloading the gui
        * added method for getting the default scheme
        * cleaned up cegui initialization, use the .config file
        * set the default scheme to EmberLook
    * src/components/ogre/GUICEGUIAdapter.cpp: handle scroll wheel events
    * src/components/ogre/EmberOgre.cpp: 
        * fixed some issues with the LoadingBar
        * catch exceptions sent as std::string (cegui sometimes does this)
    * src/components/ogre/scripting/bindings/lua/*: update bindings

2006-02-04 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/cegui/datafiles/configs/cegui.config, src/components/ogre/cegui/datafiles/imagesets/EmberLook.imageset, src/components/ogre/cegui/datafiles/looknfeel/EmberLook.looknfeel, src/components/ogre/cegui/datafiles/schemes/EmberLookSkin.scheme: Added a new gui.

2006-02-02 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/cegui/datafiles/configs/cegui.config, src/components/ogre/cegui/datafiles/fonts/Vera.ttf, src/components/ogre/cegui/datafiles/fonts/vera-sans-10.xml, src/components/ogre/cegui/datafiles/fonts/vera-sans-14.xml, src/components/ogre/cegui/datafiles/fonts/vera-sans-8.xml, src/components/ogre/cegui/datafiles/looknfeel/Falagard.xsd, src/components/ogre/cegui/datafiles/looknfeel/TaharezLook.looknfeel, src/components/ogre/cegui/datafiles/looknfeel/Vanilla.looknfeel, src/components/ogre/cegui/datafiles/looknfeel/WindowsLook.looknfeel, src/components/ogre/cegui/datafiles/schemes/TaharezLookSkin.scheme, src/components/ogre/cegui/datafiles/schemes/VanillaSkin.scheme, src/components/ogre/cegui/datafiles/schemes/WindowsLookSkin.scheme: Moved to the Falagard system and changed the default font to Bitstream Vera Sans 8pt.
    * src/components/ogre/GUIManager.cpp: Use the Falagard system
    * src/components/ogre/EmberOgre.cpp: fixed detection of the preload option
    * configure.ac, src/components/ogre/Makefile.am: go into subdir cegui
    * src/components/ogre/widgets/ConsoleWidget.xml: small fixes for Falagard
    * src/components/ogre/widgets/ModelEdit.layout: removed references to Tahoma

2006-02-02 Erik Hjortsberg  <erik@katastrof.nu>

    * media/materials/programs/Common.program, media/materials/programs/Example_Basic.cg, media/materials/programs/Example_BumpMapping.cg, media/materials/programs/OffsetMapping.cg: fixed compilation problems

2006-02-02 Erik Hjortsberg  <erik@katastrof.nu>

    * ember.conf: moved the media loading options to [media] and added an option for preloading media
    * src/components/ogre/EmberOgre.cpp: check for the preload option in ember.conf
    * src/components/ogre/OgreResourceLoader.cpp: 
        * look for the recursive option in [media]
        * better exception handling when loading media
    * src/components/ogre/resources.cfg: don't look for EmberCore.zip, instead bring in the whole pack directory
    * src/components/ogre/widgets/ListHolder.*: added logic for filtering
    * src/components/ogre/widgets/LoadingBar.*: put it in the namespace EmberOgre and make it increase on loading too
    * src/components/ogre/widgets/ModelEdit.lua: use the ListHolder for filtering
    * src/components/ogre/scripting/bindings/lua/*: updated bindings

2006-01-31 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/widgets/LoadingBar.cpp: handle missing media
    * src/components/ogre/modeldefinitions/trees.modeldef.xml, src/components/ogre/modeldefinitions/trees/dynamic/trees.modeldef.xml, src/components/ogre/modeldefinitions/trees/pregenerated/trees.modeldef.xml: removed the dynamic and pregenerated tree definitions
    * Makefile.am: copy the bootstrap media upon installation
    * media/packs/EmberCore.material, media/packs/EmberLoadingPanel.overlay, media/packs/OgreCore.zip, media/packs/ember_progress_bar.png, media/packs/ember_progress_bar_frame.png, media/packs/ember_splash.png: added media needed for bootstrap

2006-01-30 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/EmberOgre.*: 
        * use the LoadingBar to show startup progress
        * moved resource loading to OgreResourceLoader
    * src/components/ogre/GUIManager.cpp: use the Gui resource group for the gui
    * src/components/ogre/OgreResourceLoader.*: class used for loading resources and setting up reource paths
    * src/components/ogre/resources.cfg: divided the resources into more efficient groups, most notably the bootstrap
    * TODO: updated
    * src/components/ogre/cegui/datafiles/imagesets/TaharezLook.imageset, src/components/ogre/cegui/datafiles/imagesets/TaharezLookMouse.imageset,  src/components/ogre/cegui/datafiles/imagesets/WindowsLook.imageset,
src/components/ogre/cegui/datafiles/imagesets/iconset_mason.imageset,  src/components/ogre/cegui/datafiles/imagesets/iconset_standard.imageset: updated paths

2006-01-30 Erik Hjortsberg  <erik@katastrof.nu>

    * src/services/bindings/lua/ConfigService.pkg, src/services/bindings/lua/lua_EmberServices.cpp: updated bindings
    * src/services/config/ConfigService.*: added method for getting the user created media path

2006-01-30 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/CameraMount.*: a camera mount for third person camera
    * src/components/ogre/OgreLogObserver.*: Refactored the OgreLogObserver from EmberOgre into its own file
    * src/components/ogre/model/Model.cpp: print some better output upon errors
    * src/components/ogre/environment/Sun.cpp: better error handling when trying to create the particle sun

2006-01-30 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/Avatar.*, src/components/ogre/AvatarCamera.*, src/components/ogre/AvatarController.*: instead of creating the camera, AvatarCamera now accepts an already existing camera, allowing us to render things before the Avatar is set up

2006-01-30 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/widgets/OgreEntityRenderer.cpp: Catch errors when loading the entity.

2006-01-30 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/widgets/ListHolder.*: A adaptor class for CEGUI::Listboxes which adds filtering
    * src/components/ogre/widgets/LoadingBar.*: Shows a loading bar and a splash screen when resources are loaded
    * src/components/ogre/widgets/Makefile.am: added new files
    

2006-01-29 Erik Hjortsberg  <erik@katastrof.nu>
    
    * src/components/ogre/SceneManagers/EmberPagingSceneManager/*: added missing files for the PagingSceneManager

2006-01-28 Erik Hjortsberg  <erik@katastrof.nu>
    
    * src/components/State.h: removed old code
    * src/components/ogre/TerrainGenerator.cpp, src/components/ogre/terrain.cfg: update for changes to the EmberPagingSceneManager
    * src/components/ogre/environment/Sun.cpp: added the particle sun, needs some more fiddling though to look really good
    * src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp, src/components/ogre/scripting/bindings/lua/MovableObjectRenderer.pkg, src/components/ogre/scripting/bindings/lua/OgreEntityRenderer.cpp: updated bindings
    * src/components/ogre/widgets/MovableObjectRenderer.*: 
        * added ability to activate and decactivate it
        * don't render if the image isn't shown

2006-01-28 Erik Hjortsberg  <erik@katastrof.nu>
    
    * media/materials/scripts/*: updated material scripts
    * media/particle/sun.particle: added particles for a sun-effect

2006-01-28 Erik Hjortsberg  <erik@katastrof.nu>
    
    * src/components/ogre/SceneManagers/EmberPagingSceneManager/*: updated to latest release of the PagingSceneManager. This includes some of the updates we had to do ourselves to make it work better with Ember.

2006-01-26  Miguel Guzman  <aglanor@gmail.com>
    * src/services/sound/SoundService.*:
        * removed the temporary world source, added getWorldSourceIndexForPlaying() to retrieve the next world source & buffer that will be used to play a world sound.

2006-01-26 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/widgets/ServerWidget.cpp: no need to call showFull since it's done automatically by default
    * src/components/ogre/widgets/ModelEdit.layout, src/components/ogre/widgets/ModelEdit.lua: 
        * removed the zoom slider for the mesh preview
        * added preview for meshes and submesh selection
    * src/components/ogre/scripting/bindings/lua/*: updated bindings

2006-01-26 Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/widgets/MovableObjectRenderer.*, src/components/ogre/widgets/OgreEntityRenderer.*, src/components/ogre/widgets/ModelRenderer.*, src/components/ogre/widgets/Makefile.am: refactored ModelRenderer into the base class MovableObjectRenderer and added the subclass OgreEntityRenderer, which allows a single Ogre::Entity to be rendered and mouse controlled, just as the ModelRenderer

2006-01-26  Miguel Guzman  <aglanor@gmail.com>
    * src/components/ogre/EmberOgre.cpp:
        re-enabled sound service
    * src/services/sound/SoundService.*:
        added a worldTempSource, which will play the sounds of the world one at a time, until we come up with a proper logic to handle a series of sources with regards to priority, distance etc. The worldTempSource can play at the same time that the systemSource, you can for instance talk to the marshall Gorun Iksa at the same time you run the command "/playsound" and you'll hear both. Also, the worldSource is atenuated with the distance.

2006-01-26  Miguel Guzman  <aglanor@gmail.com>
    * src/services/sound/SoundService.*:
        * cleaned up playTestSound() code and command call
        * added playTalk() to play a sound when entities talk
    * src/components/ogre/EmberEntity.cpp:
        * invoke SoundService->playTalk() at onTalk()
    * src/components/ogre/Avatar.cpp:
        * added some code to handle an avatar source (non-functional)
    * src/components/ogre/EmberOgre.cpp
        * print an error if /dev/dsp can't be opened, on non-win32 systems

2006-01-25  Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/widgets/EntityCEGUITexture.cpp: 
        * added more logging
        * make sure the texture created is in multiples of 2
    *src/components/ogre/widgets/ServerWidget.*, src/components/ogre/widgets/ServerWidget.xml: added a preview of the character to be created

2006-01-25  Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/scripting/Makefile.am, src/components/ogre/scripting/bindings/lua/Makefile.am, src/components/ogre/scripting/bindings/lua/helpers/Makefile.am, src/components/ogre/scripting/bindings/lua/ogre/Makefile.am, src/framework/bindings/lua/Makefile.am, src/framework/bindings/lua/eris/Makefile.am, src/services/bindings/lua/Makefile.am: build the libraries as noinstall
    * src/components/ogre/cegui/datafiles/imagesets/TaharezLook.imageset, src/components/ogre/cegui/datafiles/imagesets/WindowsLook.imageset: update for 0.4.1
2006-01-25  Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/Avatar.cpp: set the walking speed to 2.5 meters per second, to fit with cyphesis
    * src/components/ogre/AvatarEmberEntity.h: removed reference to PersonEmberEntity
    * src/components/ogre/ConsoleObjectImpl.*, src/components/ogre/EmberOgre.cpp: use the Singleton baseclass
    * src/components/ogre/EmberEntity.*, src/components/ogre/WorldEmberEntity.cpp: no need to hold a reference to the SceneManager since it's available through the SceneNode
    * src/components/ogre/EmberEntityFactory.*: the creation of PhysicalEntityEntity and AvatarEmberEntity shouldn't be so different

2006-01-24  Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/EmberOgre.cpp, src/components/ogre/GUIManager.cpp,  src/components/ogre/TerrainPage.cpp, src/components/ogre/carpenter/BluePrint.cpp, src/components/ogre/environment/Foliage.cpp,  src/components/ogre/environment/FoliageArea.cpp,  src/components/ogre/model/Model.cpp,  src/components/ogre/model/XMLModelDefinitionSerializer.cpp,  src/components/ogre/widgets/IconBase.cpp,  src/components/ogre/widgets/IngameChatWidget.cpp,  src/components/ogre/widgets/MeshPreview.cpp,  src/services/server/ServerService.cpp: catch exceptions as const
    * src/services/scripting/ScriptingService.cpp: better error output

2006-01-24  Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/scripting/bindings/lua/ogre/required.h: added some needed defintions of basic types that msvc didn't get
    * src/services/scripting/ScriptingService.cpp: added missing return value
    * src/components/ogre/model/XMLModelDefinitionSerializer.cpp: modified for win32, make sure the directory where the modeldefinitions are stored really exists

2006-01-24  Erik Hjortsberg  <erik@katastrof.nu>

    * src/services/config/ConfigService.cpp: adapt paths so they will work better on win32
    * ember.conf: fixed the name of "logginglevel" (not "loggingmode")
    * ember.vcproj: updated to work with cvs, though some paths still need to be fixed
    * EmberOgre.cpp: 
        * better exception reporting and handling
        * since there was some problems with building the SoundManager on windows, disable calls to it for now on that platform
    * src/components/ogre/widgets/EntityCEGUITexture.cpp: added more verbose logging
    * src/components/ogre/widgets/GUIManager.cpp: reactivate the quit widget
    * src/components/ogre/model/NodelDefinition.h: removed unneeded reference to hash_map
    * src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeIntersectionSceneQuery.cpp: removed code that won't compile and isn't used anyway

2006-01-23  Erik Hjortsberg  <erik@katastrof.nu>

    * src/component/ogre/widgets/EntityCEGUITexture.h: more comments

2006-01-18  Miguel Guzman  <aglanor@gmail.com>

    * src/services/sound/SoundService.*:
        * added a method to update the listener position
    * src/components/ogre/AvatarCamera.*:
        * made AvatarCamera an Ogre::FrameListener
        * each frame, it updates the SoundService listener position
          to the camera position

2006-01-17  Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/EmberEntity.*|EmberPhysicalEntity.*:
        * made onTalk work since the signature been changed
        * fixed the signature of onAction

2006-01-17  Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/widgets/EntityCEGUITexture.cpp: fixed a problem with too short far clipping distance
    * src/components/ogre/widgets/IngameChatWidget.cpp: use buttons for the suggested responses instead of just static text boxes
    * src/components/ogre/widgets/ModelEdit.layout|ModelEdit.lua:
        * added removal of submodels
        * better display of the properties of Models


2006-01-17  Erik Hjortsberg  <erik@katastrof.nu>

     * src/components/ogre/scripting/bindings/lua/*: updated bindings

2006-01-15  Miguel Guzman  <aglanor@gmail.com>

	* configure.ac: added check for freealut 1.0.0
	* src/components/ogre/EmberOgre.cpp: added traces to std::cout since it can't log to the OgreLogObserver until Ogre has started
	* src/services/sound/SoundService.cpp: added playing of a "Hello World" sound when the command "/playsound" is invoked

2006-01-15  Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/widgets/EntityCEGUITexture.*:
        * make it use its own scene manager, thus completely separating it from all other scenes
        * mount the camera on a yawing and pitching mount
        * cleaned up the code, the camera mount code should perhaps be separated, together with the AvatarCamera code, inte a CameraMount class
     * src/components/ogre/widgets/JesusEdit.cpp|ModelRendere.cpp: update to changes in EntityCEGUITexture
     * src/components/ogre/widgets/ModelEdit.layout: updated layout
     * src/components/ogre/widgets/ModelEdit.lua: added more functonality for authoring, allow save
     * src/components/ogre/scripting/bindings/lua/*: updated bindings

2006-01-15  Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/modeldefinitions/modeldefinition.xsd: update to bring to sync with the latest ModelDefinion.h
    * src/components/ogre/jesus/Jesus.cpp: make sure all scenemanager happens through the referred nodes, since the scene manager involved might not be the system default (for example when used from EntityCEGUITexture
    * src/components/ogre/AvatarCamera.cpp: removed unneeded casts
    * src/components/ogre/EmberOgre.cpp: typo fix

2006-01-15  Erik Hjortsberg  <erik@katastrof.nu>

    * src/components/ogre/model/Model.*: fixed unstable handling of models with multiple meshes where not all meshes have skeletons
    * src/components/ogre/model/ModelDefinition.*: added complete getters and setters for scale, useScaleOf, translae, showContained, contentOffset and rotation
    * src/components/ogre/model/ModelDefinitionManager.*:
        * accept both *.modeldef.xml and *.modeldef
        * allow creation of existing resources without throwing an exception, just return the existing resource
        * added method for getting a list of the names of all available meshes
    * src/components/ogre/model/XMLModelDefinitionSerializer.*:
        * log missing tags as "verbose" instead of "failure"
        * make sure all properties are exported
        * fixed export bugs

2006-01-11  Erik Hjortsberg  <erik@katastrof.nu>

	* src/framework/bindings/lua/eris/Entity.pkg|lua_Eris.cpp: updated bindings to eris 1.3.10
	* src/services/server/ServerService.cpp, src/components/ogre/AvatarEmberEntity.*|EmberEntity.*|EmberPhysicalEntity.*|WorldEmberEntity.*: updated to eris 1.3.10
	

2006-01-11  Erik Hjortsberg  <erik@katastrof.nu>
	
	* Ember.kdevelop: updated kdevelop project file
	* ember.conf: added options for setting recursive resource scanning (needed by authoring, but takes some time at startup)
	* src/components/ogre/EmberOgre.cpp: added support for the recursive resource scanning option in ember.conf

2006-01-11  Erik Hjortsberg  <erik@katastrof.nu>

	* configure.ac: require eris 1.3.10	

2006-01-11  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/Makefile.am: rearranged the order of the linking, so that libServices gets linked in before libSoundService

2006-01-11  Miguel Guzman  <aglanor@gmail.com>

	* configure.ac: check for OpenAL 0.0.8, create the Makefile of the sound service
	* src/services/EmberServices.cpp: getter for SoundService
	* src/services/Makefile.am: include sound service as a subdir
	* src/services/sound/Makefile.am: added SoundService.h as a non-installable header
	* src/services/sound/SoundService.cpp: updated code to compile with latest OpenAL (still is non-functional)

2006-01-11  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/ServerBrowser.lua|ServerBrowser.layout: fixed the method recieving ServerInfo objects

2006-01-10  Miguel Guzman  <aglanor@gmail.com>

	* src/components/ogre/scripting/ScriptingService.h: gcc 4.0 needs an explicit forward declaration in addition to the declaration of a friend class.

2006-01-10  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/scripting/LuaScriptingProvider.h: with CEGUI 0.4.0 LuaScriptingModule.h has been changed to CEGUILua.h

2006-01-10  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/Makefile.am|WidgetDefinitions.cpp: removed reference to GiveWidget.cpp and MaterialPicker, cleaned up obsolete code
	* src/components/ogre/scripting/bindings/lua/EmberOgre.pkg|lua_EmberOgre.cpp|requried.h: updated bindings
	* src/services/metaserver/MetaserverService.cpp: removed crashing code
	* src/components/ogre/GUIManager.cpp: cleaned up code

2006-01-10  Erik Hjortsberg  <erik@katastrof.nu>

	* ember.conf: increase the frequency for server updates
	* configure.ac:
		* bump the version number
		* check for lua
		* added new build targets

2006-01-10  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/MathConverter.h: make most methods accept const references instead of just doing a copy, should bring some speed up
	* src/components/ogre/MotionManager.h: cosmetic code changes
	* src/components/ogre/MousePicker.h: added more code comments
	* src/components/ogre/TerrainGenerator.h: use getSingletonPtr instead of the deprecated getInstance
	* src/components/ogre/TerrainPage.cpp:
		* use getSingletonPtr instead of the deprecated getInstance
		* randomize the size of the grass tufts a bit

2006-01-10  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/GUICEGUIAdapter.*: added an input adapter for CEGUI. This will take care of routing input to the CEGUI system.
	* src/components/ogre/GUIManager.*:
		* use getSingletonPtr instead of the deprecated getInstance
		* integrate with the scripting system
		* register a new GUICEGUIAdapter instance with the input system
		* removed loading and references to obsolete C++ widgets since they've been replaced with lua versions
		* better handling of CEGUI errors
		* allow caps-lock to toggle movement mode, although it doesn't seem to catch all pressings
		* added more comments
	* src/components/ogre/Makefile.am:updated for new files and scripting bindings

2006-01-10  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberEntityFactory.*:
		* use getSingletonPtr instead of the deprecated getInstance
		* removed PersonEmberEntity
		* adapt to the model classes being moved into the Model namespace
	* src/components/ogre/EmberEntityUserObject.*: adapt to the model classes being moved into the Model namespace
	* src/components/ogre/EmberOgre.*:
		* added MetaServerService and ScrtiptingService
		* use getSingletonPtr instead of the deprecated getInstance
		* better exception catching
		* added a concept of "user media directory", which will mirror the shared media directory (which is updated from the server), but will allow the user to add it's own media which will override the shared media.
		* load all resources recursive. This adds some overhead to startup, but allows us to search for resources later on
		* adapt to the model classes being moved into the Model namespace

2006-01-10  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberEntity.*:
		* changed the adjustHeightPosition to adjustPosition, which will adjust the complete position, not just the height
		* use getSingletonPtr instead of the deprecated getInstance
		* added method for getting the default use operators for this particular entity
	* src/components/ogre/AvatarEmberEntity.*: removed PersonEmberEntity and instead inherit from EmberPhysicalEntity
	* src/components/ogre/EmberPhysicalEntity.*:
		* added more comments
		* adapt to the model classes being moved into the Model namespace
		* made the wield methods more generic
		* when running, actually use the running action
		* get the offset for contained nodes from the model definition
		* get whether contained items should be shown or not from the model definition
	* src/components/ogre/WorldEmberEntity.*:
		* update to use the adjustPosition methods instead of the adjustHeightPosition methods

2006-01-10  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/AvatarCamera.*: 
		* use getSingletonPtr instead of the deprecated getInstance
		* removed some inline keywords which seemed to confuse some compilers and linkers
	* src/components/ogre/AvatarController.cpp: removed PersonEmberEntity	
	* src/components/ogre/Avatar.*:
		* removed PersonEmberEntity
		* use getSingletonPtr instead of the deprecated getInstance
		* adjust to changes in EmberEntity of how entitie's positions are adjusted
		* removed obsolete methods
		* update to reflect the change from Model to Model::Model

2006-01-10  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/SceneManagers/EmberPagingSceneManager/src/fileutils.cpp: include the mroe recent stdlib.h instead of malloc.h 
	* src/components/ogre/widgets/Bootstrap.lua: added lua script which will load all other scripts
	* src/components/ogre/widgets/Chat.lua|Chat.layout|Debug.lua|Debug.layout|EntityPicker.lua|EntityPicker.layout|Give.lua|Give.layout|Performance.lua|Performance.layout|ServerBrowser.lua|ServerBrowser.layout: converted widgets from C++ to lua
	* src/components/ogre/widgets/EntityCEGUITexture.*: added class for easy rendering of an Entity to a CEGUI texture.This is useful for stuff like previews and inventories.
	* src/components/ogre/widgets/Help.cpp|IngameChatWidget.cpp|MakeEntityWidget.cpp: 
		* removed PersonEmberEntity
		* use getSingletonPtr instead of the deprecated getInstance
	* src/components/ogre/widgets/InspectWidget.cpp|InventoryWidget.cpp: use getSingletonPtr instead of the deprecated getInstance
	* src/components/ogre/widgets/JesusEdit.*: 
		* removed PersonEmberEntity	
		* use EntityCEGUITexture instead of handling the rendering itself
	* src/components/ogre/widgets/Makefile.am: added new files
	* src/components/ogre/widgets/ModelEdit.lua|ModelEdit.layout: added new widget for editing ModelDefinitions
	* src/components/ogre/widgets/ModelRenderer: added utility class for allowing easy rendering, though EntityCEGUITexture, of a Model instance
	* src/components/ogre/widgets/ScriptEdit.lua|ScriptEdit.layout: added widget for editing scripts, running code and inspecting values
	* src/components/ogre/widgets/WidgetDefinitions.cpp: removed obsolete classes, since they've been replaced by lua implementations
	* src/components/ogre/widgets/Widget.*: since instances of Widget will be used from scripts instead of being extended into subclasses, make a lot of methods that previously were protected public, and refactor to adjust for the changes

2006-01-10  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/modeldefinitions/trees/pregenerated/trees.modeldef.xml: adjusted the scaling of the oak to better fit with the eris bbox
	* src/components/ogre/modeldefinitions/*.modeldef.xml: updated media definitions
	* src/components/ogre/modeldefinitions/modeldefinition.xsd: updated the modeldefinition format


2006-01-10  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/model/ModelDefinitionManager.*:
		* put it under the namespace Model
		* added method for exporting model definitions	
	* src/components/ogre/model/SubModel.*:
		* put it under the namespace Model
		* make it clean up after itself, instead of letting the Model do it
		* simplified the creation of new SubModelParts
	* src/components/ogre/model/SubModelPart.*:
		* put it under the namespace Model
		* added comments
	* src/components/ogre/model/XMLModelDefinitionSerializer.*:
		* put it under the namespace Model
		* parse "showContained" which defines whether contained entities should be shown or not
		* parse "contentoffset" which defines how, if any, contained entities should be offset
		* parse "speed" of Animation which sets the speed of the animation
		* adapt to the refactoring of ModelDefinition and it's parts
		* added methods for exporting definitions to xml file

2006-01-10  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/model/Action.*|AnimationSet.*|ParticleSystem.*|ParticleSystemBindings.*|Makefile.am: refactored code from Model.* to separate files
	* src/components/ogre/model/Model.*:
		* put it under the namespace Model
		* moved code to Action.*, AnimationSet.*, ParticeSystem.* and ParticeSystemBindings.*
		* added better logging
		* added a reload method which will reload the model from the definition
		* refactored the way the model is created to be more straight forward, instead of using a lot of temporary arrays and lists
		* allow submeshes to be defined though their index as well as their optional name
		* added abilty to set the speed of animations
		* added method for accessing a SubModel at a certain index
		* allow many parts with the same name
		* added a default constructor which will create a model with an autogenerated name
	* src/components/ogre/model/ModelDefinition.*:
		* put it under the namespace Model
		* added a bool value for determine whether contained entities should be shown or not
		* allow the definitions to keep track of all Model instances using them
		* refactored how parts of the definitions are represented. Instead of simple structs they are now classes with methods for updating values and adding subparts.
		* make it possible to define an offset which will be applied to all positions of contained items


2006-01-10  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/jesus/Jesus.*: updated for the change from Model to Model::Model
	* src/components/ogre/jesus/XMLJesusSerializer.cpp: use getSingletonPtr instead of the deprecated getInstance

2006-01-09  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/input/IInputAdapter.h: added interface for a input adapter. Instances of this will recieve input events if they are registered with the Input object.
	* src/components/ogre/input/Input.*: 
		* moved the CEGUI stuff to src/components/ogre/GUICEGUIAdapter.*
		* cleaned up the code and removed obsolete parts
		* added support for many input adapters. Input will be sent to the last registered input adapter first, allowing it to either block the message or allow it to be sent to other adapters
	* src/components/ogre/input/Makefile.am: added the IInputAdapter.h file


|Sky.cpp|Water.cpp: use getSingletonPtr instead of the deprecated getInstance

2006-01-09  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/environment/Foliage.cpp|Sky.cpp|Water.cpp: use getSingletonPtr instead of the deprecated getInstance

2006-01-09  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/carpenter/Carpenter.h: removed signature of missing method, since it's not used anyway

2006-01-09  Erik Hjortsberg  <erik@katastrof.nu>

	* src/services/config/ConfigService.*, src/services/logging/LoggingService.*: moved from sigc 1.2 to sigc 2.0
	* src/services/metaserver/MetaServerService.*:
		* moved from sigc 1.2 to sigc 2.0
		* use the S_LOG_* methods for logging
		* cleaned up the coder
	* src/services/scripting/ScriptingService.*: 
		* added support for scripting providers, which will take care of the actual execution of the scripts, thus allowing many different script languages
		* added methods for loading scripts and executing script code
	* src/services/server/ServerService.*:
		* moved from sigc 1.2 to sigc 2.0
		* added method for taking other entities
	* src/services/sound/SoundService.cpp: use getSingletonPtr instead of the deprecated getInstance
	* src/services/EmberServices.cpp: 
		* inherit from Singleton and remove the getInstance method
		* added accessor for the ScriptingService
	* src/services/Makefile.am: added the scripting directory


2006-01-09  Erik Hjortsberg  <erik@katastrof.nu>

	* src/services/bindings/*: added lua bindings for the services

2006-01-09  Erik Hjortsberg  <erik@katastrof.nu>

	* src/framework/ConsoleBackend.h: moved from sigc 1.2 to sigc 2.0
	* src/framework/Singleton.h: include cassert for successfull compilation
	* src/framework/IScriptingProvider.h: added an interface which scripting providers must implement
	* src/framework/StramLogObserver.h: updated comments to use getSingletonPtr instead of the deprecated getInstance
	* src/framework/Makefile.am: added the IScriptingProvider interface and the script bindings


2006-01-09  Erik Hjortsberg  <erik@katastrof.nu>

	* src/framework/bindings/Makefile.am: build the lua bindings

2006-01-09  Erik Hjortsberg  <erik@katastrof.nu>

	* src/framework/bindings/lua/*: added lua bindings for the framework functionality

2006-01-09  Erik Hjortsberg  <erik@katastrof.nu>

	* src/framework/bindings/lua/eris/*: added lua bindings for some Eris functionality

2006-01-09  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/scripting/LuaScriptingProvider.*: added a scripting provider for Lua
	* src/components/ogre/scripting/Makefile.am: added the Lua scripting provider and restructured the files

2006-01-09  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.*: added a utility class which allows sigc signals to be recieved directly by lua functions.
	* src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.*: added a utility class which allows console commands to be directly mapped to lua functions
	* src/components/ogre/scripting/bindings/lua/helpers/*.pkg|lua_Helpers.cpp|required.h: provide bindings for lua

2006-01-09  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/scripting/bindings/lua/*, src/components/ogre/scripting/bindings/lua/ogre/*: added bindings for some Ogre functionality and extended the Ember bindings

2006-01-09  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/scripting/*.pkg, src/components/ogre/scripting/lua_EmberOgre.*: moved the bindings file tosrc/components/ogre/scripting/bindings/lua 

2005-11-23 Miguel Guzmán <aglanor(at)gmail(dot)com>

	*  configure.ac src/components/ogre/Makefile.am
	src/services/Makefile.am: removed compilation of SoundService, is
	completely disabled at this moment.

2005-11-22  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/Makefile.am: removed erronous line, thanks to Lennart Sauerbeck for helping me find it

2005-10-29  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/Makefile.am: skip the installation of lua and layout files for now, since there are none, and it makes uninstall throw an error

2005-10-29  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/input/Input.cpp: fix the check for control keys, so that pasting works. Preferrably, we would like to catch some kind of "paste" event from the WM, but I haven't had time to look into it proper.
	* NEWS: update the news

2005-10-29  Erik Hjortsberg  <erik@katastrof.nu>

	*  src/components/ogre/EmberPhysicalEntity.*, src/components/ogre/model/Model.*: reneabled the playing of animations at actions

2005-10-29  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/Widget.*, src/components/ogre/widgets/JesusEdit.cpp, src/components/ogre/GUIManager.* : moved the layout path method to GUIManager	

2005-10-28  Erik Hjortsberg  <erik@katastrof.nu>

	* src/framework/binreloc.c: include config.h
	* src/components/ogre/widgets/Widget.*, src/components/ogre/widgets/JesusEdit.cpp: added method for getting the path to the layout files	
	* src/components/ogre/Makefile.am: cleaned up the file

2005-10-27  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/environment/Sky.*, src/components/ogre/environment/Sun.h, src/components/ogre/input/Input.h, src/components/ogre/JesusMousePicker.h: use the sigc 2.0 methods, which allows us to use the very nice sigc::trackable class and doesn't require all classes to inherit from SigC::Object

2005-10-26  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/Makefile.am: also install cegui config files
	* src/components/ogre/cegui/datafiles/cegui.config,  src/components/ogre/cegui/datafiles/CEGUIConfig.xsd: some basic config files

2005-10-26  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/Performance.cpp: Show the amount of queued sight ops as a value of lag
	* src/components/ogre/widgets/ServerWidget.*: get the list of available avatar types from eris
	* src/components/ogre/widgets/Widget.cpp, src/components/ogre/widgets/Makefile.am: place the widget layouts in a place more consistent with how cegui wants it

2005-10-26  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/WorldEmberEntity.cpp: use the getView method from the Eris::Entity base class instead
	* src/components/ogre/TerrainGenerator.*, src/components/ogre/MousePicker.h, src/components/ogre/GUIManager.*, src/components/ogre/EmberOgre.*, src/components/ogre/Avatar.*, src/components/ogre/AvatarController.*, src/components/ogre/AvatarCamera.*, src/components/ogre/widgets/ChatWidget.cpp, src/components/ogre/widgets/ConsoleWidget.*, src/components/ogre/widgets/EntityPickerWidget.cpp, src/components/ogre/widgets/GiveWidget.cpp, src/components/ogre/widgets/Help.cpp, src/components/ogre/widgets/IngameChatWidget.cpp, src/components/ogre/widgets/InspectWidget.cpp, src/components/ogre/widgets/InventoryWidget.cpp, src/components/ogre/widgets/JesusEdit.cpp, src/components/ogre/widgets/MakeEntityWidget.cpp, src/components/ogre/widgets/MeshPreview.h, src/components/ogre/widgets/Quit.cpp, src/components/ogre/widgets/ServerBrowserWidget.cpp, src/components/ogre/widgets/StatusIconBar.cpp, src/components/ogre/widgets/Widget.h
		*   use the sigc 2.0 methods, which allows us to use the very nice sigc::trackable class and doesn't require all classes to inherit from SigC::Object

2005-10-26  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberEntity.*, src/components/ogre/EmberPhysicalEntity.*: since mode changes are now emitted from within the init method, adjust the code a bit

2005-10-26  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/WorldEmberEntity.*, src/components/ogre/PersonEmberEntity.*, src/components/ogre/EmberPhysicalEntity.*, src/components/ogre/AvatarEmberEntity.* src/components/ogre/EmberEntity.*: adapt to changes in Eris with regards to GameEntity being replaced with RootEntity
	* src/components/ogre/EmberEntityFactory.*
		* adapt to changes in Eris with regards to GameEntity being replaced with RootEntity
		* use the sigc 2.0 methods, which allows us to use the very nice sigc::trackable class and doesn't require all classes to inherit from SigC::Object

2005-10-26  Erik Hjortsberg  <erik@katastrof.nu>

	* src/extensions/Atlas/Operations/Use.*, src/extensions/Atlas/Operations/Wield.*: removed obsolete code, these are now in Atlas

2005-10-26  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/cs, src/components/debug: removed obsolete code

2005-10-26  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/scripting/*: scripting module, provides lua bindings for the main Ember system through tolua++. Very much unfinished right now, and thus disabled.

2005-10-26  Erik Hjortsberg  <erik@katastrof.nu>

	* src/services/ServerService.*: 
		* adapted to changes in new release of Eris
		* use the Avatar methods for wielding and using

2005-10-26  Erik Hjortsberg  <erik@katastrof.nu>

	* src/services/font, src/services/platform: removed obsolete code. This is replaced by the ogre code.

2005-10-26  Erik Hjortsberg  <erik@katastrof.nu>

	* src/services/Makefile.am, src/services/scripting/Makefile.am, src/services/scripting/ScriptingService.*: new sevice for scripting

2005-10-26  Erik Hjortsberg  <erik@katastrof.nu>

	* configure.ac: bumped version number, added switch for lua, increased required versions of the WF libs

2005-10-14  Erik Hjortsberg  <erik@katastrof.nu>

	* src/framework/Makefile.am, src/framework/scrap.*, src/components/ogre/input/Input.*: added support for paste operations from the system clipboard

2005-10-13  Erik Hjortsberg  <erik@katastrof.nu>

	* acinclude:m4, src/services/config/ConfigService.*, src/services/config/Makefile.am, src/framework/binreloc.*, src/framework/Makefile.am, src/framework/prefix.*, src/components/ogre/EmberOgre.cpp, src/components/ogre/Makefile.am: upgraded to binreloc 2.0

2005-10-12  Erik Hjortsberg  <erik@katastrof.nu>

	* configure.ac: added nostdinc, tar-bzip2 and check-news to get cleaner builds
	* all Makefile.am: update to adapt to nostdinc

2005-10-12  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/AvatarCamera.cpp, src/components/ogre/EmberEntityUserObject.h, src/components/ogre/EmberOgre.cpp, src/components/ogre/EmberPhysicalEntity.cpp: adapt to updated OgreOpcode

2005-10-12  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/ogreopcode/*: updated to OgreOpcode 0.0.4

2005-10-12  Erik Hjortsberg  <erik@katastrof.nu>

	* ember.bat: use the APPDATA environment variable since it works on all locales

2005-10-11  Erik Hjortsberg  <erik@katastrof.nu>

	* configure.ac: bump version to 0.3.3

2005-10-11  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/model/XMLModelDefinitionsSerializer.cpp: fixed an error when parsing Vector3
	* src/components/ogre/modeldefinitions/item.modeldef.xml: add a translation offset to the trowel so it sticks up a bit from the ground

2005-10-11  Erik Hjortsberg  <erik@katastrof.nu>

	* ember.bat: added some notion about the size of the download
	* src/components/ogre/GUIManager.*, src/components/ogre/widgets/EntityPicker.*: fixed the signatures of methods recieving MouseMoved events from Input; MSVC want it to be perfect
	* src/components/ogre/widgets/JesusEdit.cpp: use the correct type of parameter when creating new constructions
	* src/components/ogre/model/Model.cpp: reset all particle systems in dtor, but for now disable complete destructions since it will cause a segfault later on


2005-10-10  Erik Hjortsberg  <erik@katastrof.nu>

	* src/services/config/ConfigService.cpp: on win32, use the APPDATA environment variable to get the Application Data path
	* src/components/ogre/ogreopcode/opcode/Makefile.am: include headers in dist
	* src/components/ogre/Makefile.am: removed old unused files

2005-10-10  Erik Hjortsberg  <erik@katastrof.nu>

	* ember.conf: added setting for inverting the mouse
	* src/components/ogre/TerrainGenerator.cpp, src/components/ogre/environment/Sun.h: cleaned up the SigC headers
	* Makefile.am: include the ember script in the dist

2005-10-10  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberPhysicalEntity.cpp, src/components/ogre/model/ModelDefinition.*, src/components/ogre/model/XMLModelDefinitionSerializer.*: added ability to transform a mesh

2005-10-10  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberOgre.*: changed how the request-for-quit functionality works. If a request for quit signal is emitted and not handled, the application will quit instantly. 

2005-10-10  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberEntity.cpp: cleaned up logging

2005-10-10  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/AvatarCamera.*: added option for inverting the mouse in the y axis, use the ember.conf setting input:invertcamera. Or use the run time console command /set_value input invertcamera true

2005-10-10  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/GUIManager.*: added a /toggleinputmode console command
	* src/components/ogre/widgets/Help.*: after getting connected to the world, show a small help blurb about how the input system works
	* src/components/ogre/widgets/StatusIconBar.* clicking the movement icon will now switch movement modes
	* src/components/ogre/widgets/Quit.*: make sure that soft quit requests are marked as handled

2005-10-10  Erik Hjortsberg  <erik@katastrof.nu>

	*  src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeSceneManager.cpp: removed reference to not used class

2005-10-10  Erik Hjortsberg  <erik@katastrof.nu>

	*  src/components/ogre/input/Input.cpp
		* initialize mouse state to 0
		* only act on mouse movements if the window has mouse focus

2005-10-10  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/cegui/datafiles/fonts/Font.xsd, src/components/ogre/cegui/datafiles/imagesets/Imageset.xsd, src/components/ogre/cegui/datafiles/layouts/GUILayout.xsd, src/components/ogre/cegui/datafiles/schemes/GUIScheme.xsd: upgraded to new schemas to go with CEGUI 0.4.0

2005-10-10  Erik Hjortsberg  <erik@katastrof.nu>

	* src/framework/Makefile.am: include missing files for dist
	* src/services/logging/LoggingService.*: rearranged the include directives since freebsd appeared to have some trouble with the current setup.

2005-10-09  Erik Hjortsberg  <erik@katastrof.nu>

	* configure.ac: removed references to old SceneManager and disabled openal for now

2005-10-05  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widget/StatusIconBar.*: when the input mode or movement mode changes, also change the mouse cursor image. Let's see how this falls out.

2005-10-05  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/Avatar.cpp: cleaned up the logging calls
	* src/components/ogre/AvatarCamera.*, src/components/ogre/AvatarController.*, src/components/ogre/GUIManager.*: adjust for the changes in Input.cpp

2005-10-05  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/input/Input.*: simplified the input modes so it's easier to toggle between them

2005-10-05  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberOgre.cpp, src/services/server/ServerService.cpp, src/components/ogre/EmberEntity.cpp. src/components/ogre/EmberEntityFactory.cpp, src/components/ogre/model/Model.cpp: cleaned up the logging calls

2005-10-03  Erik Hjortsberg  <erik@katastrof.nu>

	*  src/components/ogre/widgets/MeshPreview.*: added more functionality, mainly dealing with playing and pausing animations
	*  src/components/ogre/widgets/ChatWidget.xml: point out that it's Chat _Output_

2005-10-03  Erik Hjortsberg  <erik@katastrof.nu>

	* src/framework/Exception.h: make getError const, since it really is

2005-10-03  Erik Hjortsberg  <erik@katastrof.nu>

	* src/framework/services/logging/LogginService.h: fixed S_LOG_CRITICAL
	* src/components/ogre/EmberOgre.cpp: 
		* log critical errors to the critical log
		* hook the logobserver up to the ConfigService so it reacts on changes to the config 
	* ember.conf: added key for the logging level

2005-10-01  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/JesusEdit.*, src/components/ogre/widgets/Widget.*: rearranged the inclusion of CEGUI headers a bit to make it cleaner
	* src/components/ogre/widgets/MeshPreview.*: added ability to turn animations on and off

2005-10-01  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmbeOgre.cpp,  src/components/ogre/model/XMLModelDefinitionSerializer.cpp: moved some INFO log calls to VERBOSE log calls instead
	* src/components/ogre/input/Input.h: cleaned up SigC includes

2005-10-01  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/AvatarController.cpp: start the camera 30 meters above the ground to avoid it being below ground. A better way would of course be to check the height of the terrain.
	* src/components/ogre/AvatarController.h: added comments
	* src/components/ogre/EmberEntity.cpp: moved some INFO log calls to VERBOSE log calls instead
	

2005-10-01  Erik Hjortsberg  <erik@katastrof.nu>

	* framework/Exception.h: make it actually compile

2005-09-27  Erik Hjortsberg  <erik@katastrof.nu>

	* ember: don't overwrite the existing LD_LIBRARY_PATH values since it's just plain stupid

2005-09-26  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/ServerBrowserWidget.*: oops, bugfix from the previous commit
	* src/components/ogre/modeldefinitions/buildingelements.modeldef.xml: new house made by ChienNoir and exported by Munin added

2005-09-26  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/ServerBrowserWidget.*: show the version of server running

2005-09-26  Erik Hjortsberg  <erik@katastrof.nu>

	* INSTALL, INSTALL.lyx, NEWS, README, README.lyx: updated documentation
	* Makefile.am: install docs etc. in share/doc/ember-$VERSION

2005-09-26  Erik Hjortsberg  <erik@katastrof.nu>

	* media/materials/programs/Common.program: definition of the most commonly used shader programs
	* media/materials/scripts/environment.material: removed program which wouldn't run on DX9 and caused crashes
	* ember: open up a xterm window for WFUT so the user can see why nothing appears to be happening when running ember for the firs time

2005-09-25  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/environment/FoliageArea.*,: don't return bool on frame update
	* src/components/ogre/EmberOgre.cpp: don't delete ModelDefinitionManager. hopefully this will lead to no segfaults at application exit, but it's a mess

2005-09-25  Erik Hjortsberg  <erik@katastrof.nu>

	* ember.bat: removed citation marks
	* src/components/ogre/widgets/EntityPickerWidget.*: fixed the signature for the event, something which strangely enough compiles and runs without problem (not even a warning) on gcc, but with MSVC compiles without warning but crashes at runtime, with a useless stack trace. Oh well.

2005-09-25  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/envronment/FoliageArea.*, src/components/ogre/envronment/Foliage.cpp: 
		* added the Ogre::Framelistener to the Foliage class, since you basically can't detach a frame listerner while inside a frameStarted event
		* added methods for destroying FoliageAreas to the Foliage class
		* cleaned up the creation and handling of FoliageAreas a bit
	* src/components/ogre/TerrainGenerator.*:  watch for changes to the config file, more specifically graphics:foliage, and create or remove foliage from the TerrainPages accordingly
	* src/components/ogre/TerrainPage.*: added methods for preparing, showing, hiding and destroying foliage areas
	* src/components/ogre/Avatar.h: remove the class name in the specification

2005-09-25  Erik Hjortsberg  <erik@katastrof.nu>

	* autopackage/default.apspec.in: the require keyword requires an interface version, even if it's ignored

2005-09-25  Erik Hjortsberg  <erik@katastrof.nu>

	* ember.conf, src/components/ogre/Avatar.*: added config option for setting the interval between updates to the server. Need to do some tweaking to make sure the player movement is smooth enough while not swamping the server with update commands.
	* src/services/config/ConfigService.cpp: write info to the console when changing config values

2005-09-25  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widget/EntityPickerWidget.*: changed the behaviour of the menu after a suggestion from lakin. It now is only shown while the left mouse button is pressed. Much nicer!

2005-09-25  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/modeldefinitions/buildingelements.modeldel.xml: added a definition for the block_house, although now both the block_house and the house are incorrect

2005-09-25  Erik Hjortsberg  <erik@katastrof.nu>

	*  src/components/ogre/model/Model.*: be sure to clean up particle systems upon deletion, else there will be some resource leaks

2005-09-25  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/input/Input.*: 
		* added events for mouse buttons pressed and released
		* renamed all events to be prefixed by Event
	* src/components/ogre/GUIManager:*:
		* added a /screenshot console command
		* use new event names in Input
	* src/components/ogre/AvatarController.cpp, src/components/ogre/AvatarCamera.cpp:
		* use new event names in Input
		

2005-09-25  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/resources.cfg: get the modeldefinitions from the user instead of the shared data, so it can be updated through WFUT

2005-09-25  Erik Hjortsberg  <erik@katastrof.nu>

	* src/framework/float_cast.h: check for the config.h instead of checking for it's absence, doh!

2005-09-25  Erik Hjortsberg  <erik@katastrof.nu>

	* autopackage/default.apspec.in: tweaked the autopackage by adding some dependencies. This should perhaps be better than statically linking them... We'll have to do some more tests though.
	* ember: give the user some input before downloading the media

2005-09-24  Erik Hjortsberg  <erik@katastrof.nu>

	* ember: updates to work around a bug with nvidia-tls and some other small fixes

2005-09-24  Erik Hjortsberg  <erik@katastrof.nu>

	* media/materials/scripts/terrain.cfg: moved it to src/components/ogre instead
	* media/models/arrow.mesh: updated the arrow

2005-09-24  Erik Hjortsberg  <erik@katastrof.nu>

	*  src/components/ogre/widget/JesusEdit.*: disable overlays for the preview viewpoint instead of using a RenderListener, which was a inefficient way
	*  src/components/ogre/widget/IngameChatWidget.*: made some improvements to the widget, it now works with all kinds of entities, but won't show anything for the Avatar. Also made the graphical presentation a bit better.
	* ember.png: added jayr's updated image

2005-09-24  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/environment/meshtree/Makefile.am: make sure config.h is included

2005-09-24  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberOgre.cpp: use the new methods in ConfigService for getting the shared config directory

2005-09-24  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberEntity.*:
		* disable the debug sound from the merchant
		* added a method for getting the Ogre Bounding box for the entity
	* src/components/ogre/EmberPhysicalEntity.*:
		* implement getWorldBoundingBox which returns the bounding box from the attached to the Model

2005-09-24  Erik Hjortsberg  <erik@katastrof.nu>

	* src/framework/float_cast.h: check for HAVE_MATH_H instead of HAVE_LRINT, since I couldn't get the latter to work (autoconf didn't want to define it). Don't know how portable this is though...

2005-09-24  Erik Hjortsberg  <erik@katastrof.nu>

	* configure.ac: put the config.h file in the src dir

2005-09-24  Erik Hjortsberg  <erik@katastrof.nu>

	* src/services/EmberServices.cpp: temporarily disable the sound service until we get it working as it should
	* src/services/config/ConfigService.*: added method for getting the shared configuration directory

2005-09-24  Erik Hjortsberg  <erik@katastrof.nu>

	* src/services/config/ConfigService.cpp: fixes for Apple and Win32
	* src/components/ogre/TerrainShader.cpp: initialize the material to null, do'h
	* src/components/ogre/EmberOgre.cpp:
		* a lot of changes to make it work on win32 systems. Should not affect linux, but more testing needs to be done.
		* now pass the log output from both ember and eris on to the ogre log system, ending up in Ogre.log

2005-09-24  Erik Hjortsberg  <erik@katastrof.nu>
	
	* ember.bat: batch file for getting the latest media and starting ember
	* src/components/ogre/WorldEmberEntity.cpp: reverted back to previous behaviour since it's more correct: the adjustement of the entity should be in reference to the ogre scene node, since the eris representation might lag behind the client side motion prediction mechanism
	* src/components/ogre/environment/meshtree/TStem.cpp: fixes for MSVC
	* ember.vcproj, ember.sln: updated the project files

2005-09-24  Erik Hjortsberg  <erik@katastrof.nu>

	* src/framework/tinyxml/tinyxml.cpp, src/framework/tinyxml/tinystr.cpp, src/framework/tinyxml/tinyxmlerror.cpp, src/framework/tinyxml/tinyxmlparser.cpp: made various adjustements which makes it compile on MSVC
	* src/framework/float_cast.h: provides lrint functionality on platforms with outdated C libs, such as win32. Thanks to Erik de Castro Lopo
	* src/framework/osdir.h: provides platform independent directory browsing support. It works, but isn't that full-featured. And it's a shame it doesn't use the STL syntax for iteration. Thanks Bart Vanhauwaert

2005-09-24  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/AvatarCamera.cpp: return true since the signature expects it
	* src/components/ogre/widget/HelpWidget.xml: updated the help text

2005-09-23  Erik Hjortsberg  <erik@katastrof.nu>

	* src/services/EmberServices.cpp: don't include the MetaServerService
	* src/services/config/ConfigService.h: fixed the signature of configError. gcc had no problem with implicitly converting string* to std::string, but MSVC apparently did
	* src/services/logging/LoggingService.*: moved the inclusion of ctime to the implementation part to make the header a bit lighter
	* src/services/server/ServerService.*: added extra checks to make sure that there is an entity attached to the avatar. Else there is a possibility a segfault might occur if the user tries to move the avatar before it's been connected to an entity (which is possible for a short, short duration)

2005-09-23  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/ServerWidget.cpp, src/components/ogre/widgets/ServerWidget.xml
		* added more tooltips and some more helpful texts
		* if the logged in used has no characters yet, start by showing the "create char" tab instead of the "choose char" tab (since the list is empty anyway)

2005-09-23  Erik Hjortsberg  <erik@katastrof.nu>

	* configfile: get the media from amber.worldforge.org which should be much more stable than folke.ostgota.lu.se

2005-09-21  Erik Hjortsberg  <erik@katastrof.nu>

	*  ember.conf: set better looking fog values and added option for the fog colour

2005-09-21  Erik Hjortsberg  <erik@katastrof.nu>

	*  src/components/ogre/TerrainGenerator.cpp: if there is no world, abort the world creation; else there would be a segfault

2005-09-21  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberOgre.cpp: 
		* fixed the setup of Jesus so it now looks in the right places
		* turn the light bright on upon startup, so preview meshes and Carpenter constructions can be seen better

2005-09-21  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/AvatarCamera.*, src/components/ogre/AvatarController.*:: added a getPosition method and made some fixes to the getOrientation method so it works even when the camera is detached

2005-09-21  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/JesusEdit.cpp:
		* fixed typo bug
		* don't try to rotate the newly created construction since there are some bugs with the alignment of the blocks
	* src/components/ogre/widgets/JesusEditFile.widget, src/components/ogre/widgets/JesusEditPreview.widget, src/components/ogre/widgets/JesusEdit.widget: added tooltips


2005-09-21  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/jesus/modelmappings/general.modelmapping.xml: don't use the "wall" model for now since it has no mesh (it's hidden)

2005-09-19  Erik Hjortsberg  <erik@katastrof.nu>

	*  src/components/ogre/environment/Sky.cpp, src/components/ogre/widgets/DebugWidget.cpp, src/components/ogre/widgets/Performance.cpp, src/components/ogre/widgets/Widget.h: cleaned up the sigc++ usage

2005-09-19  Erik Hjortsberg  <erik@katastrof.nu>

	*  src/components/ogre/AvatarController.*: catch the pressing of the F6 button instead of just checking for it being pressed, much better

2005-09-19  Erik Hjortsberg  <erik@katastrof.nu>

	*  src/components/ogre/EmberOgre.*: added a couple of signals for signalling when different sub systems have been created or initialized
	
2005-09-19  Erik Hjortsberg  <erik@katastrof.nu>

	* src/services/logging/LoggingService.*: cleaned up the sigc++ usage

2005-09-19  Erik Hjortsberg  <erik@katastrof.nu>

	* TODO: added some more items

2005-09-19  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/environment/Sky.*: set up hooks to ConfigService and look for changes to the fog

2005-09-19  Erik Hjortsberg  <erik@katastrof.nu>

	*  src/components/ogre/TerrainGenerator.cpp: if no valid height is available, return 0
	*  src/components/ogre/WorldEmberEntity.cpp: get the position from the Eris::Entity instead of the Ogre::SceneNode

2005-09-19  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberOgre.*
		* don't support sigc < 2.0 any more
		* changed the name and function of the setting for dynamic tree generation; now assume that pregenerated trees will be used unless else specified

2005-09-19  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/ConsoleObjectImpl.cpp: removed references to add_media since it's not used any more

2005-09-19  Erik Hjortsberg  <erik@katastrof.nu>

	* ember.conf: 
		* added values for the fog colour
		* changed the name and function of the setting for dynamic tree generation; now assume that pregenerated trees will be used unless else specified

2005-09-19  Erik Hjortsberg  <erik@katastrof.nu>

	*  src/services/config/ConfigService.*:
		* added get_value and set_value, which allows for accessing and changing config values from the console. 
		* added signal for changed config values

2005-09-19  Erik Hjortsberg  <erik@katastrof.nu>

	* src/services/config/ember.conf: removed old, old config file

2005-09-14  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/SceneManagers/EmberPagingSceneManager/OgrePagingLandScapeListenerManager.cpp: fixed typo

2005-09-14  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/ConsoleWidget.cpp: no need to call the parent in the constructor
	* src/components/ogre/widgets/ServerWidget.cpp, src/components/ogre/widgets/GiveWidget.cpp, src/components/ogre/widgets/ServerBrowserWidget.cpp, src/components/ogre/widgets/InventoryWidget.cpp, src/components/ogre/widgets/JesusEdit.cpp  : MSVC demands that a value is returned
	* src/components/ogre/widgets/IngameChatWidget.cpp: replace dynamic_cast with static_cast
	* src/components/ogre/widgets/MakeEntityWidget.cpp: 
		* MSVC demands that a value is returned
		* added a very, very hacky "/testarea" command which creates an Area for testing purposes
	* src/components/ogre/widgets/MeshPreview.cpp: make sure that hide and show commands are sent to the base class
	* src/components/ogre/widgets/Quit.cpp: 
		* if the main window twice requests a quit op, do it instantly. This allows for the user to easily quit the app.
	* src/components/ogre/widgets/Widget.*: 
		* MSVC demands that a value is returned
		* use defined unsinged int instead of uint


2005-09-14  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/SceneManagers/EmberPagingSceneManager/EmberPagingLandScapeData2D_HeightField.cpp:
		* default to a sane number
		* get the max height from the Mercator::Terrain
	* src/components/ogre/SceneManagers/EmberPagingSceneManager/OgrePagingLandScapeData2D.cpp: default to a sane value
	* src/components/ogre/SceneManagers/EmberPagingSceneManager/OgrePagingLandScapeListenerManager.cpp: MSVC wants to know exact what namespace to look in
	* src/components/ogre/SceneManagers/EmberPagingSceneManager/OgrePagingLandScapeOpetions.cpp: use the simple load(...) method to load the terrain.cfg. Not entirely sure how this will work on linux.


2005-09-14  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/model/Model.cpp: 
		* no need to call the parent in the constructor
		* make it not segfault a exit. we have to investigate if there's a possibility for a memory leak here
	* src/components/ogre/model/ModelDefinitionManager.cpp: MSVC wants to know exact what namespace to look in
	* src/components/ogre/model/ModelDefinitionManager.h: include local copy
	

2005-09-14  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/carpenter/BluePrint.cpp: removed unneeded variable
	* src/components/ogre/environment/Foliage.cpp: MSVC wants to know exact what namespace to look in
	* src/components/ogre/environment/FoliageArea.cpp: Better error output
	* src/components/ogre/jesus/JesusMousePicker.cpp: replace dynamic_cast with static_cast
	* src/components/ogre/jesus/XMLJesisSerializer.cpp: 
		* removed unused variables
		* added MSVC specific code

2005-09-14  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/GUIManager.h: include CEGUIBase.h since MSVC needed it
	* src/components/ogre/TerrainArea.*: added method for setting the Mercator::Area
	* src/components/ogre/TerrainGenerator.cpp: 
		* added MSVC headers
		* added some new methods for easier set up of the terrain
	* src/components/ogre/TerrainPage.cpp: 
		* added some more logging

	
2005-09-14  Erik Hjortsberg  <erik@katastrof.nu>
	
	* src/components/ogre/AvatarCamera.h: MouseMotion is a struct, not a class
	* src/components/ogre/EmberEntity.cpp: don't try to remove the eris bounding box since this will lead to a crash when exiting the app
	* src/components/ogre/GUIManager.cpp:
		* changed all fprintf to S_LOG_* calls
		* take screenshots with the Print screen key, not F8 anymore

2005-09-12  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/model/Model.cpp: update attached objects position even when not animated, else when a non-animated model moved the attached entites wouldn't move with it

2005-09-12  Erik Hjortsberg  <erik@katastrof.nu>

	* Makefile.am: install the ember script as a script
	* ember.png: updated the icon with the latest from jayr
	* ember: fixed some bugs with the installation

2005-09-12  Erik Hjortsberg  <erik@katastrof.nu>

	* ember: added some debug output and
	* src/components/ogre/EmberOgre.cpp: from resource.cfg, also parse the location of the media
	* services/config/ConfigService.*: added methods for getting the user-specific and shared media
	* src/components/ogre/resources.cfg: added indications where the media might be found (user or shared)

2005-09-11  Erik Hjortsberg  <erik@katastrof.nu>

	* ember: a startup script which copies the needed files and updates the media
	* Makefile.am: make sure that configfile and the ember script are installed

2005-09-11  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberEntity.cpp: update the debug entity bounding box when moving

2005-09-11  Erik Hjortsberg  <erik@katastrof.nu>

	*  media/materials/splatting/Splat.cg, src/components/ogre/TerrainPage.cpp: use the parameter tile to decide how much to tile the texture

2005-09-11  Erik Hjortsberg  <erik@katastrof.nu>

	* media/materials/scripts/environment.material, media/materials/scripts/OffsetMapping.cg: if a parameter in a Cg program is not used, it's apparently removed from the function's prototype. fixed this
	* media/materials/scripts/vegetation.material: use  a high detail texture for the oak, since it makes such a big difference

2005-09-11  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/model/XMLModelDefinitionSerializer.cpp: removed preloading of all parsed meshes

2005-09-11  Erik Hjortsberg  <erik@katastrof.nu>

	* media/materials/scripts/environment.material: added new ground material and fixed a bug with the ploughed field

2005-09-11  Erik Hjortsberg  <erik@katastrof.nu>

	* make_dist_media.sh.in: some fixes to the media fetching
	* configfile: updated the location of the media

2005-09-11  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/ogreopcode/Makefile.am, src/components/ogre/ogreopcode/opcode/Makefile.am: don't install the .a libs
	* src/components/ogre/modeldefinitions/* updated the models

2005-09-11  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberOgre.cpp
		* temporalily disable the sound service for now

2005-09-11  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/AvatarCamera.*
		* added console command setcameradistance, which allows the setting of the distance between the camera and the avatar
		* allow the avatar to be mouse picked

2005-09-11  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widget/MeshPreview.*
		* added a simple gui for the mesh preview, it's possible to create new meshes, scale them and remove them

2005-09-11  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widget/MakeEntityWidget.h: made buildWidget virtual

2005-09-11  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widget/JesusEdit.h, src/components/ogre/widget/Widget.h: moved ConstWrapper to Widget

2005-09-08  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/cegiu/datafiles/schemes/*.scheme
		* with CEGUI 0.4.0 we don't need to define the widget elements in the xml file, CEGUI will get the info from the .so file

2005-09-08  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/terrain.cfg: terrain settings

2005-09-08  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberOgre.cpp
		* initialize mEmberEntityFactory to 0
		* in getWorld(), if no mEmberEntityFactory, return the root node of Ogre
	* src/components/ogre/Makefile.am
		* include terrain.cfg when installing

2005-09-08  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/MeshPreview.*, src/components/ogre/widgets/Makefile.am, src/components/ogre/GUIManager.cpp, src/components/ogre/widgets/WidgetDefinitions.cpp
		*added new widget for previewing meshes, this will be useful for previewing meshes

2005-09-08  Erik Hjortsberg  <erik@katastrof.nu>

	* configure.ac: require CEGUI 0.4.0, since it's much better and works without a recompile. We'll soon be moving to using a default widget style with Falagard, too.

2005-09-07  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/MotionManager.cpp: MSVC wants to know exact what namespace to look in
	* src/components/ogre/MathConverter.cpp: MSVC needs math.h
	* src/components/ogre/GUIManager.cpp: 
		* MSVC wants to know exact what namespace to look in
		* use macro from CEGUI for dynlib opening; works on both win32 and *nix
		* temporarily remove JesusEdit since it doesn't work with win32 yet
		* replace dynamic_cast with static_cast
		* added win32 includes
	* src/components/ogre/EmberOgrePrerequisites.h: added type uint
	* src/components/ogre/EmberEntityFactory.cpp: 
		* MSVC wants to know exact what namespace to look in
		* replace dynamic_cast with static_cast
	* src/components/ogre/EmberEntity.cpp: 
		* replace dynamic_cast with static_cast

	

2005-09-07  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/Avatar.cpp: replaced dynamic_cast with static_cast

2005-09-07  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/CONTROLS : updated text
	* src/components/ogre/GUIManager.cpp: include CEGUIWindowManager.h since Widget.h doesn't do that anymore
	* src/components/ogre/widgets/ConsoleWidget.xml : updated text

2005-09-07  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberEntity.*
		* catch bbox changes and call the method onBboxChanged
	* src/components/ogre/EmberPhysicalEntity.*
		* store the initial bounding box of the model so we can do scaling later on
		* allow dynamic scaling on bounding box changes, instead of like before just scale upon creation


2005-09-07  Erik Hjortsberg  <erik@katastrof.nu>

	*  src/components/ogre/environment/Sun.*
		* added methods and signals for changing the position of the sun, the colour of the sun and the ambient lightning
		* added console commands for changing the position of the sun, the colour of the sun and the ambient lightning, these are "/setsunposition x y z", "/setsuncolour r b g" and "/setambientlight r b g"

2005-09-07  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/TerrainShader.cpp: enable vertex lightning and disable self illumination on the terrain, which allows the ambient light and the sun to better decide the look of the terrain

2005-09-07  Erik Hjortsberg  <erik@katastrof.nu>

	* ember.conf: added setting for how much the alpha map should be scaled

2005-09-07  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/TerrainPage.*
		* get the alpha map scaling from the config file
		* for simple splatting, use 8 bit bitmaps instead of 32 bit; this should bring the memory usage down a bit
		* enable vertex lightning for the terrain. Not sure if this is the right way though, perhaps we should rather use lightmaps.

2005-09-06  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/widgets/ChatWidget.cpp, src/components/widgets/ConsoleWidget.cpp, src/components/widgets/DebugWidget.cpp, src/components/widgets/EntityPickerWidget.cpp, src/components/widgets/GiveWidget.cpp, src/components/widgets/IconBase.h, src/components/widgets/IngameChatWidget.cpp, src/components/widgets/InspectWidget.*, src/components/widgets/InventoryWidget.cpp, src/components/widgets/JesusEdit.cpp, src/components/widgets/MakeEntityWidget.cpp, src/components/widgets/Performance.cpp, src/components/widgets/Quit.cpp, src/components/widgets/ServerBrowserWidget.cpp, src/components/widgets/ServerWidget.cpp
		* use new utility methods in Widget.cpp which cleans up the code a bit
		* added some more comments

2005-09-06  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/Widget.*
		* added more utility methods to be used by subclasses, for example a getWindow(...) method
		* added more comments

2005-09-05  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/InspectWidget.*
		* added "/inspect $entityid" console command

2005-09-05  Erik Hjortsberg  <erik@katastrof.nu>

	* TODO: updated items

2005-09-01  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/AvatarController.* : make sure all values are initiialized to the correct values (in most cases 0) in the constructor

2005-09-01  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/model/Model.cpp: since Ogre 1.0.4 the issue with attached entities not being scaled correctly has been fixed, so thus we need to deal with this in Model
	* configure.ac: require Ogre 1.0.4

2005-09-01  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/InspectWidget.cpp: Check that the predicted velocity is valid before showing it, since at least with the current Eris it will be invalid if the entity is not moving.

2005-07-26  Erik Hjortsberg  <erik@katastrof.nu>

	* Makefile.am: include new .imageset files
	* src/components/ogre/widgets/IconBase.* don't get images by file name, get them from the imageset instead
	* src/components/ogre/widgets/StatuIconBar.* use the new functionality in IconBase


2005-07-26  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/cegui/datafiles/imagesets/iconset_mason.imageset, src/components/ogre/cegui/datafiles/imagesets/iconset_standard.imageset:
		* instead of using individual files for the icons we'll use CEGUI's imageset functionality. This is good in so many ways, amongst them that we'll have to use imagesizes n^2 for our images since most GFX can't handle other sizes.
		* separated the images into two different files. The standard icons are those that presumely are game neutral. I put the non-game neutral icons in iconset_mason, even though there probably won't be combat or magic in mason.

2005-07-25  Erik Hjortsberg  <erik@katastrof.nu>

	* configfile: added a configfile for WFUT, this one points at http://www.ostgota.lu.se/wf/WFUT. To update to the latest media, run WFUT in the same directory as this config file, like so: "java -jar WFUT.jar update ember-media". This will be better integrated in the ember shell script later on.

2005-07-25  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/modeldefinitions/environment.modeldef.xml; added a pile and some grass
	* src/components/ogre/modeldefinitions/itemsmodeldef.xml; some adjustements to the scythe

2005-07-25  Erik Hjortsberg  <erik@katastrof.nu>

	* make_dist_media.sh.in: also copy the theme media
	* src/components/ogre/widgets/IconBase.cpp: get the icons from themes/ember/gui instead (the svn repos)


2005-07-25  Erik Hjortsberg  <erik@katastrof.nu>

	*  src/component/ogre/cegui/datafiles/imagesets/TaharezLook.imageset, src/component/ogre/cegui/schemes/TaharezLook.scheme:
		* updated with new elements for tool tips and updated to cegui 0.3.0
		* moved references to gui elements to themes/ember/gui

2005-07-25  Erik Hjortsberg  <erik@katastrof.nu>

	* src/component/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapePageManager.cpp: added extra checks for empty pages, else we'll get an error when doing mouse picking without a terrain

2005-07-25  Erik Hjortsberg  <erik@katastrof.nu>

	* src/component/ogre/GUIManager.*
		* cleaned up code
		* added reference to StatusIconBar
		* added new event for the changing of input modes
	* src/components/ogre/EmberOgre.*
		* added accessor for the AvatarController (this should be renamed to something else really, like just EntityController. Ah, the joys of subversion.)

2005-07-25  Erik Hjortsberg  <erik@katastrof.nu>

	* src/component/ogre/AvatarController.*, src/component/ogre/Avatar.*
		* cleaned up how movement is handled, I'm still not entirely happy with it. I need a better abstraction design.
		* made the camera attach to the avatar upon entering the world

2005-07-25  Erik Hjortsberg  <erik@katastrof.nu>

	* src/component/ogre/widgets/Console.cpp : better use of base class
	* src/component/ogre/widgets/Console.widget: added tooltip
	* src/component/ogre/widgets/EntityPickerWidget.cpp: no need for ugly casts
	* src/component/ogre/widgets/Help.*, src/component/ogre/widgets/HelpWidget.xml
		* removed icon (is now in StatusIconBar)
		* changed to std::string for the static command
		* moved the text to the .widget file
	* src/component/ogre/widgets/JesusEdit.cpp: added more checks when creating a new binding
	* src/component/ogre/widgets/Makefile.am, src/component/ogre/widgets/WidgetDefinitions.cpp: added StatusIconBar and IconBase classes
	* src/component/ogre/widgets/Quit.*: added the console command /softquit , which unlike /quit will show the Quit widget instead of just shutting down direct
	* src/component/ogre/widgets/ServerWidget.cpp : better use of base class

2005-07-25  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/IconBase.*
		* a class used for status icons and buttons in the gui
	* src/components/ogre/widgets/StatusIconBar.*
		* a status icon bar widgets, which show some basic status of the input and movement mode, as well as a help icon and an exit icon

2005-07-25  Erik Hjortsberg  <erik@katastrof.nu>

	* configure.ac: bump version and add dependency on SDL_image

2005-07-24  Miguel Guzman

	* configure.ac: the checking for WF libs now shows the errors upon
	failing (by displaying $WF_PKG_ERRORS) . Also, properly quoted the 
	list of libs.

2005-07-21  Erik Hjortsberg  <erik@katastrof.nu>

	* src/framework/Makefile.am: removed EntityListener since it's not used

2005-07-21  Erik Hjortsberg  <erik@katastrof.nu>

	* src/framework/tinyxml/tinyxml.h, src/framework/tinyxml/tinyxmlparser.cpp
		* don't use std::string in tinyxml since we want to do insensitive comparisons, which is easier with c-strings (unless we want to rewrite the code in tinyxml...)
	

2005-07-21  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/jesus/Jesus.h
		* updated the click masks to better fit with the paging scene manager
	* src/components/ogre/jesus/XMLJesusSerializer.cpp
		* fixed some bugs with the parsing
		* don't use std::string in tinyxml since we want to do insensitive comparisons, which is easier with c-strings (unless we want to rewrite the code in tinyxml...)

2005-07-21  Erik Hjortsberg  <erik@katastrof.nu>

	*  src/components/ogre/input/Input.*
		* added functionality for turning mouse look on and off, so you don't need to press the righ mouse button constantly. Double clicking with the right mouse button will do the trick.
		

2005-07-21  Erik Hjortsberg  <erik@katastrof.nu>

		* src/components/ogre/EmberOgre.cpp
			* set the icon of the window
			* reactivated jesus
			* changed NULL to 0
		* src/components/ogre/EmberEntity.*
			* changed NULL to 0
			* moved some inline methods to the .cpp part
			* cleaned out some unused ClickMasks
		* src/components/ogre/EmberPhysicalEntity.cpp
			* set the click mask to CM_ENTITY
			* fixed the way the velocity for the entity is checked (to determine whether to show the forward or backwards walking animation)
		* src/components/ogre/GUIManager.cpp
			* changed back to just using one single imageset, since TaharezLook can't handle two different
			* fixed an issue with the main sheet which wasn't raised as it should
		* src/components/ogre/PersonEmberEntity.cpp
			* don't set a click mask, we're trying to move away from the deep nesting of the entity class hierarcy
		* src/components/ogre/TerrainGenerator.cpp
			* correctly calculate the height of the world
		* src/components/ogre/TerrainPage.cpp
			* correct the placement of the terrain and the material, since it was a bit misaligned before
		* src/components/ogre/WorldEmberEntity.cpp
			* changed NULL to 0
		* src/components/ogre/Avatar.*
			* don't send the scenemanager in the constructor since we now get it through EmberOgre instead
			* set more correct walk and run speeds
			* don't create a dummy model on startup, wait for the world connection
			* added some debug output for the current location and velocity
		* src/components/ogre/AvatarController.*
			* changed NULL to 0
			* start with a detached camera, there are still some bugs though
			* made movement with the detached camera a little easier
		* src/components/ogre/AvatarCamera.*
			* started adding functionality for preventing the camera to dip below the terrain, needs a bit more work though
			* fixed the pickObject method which hadn't worked since the switch to the paging scene manager
2005-07-17  Erik Hjortsberg  <erik@katastrof.nu>

	* media/materials/splatting/Splat.cg
		* updates for TerrainPagingSceneManager
	* src/components/ogre/TerrainPage.cpp	
		* corrected the generation of the height map for the TerrainPagingSceneManager

2005-07-17  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/carpenter/BluePrint.*, src/components/ogre/carpenter/Carpenter.*
		* Added more error checks to prevent crashes with defect definitions.

2005-07-13  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/model/ModelDefiniton.h, src/components/ogre/model/XMLModelDefinitionSerializer.*
		* better clean up of XML parsing data structures

2005-07-13  Erik Hjortsberg  <erik@katastrof.nu>

	* TODO: added more items
	* src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScaperenderable.cpp:
		* don't count delta values beyond 7 meters when determining LOD, since such values must either be counted as spurious, or part of a larger cliff face, which would bring many GPUs to their knees even when seen from afar. In the future we might perhaps need to implement a better LOD mechanism, although the consensus these days seems to solve the LOD issue with brute force, i.e. counting no modern GPUs being so much tailored to handling large amounts of vertices that they have no problems handling low LOD levels. We would however want a better path for old cards too.
		* also don't count heights of 0 when doing LOD, since these are probably from uninitialized Mercator segments

2005-07-13  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/Avatar.cpp: remove the debug model upon connecting
	* src/components/ogre/AvatarEmberEntity.cpp,  src/components/ogre/PersonEmberEntity.cpp,  src/components/ogre/WorldEmberEntity.cpp: cleanse it from the oh so unclean xerces code
	* src/framework/tinyxml/tinyxml.h: always use STL

2005-07-13  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberOgre.h: added a new event for when the user wants to close the window
	* src/components/ogre/input/Input.cpp: emit the close event when detecting a SDL_QUIT event


2005-07-13  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/Makefile.am: removed xerces

2005-07-13  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberOgre.cpp, src/components/ogre/widgets/JesusEdit.cpp
		* use the new Jesus serializer class

2005-07-13  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/jesus/Jesus.*, src/components/ogre/jesus/Makefile.am, src/components/ogre/jesus/XMLJesusSerializer.*
		* finished The Great Purge of Dissident Xerces Element in the Source
	* configure.ac: 
		* require ogre 1.0.3 and cegui 0.3.0
		* removed xerces

2005-07-13  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/Makefile.am, src/components/ogre/widgets/Quit.*, src/components/ogre/widgets/WidgetDefinitions.cpp
		*added a quit widget
	* src/components/ogre/GUIManager.cpp
		* use the quit widget
		* various fixes for CEGUI 0.3.0

2005-07-12  Erik Hjortsberg  <erik@katastrof.nu>

	*  src/components/ogre/environment/GroundCover.*: deleted unused files

2005-07-11  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/JesusEdit.cpp: removed reference to old scene manager

2005-07-11  Erik Hjortsberg  <erik@katastrof.nu>

	* media/materials/scripts/terrain.cfg
		* terrain settings file for the paging scene manager. it should probably go somewhere better though...
	* media/materials/scripts/environment.material
		* use texture coord 0 but scale the texture

2005-07-11  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/TerrainShader.cpp: use only texture coords 0
	* src/components/ogre/TerrainPage.*
		* removed references to old scene manager
		* added a getPageSize() method
		* various adaptations for the paging scene manager
	* src/components/ogre/TerrainGenerator.*
		* adapted it to use the paging scene manager, generating pages on demand instead of all up front

2005-07-11  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/WorldEmberEntity.cpp: prepare all Mercator::Segments when they are recieved but do not load them until they are requested

2005-07-11  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/AvatarCamera*, src/components/ogre/AvatarController.*:
		* added a free camera mode (switch by pressing F6) and some initial structures for allowing the camera to be attached to any entity
		* make the mouse picking work with the terrain in the paging scene manager

2005-07-11  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberEntityFactory.*
		* always use EmberOgre for getting the scenemanager

2005-07-11  Erik Hjortsberg  <erik@katastrof.nu>

	*src/components/ogre/EmberEntity.cpp
		* fixed includes
	*src/components/ogre/EmberEntity.h
		* make the queryflags not collide with the ones in the paging landscape manager

2005-07-11  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberOgre.*:
		* use EmberPagingSceneManager
		* initialize some member to 0

2005-07-11  Erik Hjortsberg  <erik@katastrof.nu>

	* configure.ac, src/components/ogre/Makefile.am: use the paging scene manager

2005-07-11  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/SceneManagers/EmberPagingSceneManager:
		* added a paging scene manager, which is derived from the PLSM2. scenemanager in Ogreaddons. This will be the main one used from now on.

2005-07-11  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberSceneManager/src/OgreTerrainPage.cpp, src/components/ogre/EmberSceneManager/src/OgreTerrainRenderable.cpp, src/components/ogre/EmberSceneManager/src/OgreTerrainSceneManager.cpp:
		* added better support for terrain picking

2005-07-11  Erik Hjortsberg  <erik@katastrof.nu>

	*  src/components/ogre/Jesus.cpp: cleaned up linking and removed links to the SceneManager

2005-07-11  Erik Hjortsberg  <erik@katastrof.nu>

	*  src/components/ogre/Model.cpp, src/components/ogre/ModelDefinition.cpp: cleaned up linking and removed links to the SceneManager

2005-07-11  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/GUIManager.cpp: adjusted the position of the debug text

2005-07-10  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/ConsoleObjectImpl.*: added fullscreen switch ("/fullscreen")

2005-07-10  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/MathConverter.h: added method for converting between Ogre::Vector2 and WFMath

2005-06-26  Erik Hjortsberg  <erik@katastrof.nu>

	* ember.conf: default to showing the help

2005-06-26  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/modeldefinitions/*: media updates

2005-06-26  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberPhysicalEntoty.cpp
		* use asNum instead of asFloat since the first handles both integers and floats

2005-06-26  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/MousePicker.*
		* added a better organized struct for mouse picking results
	* src/components/ogre/AvatarCamera.*
		* add the ability to pick in the terrain
	* src/components/ogre/widgets/EntityPickerWidget.*
		* use the new struct for mouse picking results

2005-06-26  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberOgre.cpp
		*added more error logging for errors in the Eris::Poll section
		* try to make the scenemanager shut down cleanly so to avoid a segfault on exit

2005-06-26  Erik Hjortsberg  <erik@katastrof.nu>

	* services/server/ServerService.*
		* added a position argument to the use operation

2005-06-26  Erik Hjortsberg  <erik@katastrof.nu>

	* ember.conf, src/components/ogre/widgets/Help.cpp:
		* added option for not showing the help on startup ("startuphelp = false")

2005-06-25  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/InspectWidget.*
		* show both the predicted position and the last known from the server
		* show all string attributes for the entity

2005-06-25  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/ServerBrowserWidget.*
		* added ability to use Enter for connecting after entering an address
	* src/components/ogre/widgets/MakeEntityWidget.*
		* added the keyword "make" as an alias for "createentity"
	* src/components/ogre/widgets/InventoryWidget.cpp
		* when dropping something, drop it in front of the avatar
	* src/components/ogre/widgets/EntityPickerWidget.*
		* try to get the default operation from the wielded entity, so you'll get "Chop with axe" instead of "Use"

2005-06-25  Erik Hjortsberg  <erik@katastrof.nu>

	* src/services/server/ServerService.cpp
		* removed unneeded comments and output

2005-06-25  Erik Hjortsberg  <erik@katastrof.nu>

	* media/materials/scripts/smoke.material,  media/particle/smoke.particle
		* added fire particle script and tweaked the smoke script
	* src/components/ogre/modeldefinitions/buildingelements.modeldef.xml
		* added the butcher's house
	* src/components/ogre/modeldefinitions/environement.modeldef.xml
		* removed the fire mesh, only use the particles

2005-06-25  Erik Hjortsberg  <erik@katastrof.nu>

	*  src/components/ogre/EmberPhysicalEntity.*
		* added method for getting the entity attached to a certain attach point

2005-06-25  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberOgre.*
		* added method for getting a random EmberEntity from the world (just like Eris::View::getEntity but with a cast to EmberEntity)

2005-06-25  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberEntity.*
		* added support for the "fixed" mode, which will position the entity exactly according to its position

2005-06-25  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberSceneManager
		* removed code that forced the tile closest to the Avatar to always render with the highest LOD. this will speed up things

2005-06-25  Hagen Moebius  <hagen.moebius@starschiffchen.de>

	* src/components/ogre/widgets/ConsoleWidget.*
		* Added history browsing to the widget.
		* Added tab completion to the widget.

2005-06-25  Hagen Moebius  <hagen.moebius@starschiffchen.de>

	* src/framework/ConsoleBackend.*
		* Added history managedment to the console.

2005-06-24  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberPhysicalEntity.cpp
		* remove the animation from the MotionManager upon deletion, so to avoid the Curse of the Segfault

2005-06-24  Erik Hjortsberg  <erik@katastrof.nu>

	* media/materials/scripts/vegetation.material: added green apple material
	* src/components/ogre/modeldefinitions/environment.modeldef.xml: added apple (which is an acorn with a green apple material)

2005-06-24  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/model/Model.cpp, src/components/ogre/model/ModelDefinition.h, src/components/ogre/model/Model.h, src/components/ogre/model/XMLModelDefintionSerializer.*
		* added support for particle systems
	*src/components/ogre/EmberPhysicalEntity.cpp
		* when an attribute is changed, check if this should change a particle system
	*src/components/ogre/modeldefinition/environment.modeldef.xml
		* added particles to fire
	*media/materials/textures/smoke.png
	*media/materials/textures/smokecolors.png
	*media/materials/particle/smoke.particle
	*media/materials/material/smoke.material
		* added smoke textures

2005-06-24  Erik Hjortsberg  <erik@katastrof.nu>

	* Ember.kdevelop: updated the project file

2005-06-23  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/TerrainPage.cpp: added some debug output

2005-06-23  Erik Hjortsberg  <erik@erik>

	* src/components/ogre/EmberEntityFactory.*, src/components/ogre/modeldefinitions/environment.modeldef.xml
		* removed the list of non-physical entities and put that info into the modeldef instead

2005-06-23  Erik Hjortsberg  <erik@katastrof.nu>

	*  src/components/ogre/widgets/ServerBrowserWidget.*
		* allow enter to be used in the editbox for connecting

2005-06-23  Erik Hjortsberg   <erik@katastrof.nu>


	* src/components/ogre/widgets/InspectWidget.*
		* oops, don't try to get the view until it's created

2005-06-23  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberEntityUserObject.*, AvatarCamera.cpp
	* src/components/ogre/jesus/JesusPickerObject.*
		* added a getTypeName() method to the UserObjects 
		* use the getTypeName() method in the picking methods

2005-06-23  Erik Hjortsberg  <erik@erik>

	* src/components/ogre/modeldefinitions/iteam.modeldef.xml
		* rotate the mausoleum a bit

2005-06-23  Erik Hjortsberg  <erik@erik>

	* src/components/ogre/widgets/InspectWidget.*
		* when the inspected entity is deleted, remove the reference to it

2005-06-23  Erik Hjortsberg  <erik@erik>

	* src/components/ogre/EmberOgre.*
		* added accessor for the main View and made some accessors const

2005-06-23  Erik Hjortsberg  <erik@erik>

	* src/components/ogre/EmberSceneManager/src/OgreTerrainRenderable.cpp
		* make it right this time

2005-06-23  Erik Hjortsberg  <erik@erik>

	* src/components/ogre/EmberSceneManager/src/OgreTerrainRenderable.cpp
		* don't forget to set the material lod index

2005-06-22  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/Avatar.cpp
		* set the walk speed to 5 again
	* src/components/ogre/model/XMLModelDefinitionSerializer.cpp
		* upon error, log an error and continue
	* src/components/ogre/modeldefinitions/*
		* added a lot of new entities, amongst them the mausoleum, the skeleton (and lych), the broken tower, the house and the gallows	 

2005-06-22  Erik Hjortsberg  <erik@katastrof.nu>

	* /src/components/ogre/environment/Sky.cpp
		* get the setting for fog max distance from the config file

2005-06-22  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/EmberSceneManager/src/OgreTerrainRenderable.cpp
		* if a piece of terrain is fully in the fog, apply the lowest LOD to it, since it's not actually seen anyway

2005-06-21  Erik Hjortsberg  <erik@katastrof.nu>

	* ember.conf: added setting for fog max distance

2005-06-21  Erik Hjortsberg  <erik@katastrof.nu>

	* ember.conf: added setting for fog max distance

2005-06-21  Erik Hjortsberg  <erik@katastrof.nu>

	* src/components/ogre/widgets/InventoryWidget.*, 
